package gov.va.med.mhv.admin.enums;

/**
 * Enumeration ActivityTypeEnumeration 
 *
 */
public enum ActivityTypeEnumeration {

	REGISTRATION("Registration"),
	LOGIN_LOGOUT("Login_Logout"),
	PROFILES("Profiles"),
	PASSWORD("Password"),
	USER_ID("User Id"),
	TERMS_AND_CONDITIONS("Terms and Conditions"),
	SEI("SEI"),
	CALENDAR("Calendar"),
	E_LEARNING("e-Learning"),
	RXREFILL("RxRefill"),
	PEROSNAL_HEALTH_RECORDS("Perosnal Health Records"),
	IN_PERSON_AUTHENTICATION("In Person Authentication"),
	CHEMISTRY_HEMATOLOGY("Chemistry_Hematology"),
	APPOINTMENTS("Appointments"),
	WELLNESSREMINDERS("WellnessReminders"),
	LOGON("Logon"),
	LOGIN("Login"),
	DSLOGON("DSLogon"),
	USAA("USAA"),
	DOWNLOAD("Download"),
	SEND_VA_HEALTH_SUMMARY("Send VA Health Summary"),
	SHARE("Share"),
	CONTINUE("Continue"),
	CANCEL("Cancel"),
	ALLERGY("Allergy"),
	ACCOUNT_UPGRADE("Account Upgrade"),
	DEACTIVATE("Deactivate"),
	REACTIVATE("Reactivate"),
	REQUEST_TO_VB_HANDBOOK("Request to VB Handbook"),
	ACCOUNT_MANAGEMENT("Account Management"),
	DSLOGON_CAC_USAA_ORC("DsLogon CAC USAA ORC"),
	ONLINE_FORM_AVAILABLE("Online Form Available"),
	AUTHENTICATED("Authenticated"),
	TRACK("Track"),
	REQUEST_COMPLETED("Request Completed"),
	DELIVERED("Delivered"),
	REQUEST_SUBMITTED("Request Submitted"),
	GOTOSM("Secure Messaging"),
	NOTIFICATIONS("Notifications"),
	SIGN_IN_PARTNERS("Sign-in Partners");

	private String description;

	ActivityTypeEnumeration(String desc){
		description = desc;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
