package gov.va.med.mhv.admin.converter;


import gov.va.med.mhv.admin.dto.EauthHashDTO;
import gov.va.med.mhv.admin.model.EauthHash;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Component;

@Component
public class EauthHashConverter {
	public EauthHashDTO  convertEauthHashDomain( EauthHash eauthHash ){
		EauthHashDTO dto = new EauthHashDTO();
		dto.setHashValue(eauthHash.getHashValue());
		dto.setId(eauthHash.getId());
		dto.setOplock(eauthHash.getOplock());
		dto.setUserProfileId(eauthHash.getUserProfile().getId());
		return dto;
	}
	
	
	public EauthHash convertEauthHashDTO(EauthHashDTO eauthHashDTO){
		//TODO implement this
		return null;
	}
	
	
	public List<EauthHashDTO>  convertDomainEauthHashes( List<EauthHash> eauthHashes ){
		List<EauthHashDTO> eauthHashDTOs = new ArrayList<EauthHashDTO>();
		for(EauthHash eauthHash : eauthHashes){
			EauthHashDTO dto = convertEauthHashDomain(eauthHash);
			eauthHashDTOs.add(dto);
		}
		return eauthHashDTOs;
	}

}
