package gov.va.med.mhv.admin.converter;

import gov.va.med.mhv.admin.dto.SMSUserViewDTO;
import gov.va.med.mhv.admin.model.SMSUserView;

import org.springframework.stereotype.Component;

@Component
public class UserProfileSMConverter {
	
    public static SMSUserViewDTO convert(SMSUserView sMSUserView){
    	
    	SMSUserViewDTO dto = new SMSUserViewDTO();
    	dto.setUserId(sMSUserView.getUserId());
    	dto.setCurrentLoginDate(sMSUserView.getCurrentLoginDate());
    	dto.setLastLoginDate(sMSUserView.getLastLoginDate());
    	dto.setExternalUserName(sMSUserView.getExternalUserName());
    	return dto;
    }
    
}
