package gov.va.med.mhv.admin.web.formbean;

import java.io.Serializable;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import gov.va.med.mhv.common.api.dto.PatientDTO;
import gov.va.med.mhv.common.api.dto.UserProfileDTO;
import gov.va.med.mhv.admin.dto.InPersonAuthenticationSearchResultDTO;

@ManagedBean(name="searchIPAResults")
@SessionScoped
public class SearchUserIPAResultsFormBean implements Serializable {

	private static final long serialVersionUID = -6609294959864644809L;

	List<UserProfileDTO> userprofiles = null;
	List<PatientDTO> patients = null;
	List<InPersonAuthenticationSearchResultDTO> ipaSearchResult = null;	

	public List<UserProfileDTO> getUserprofiles() {
		return userprofiles;
	}

	public void setUserprofiles(List<UserProfileDTO> userprofiles) {
		this.userprofiles = userprofiles;
	}

	public List<PatientDTO> getPatients() {
		return patients;
	}
	
	public void setPatients(List<PatientDTO> patients) {
		this.patients = patients;
	}
	
	public List<InPersonAuthenticationSearchResultDTO> getIpaSearchResult() {
		return ipaSearchResult;
	}
	
	public void setIpaSearchResult(List<InPersonAuthenticationSearchResultDTO> ipaSearchResult) {
		this.ipaSearchResult = ipaSearchResult;
	}	

	/*
	public String getCorrelationStatus() {
		PatientInformation info = getPatientInfo();
		Long correlationStatusCode = info.getCorrelationStatus();
		if(correlationStatusCode == UNCORRELATED_VALUE) {
			return "Uncorrelated";
		} else if(correlationStatusCode == PENDINGCORRELATION_VALUE) {
			return "Pending Correlation";
		} else if(correlationStatusCode == CORRELATED_VALUE) {
			return "Correlated";
		} else if(correlationStatusCode == PENDINGUNCORRELATION_VALUE) {
			return "Pending Uncorrelation";
		} else if(correlationStatusCode == FAILEDCORRELATION_VALUE) {
			return "Failed Correlation";
		} else if(correlationStatusCode == FAILEDUNCORRELATION_VALUE) {
			return "Failed Uncorrelation";
		} else if(correlationStatusCode == CORRELATIONINVALID_VALUE) {
			return "Correlation Invalid";
		} else if(correlationStatusCode == MVIDATAMATCH_VALUE) {
			// CR 1838
			return "Uncorrelated";
		}
		return "";
	}	*/
}
