package gov.va.med.mhv.admin.web.util;

/**
 * @author DNS   THUMMP
 *
 */
public enum PasswordHintQuestionsEnumeration {
	HINT_Q_1("In what city did you meet your spouse/significant other?",7),
		HINT_Q_2("In what city does your nearest sibling live?",17),
		HINT_Q_3("In what city or town was your first job?",20),
		HINT_Q_4("What is the middle name of your oldest child?",11),
		HINT_Q_5("What is the name of a college you applied to but didn't attend?",22),
		HINT_Q_6("What is the name of the place your wedding reception was held?",21),
		HINT_Q_7("What is the name of town in which you were born?",1),
		HINT_Q_8("What is the name of your favorite childhood friend?",8),
		HINT_Q_9("What is your favorite food?",2),
		HINT_Q_10("What is your maternal grandmother's maiden name?",19),
		HINT_Q_11("What is your oldest brother's birthday month and year? (e.g., January 1900)",18),
		HINT_Q_12("What is your oldest cousin's first and last name?",14),
		HINT_Q_13("What is your oldest sibling's birthday month and year? (e.g., January 1900)",10),
		HINT_Q_14("What is your oldest sibling's middle name?",12),
		HINT_Q_15("What is your pet's name?",3),
		HINT_Q_16("What school did you attend for sixth grade?",13),
		HINT_Q_17("What street did you live on in third grade?",9),
		HINT_Q_18("What was the last name of your third grade teacher?",16),
		HINT_Q_19("What was the name of your first stuffed animal?",15),
		HINT_Q_20("What was your childhood nickname?",6),
		HINT_Q_21("Who is your favorite actor, musician, or artist?",5),
		HINT_Q_22("Who was your favorite teacher?",4);

	private String description;
	private int value;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	PasswordHintQuestionsEnumeration(String desc, int val){
		description = desc;
		value=val;
	}
}
