package gov.va.med.mhv.admin.web.util;

import java.text.SimpleDateFormat;
import java.util.Date;

public class WebUtility {

	public static String dateToString (Date date,String format){
		String stringDate="";
		try{
			if(date != null){
			   SimpleDateFormat sdf = new SimpleDateFormat(format);
			   //sdf.setTimeZone(TimeZone.getTimeZone("America/New_York"));
			   stringDate =sdf.format(date);
			}
		}catch(Exception e){
			throw new RuntimeException("Invalid Date format");
		}
		return stringDate;
	}
	
	public static String dateToStringTimeZone (Date date,String format){
		String stringDate="";
		try{
			if(date != null){
			   SimpleDateFormat sdf = new SimpleDateFormat(format);
			   //sdf.setTimeZone(TimeZone.getTimeZone("America/New_York"));
			   stringDate =sdf.format(date);
			}
		}catch(Exception e){
			throw new RuntimeException("Invalid Date format");
		}
		return stringDate;
	}
	
	// TODO: Remove this method; use dateToString instead
	public static String dateToString1 (Date date,String format){
		String stringDate="";
		try{
			if(date != null){
			   SimpleDateFormat sdf = new SimpleDateFormat(format);
			   stringDate =sdf.format(date);
			   //sdf.setTimeZone(TimeZone.getTimeZone("America/New_York"));
			   stringDate=stringDate+" "+sdf.getTimeZone().getDisplayName(true, 0);
			}
		}catch(Exception e){
			throw new RuntimeException("Invalid Date format");
		}
		return stringDate;
	}
}
	