package gov.va.med.mhv.bluebutton.web.bean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

@ManagedBean
@Component
@Scope("session")
public class SendHealthSummaryFormBean implements Serializable {
	
	
	private static final long serialVersionUID = 5305249164880073766L;
	

	private static Logger logger = LogManager.getLogger(SendHealthSummaryFormBean.class);

	
	private boolean hsDisclaimerCheckbox;
	private String hsDirectAddress;
	private String hsConfirmDirectAddress;
	

	public void initialize() {
		//setHsDisclaimerCheckbox(false);
	}


	public boolean isHsDisclaimerCheckbox() {
		return hsDisclaimerCheckbox;
	}


	public void setHsDisclaimerCheckbox(boolean hsDisclaimerCheckbox) {
		this.hsDisclaimerCheckbox = hsDisclaimerCheckbox;
	}


	public String getHsDirectAddress() {
		return hsDirectAddress;
	}


	public void setHsDirectAddress(String hsDirectAddress) {
		this.hsDirectAddress = hsDirectAddress;
	}


	public String getHsConfirmDirectAddress() {
		return hsConfirmDirectAddress;
	}


	public void setHsConfirmDirectAddress(String hsConfirmDirectAddress) {
		this.hsConfirmDirectAddress = hsConfirmDirectAddress;
	}
	
	

	
}
