/**
 * 
 */
package gov.va.med.mhv.rxrefill.batch.jdbc;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Component;

import gov.va.med.mhv.rxrefill.data.model.UserProfileEmailInfo;
import gov.va.med.mhv.rxrefill.data.repository.UserProfileEmailInfoRepository;

/**
 * @author vhaislegberb
 *
 */
@Component("userProfileEmailInfoRowMapper")
public class UserProfileEmailInfoRowMapper implements RowMapper<UserProfileEmailInfo> {
	
	@Autowired
	private UserProfileEmailInfoRepository repository;
	
	@Override
	public UserProfileEmailInfo mapRow(ResultSet rs, int rowNum) throws SQLException {
		Long userProfileId = rs.getLong("ITEM_ID");
		return repository.findOne(userProfileId);
	}

}
