package gov.va.med.mhv.usermgmt.common.dto;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "PersonalInfoUpdate")
public class A31PersonalInfoUpdateTO implements Serializable{
	
	
	private static final long serialVersionUID = -6994206140838179815L;
	
	private String personalInfoNameFirstName;
	private String personalInfoNameMiddleName;
	private String personalInfoNameLastName;
	private String personalInfoNameSuffix;
	private String personalInfoNamePrefix;
	private String personalInfoSSN;
	private String personalInfoDateOfBirth;
	private String personalInfoMothersMaidenName;
	private String personalInfoGender;
	private String personalInfoPermanentAddressStreetAddress1;  
	private String personalInfoPermanentAddressStreetAddress2;  
	private String personalInfoPermanentAddressCity;  
	private String personalInfoPermanentAddressStateProvence;  
	private String personalInfoPermanentAddressZipPostalCode;  
	private String personalInfoPermanentAddressCountyCode;  
	private String personalInfoPermanentAddressCountryCode;  
	private Boolean personalInfoPermanentAddressBadAddressIndicator;
	private String personalInfoContactInformationHomePhone; 
	private String personalInfoEthnicity; 
	private String personalInfoPlaceOfBirthCity; 
	private String personalInfoPlaceOfBirthState; 
	private Boolean personalInfoMultipleBirthIndicator;
	private String personalInfoAliasNameFirstName;
	private String personalInfoAliasNameMiddleName;
	private String personalInfoAliasNameLastName;
	private String personalInfoAliasNameSuffix;
	private String personalInfoAliasNamePrefix;
	private String personalInfoAliasSSN;
	private Boolean aliasFound;
	
	private String patientICN;
	private String patientDFN;
	
	public String getPersonalInfoNameFirstName() {
		return personalInfoNameFirstName;
	}
	public void setPersonalInfoNameFirstName(String personalInfoNameFirstName) {
		this.personalInfoNameFirstName = personalInfoNameFirstName;
	}
	public String getPersonalInfoNameMiddleName() {
		return personalInfoNameMiddleName;
	}
	public void setPersonalInfoNameMiddleName(String personalInfoNameMiddleName) {
		this.personalInfoNameMiddleName = personalInfoNameMiddleName;
	}
	public String getPersonalInfoNameLastName() {
		return personalInfoNameLastName;
	}
	public void setPersonalInfoNameLastName(String personalInfoNameLastName) {
		this.personalInfoNameLastName = personalInfoNameLastName;
	}
	public String getPersonalInfoNameSuffix() {
		return personalInfoNameSuffix;
	}
	public void setPersonalInfoNameSuffix(String personalInfoNameSuffix) {
		this.personalInfoNameSuffix = personalInfoNameSuffix;
	}
	public String getPersonalInfoNamePrefix() {
		return personalInfoNamePrefix;
	}
	public void setPersonalInfoNamePrefix(String personalInfoNamePrefix) {
		this.personalInfoNamePrefix = personalInfoNamePrefix;
	}
	public String getPersonalInfoSSN() {
		return personalInfoSSN;
	}
	public void setPersonalInfoSSN(String personalInfoSSN) {
		this.personalInfoSSN = personalInfoSSN;
	}
	public String getPersonalInfoDateOfBirth() {
		return personalInfoDateOfBirth;
	}
	public void setPersonalInfoDateOfBirth(String personalInfoDateOfBirth) {
		this.personalInfoDateOfBirth = personalInfoDateOfBirth;
	}
	public String getPersonalInfoMothersMaidenName() {
		return personalInfoMothersMaidenName;
	}
	public void setPersonalInfoMothersMaidenName(
			String personalInfoMothersMaidenName) {
		this.personalInfoMothersMaidenName = personalInfoMothersMaidenName;
	}
	public String getPersonalInfoGender() {
		return personalInfoGender;
	}
	public void setPersonalInfoGender(String personalInfoGender) {
		this.personalInfoGender = personalInfoGender;
	}
	public String getPersonalInfoPermanentAddressStreetAddress1() {
		return personalInfoPermanentAddressStreetAddress1;
	}
	public void setPersonalInfoPermanentAddressStreetAddress1(
			String personalInfoPermanentAddressStreetAddress1) {
		this.personalInfoPermanentAddressStreetAddress1 = personalInfoPermanentAddressStreetAddress1;
	}
	public String getPersonalInfoPermanentAddressStreetAddress2() {
		return personalInfoPermanentAddressStreetAddress2;
	}
	public void setPersonalInfoPermanentAddressStreetAddress2(
			String personalInfoPermanentAddressStreetAddress2) {
		this.personalInfoPermanentAddressStreetAddress2 = personalInfoPermanentAddressStreetAddress2;
	}
	public String getPersonalInfoPermanentAddressCity() {
		return personalInfoPermanentAddressCity;
	}
	public void setPersonalInfoPermanentAddressCity(
			String personalInfoPermanentAddressCity) {
		this.personalInfoPermanentAddressCity = personalInfoPermanentAddressCity;
	}
	public String getPersonalInfoPermanentAddressStateProvence() {
		return personalInfoPermanentAddressStateProvence;
	}
	public void setPersonalInfoPermanentAddressStateProvence(
			String personalInfoPermanentAddressStateProvence) {
		this.personalInfoPermanentAddressStateProvence = personalInfoPermanentAddressStateProvence;
	}
	public String getPersonalInfoPermanentAddressZipPostalCode() {
		return personalInfoPermanentAddressZipPostalCode;
	}
	public void setPersonalInfoPermanentAddressZipPostalCode(
			String personalInfoPermanentAddressZipPostalCode) {
		this.personalInfoPermanentAddressZipPostalCode = personalInfoPermanentAddressZipPostalCode;
	}
	public String getPersonalInfoPermanentAddressCountyCode() {
		return personalInfoPermanentAddressCountyCode;
	}
	public void setPersonalInfoPermanentAddressCountyCode(
			String personalInfoPermanentAddressCountyCode) {
		this.personalInfoPermanentAddressCountyCode = personalInfoPermanentAddressCountyCode;
	}
	public String getPersonalInfoPermanentAddressCountryCode() {
		return personalInfoPermanentAddressCountryCode;
	}
	public void setPersonalInfoPermanentAddressCountryCode(
			String personalInfoPermanentAddressCountryCode) {
		this.personalInfoPermanentAddressCountryCode = personalInfoPermanentAddressCountryCode;
	}
	public Boolean getPersonalInfoPermanentAddressBadAddressIndicator() {
		return personalInfoPermanentAddressBadAddressIndicator;
	}
	public void setPersonalInfoPermanentAddressBadAddressIndicator(
			Boolean personalInfoPermanentAddressBadAddressIndicator) {
		this.personalInfoPermanentAddressBadAddressIndicator = personalInfoPermanentAddressBadAddressIndicator;
	}
	public String getPersonalInfoContactInformationHomePhone() {
		return personalInfoContactInformationHomePhone;
	}
	public void setPersonalInfoContactInformationHomePhone(
			String personalInfoContactInformationHomePhone) {
		this.personalInfoContactInformationHomePhone = personalInfoContactInformationHomePhone;
	}
	public String getPersonalInfoEthnicity() {
		return personalInfoEthnicity;
	}
	public void setPersonalInfoEthnicity(String personalInfoEthnicity) {
		this.personalInfoEthnicity = personalInfoEthnicity;
	}
	public String getPersonalInfoPlaceOfBirthCity() {
		return personalInfoPlaceOfBirthCity;
	}
	public void setPersonalInfoPlaceOfBirthCity(String personalInfoPlaceOfBirthCity) {
		this.personalInfoPlaceOfBirthCity = personalInfoPlaceOfBirthCity;
	}
	public String getPersonalInfoPlaceOfBirthState() {
		return personalInfoPlaceOfBirthState;
	}
	public void setPersonalInfoPlaceOfBirthState(
			String personalInfoPlaceOfBirthState) {
		this.personalInfoPlaceOfBirthState = personalInfoPlaceOfBirthState;
	}
	public Boolean getPersonalInfoMultipleBirthIndicator() {
		return personalInfoMultipleBirthIndicator;
	}
	public void setPersonalInfoMultipleBirthIndicator(
			Boolean personalInfoMultipleBirthIndicator) {
		this.personalInfoMultipleBirthIndicator = personalInfoMultipleBirthIndicator;
	}
	public String getPersonalInfoAliasNameFirstName() {
		return personalInfoAliasNameFirstName;
	}
	public void setPersonalInfoAliasNameFirstName(
			String personalInfoAliasNameFirstName) {
		this.personalInfoAliasNameFirstName = personalInfoAliasNameFirstName;
	}
	public String getPersonalInfoAliasNameMiddleName() {
		return personalInfoAliasNameMiddleName;
	}
	public void setPersonalInfoAliasNameMiddleName(
			String personalInfoAliasNameMiddleName) {
		this.personalInfoAliasNameMiddleName = personalInfoAliasNameMiddleName;
	}
	public String getPersonalInfoAliasNameLastName() {
		return personalInfoAliasNameLastName;
	}
	public void setPersonalInfoAliasNameLastName(
			String personalInfoAliasNameLastName) {
		this.personalInfoAliasNameLastName = personalInfoAliasNameLastName;
	}
	public String getPersonalInfoAliasNameSuffix() {
		return personalInfoAliasNameSuffix;
	}
	public void setPersonalInfoAliasNameSuffix(String personalInfoAliasNameSuffix) {
		this.personalInfoAliasNameSuffix = personalInfoAliasNameSuffix;
	}
	public String getPersonalInfoAliasNamePrefix() {
		return personalInfoAliasNamePrefix;
	}
	public void setPersonalInfoAliasNamePrefix(String personalInfoAliasNamePrefix) {
		this.personalInfoAliasNamePrefix = personalInfoAliasNamePrefix;
	}
	public String getPersonalInfoAliasSSN() {
		return personalInfoAliasSSN;
	}
	public void setPersonalInfoAliasSSN(String personalInfoAliasSSN) {
		this.personalInfoAliasSSN = personalInfoAliasSSN;
	}
	public Boolean getAliasFound() {
		return aliasFound;
	}
	public void setAliasFound(Boolean aliasFound) {
		this.aliasFound = aliasFound;
	}
	public String getPatientICN() {
		return patientICN;
	}
	public void setPatientICN(String patientICN) {
		this.patientICN = patientICN;
	}
	public String getPatientDFN() {
		return patientDFN;
	}
	public void setPatientDFN(String patientDFN) {
		this.patientDFN = patientDFN;
	}
	
}
