package gov.va.med.mhv.usermgmt.batch.listener;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.batch.core.ItemReadListener;
import org.springframework.stereotype.Component;

import gov.va.med.mhv.common.data.model.InPersonAuthentication;

@Component
public class MviDowngradeItemReaderListener implements ItemReadListener<InPersonAuthentication> {
	private static final Logger logger = LogManager.getLogger(MviDowngradeItemReaderListener.class);
	
	@Override
	public void afterRead(InPersonAuthentication ipa) {
		logger.debug(String.format("Read IPA id=%s", ipa.getId()));
		
	}

	@Override
	public void beforeRead() {
		logger.debug("beforeRead");
		
	}

	@Override
	public void onReadError(Exception e) {
		logger.debug("onReadError " + e);
	}

}
