package gov.va.med.mhv.usermgmt.batch.writer;

import java.util.List;

import org.springframework.batch.item.ItemWriter;
import org.springframework.stereotype.Component;

import gov.va.med.mhv.common.data.model.Patient;

/**
 * No operation Item Writer for patient item readers
 */
@Component
public class NoOpPatientItemWriter implements ItemWriter<Patient> {

	@Override
	public void write(List<? extends Patient> items) throws Exception {
	}

}
