package gov.va.med.mhv.usermgmt.util;

import java.util.List;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.batch.item.ItemWriter;

import gov.va.med.mhv.common.data.model.UserProfile;

public class NoOpUserProfileItemWriter implements ItemWriter<UserProfile> {

	private static final Logger logger = LogManager.getLogger(NoOpUserProfileItemWriter.class);
	
	@Override
	public void write(List<? extends UserProfile> items) throws Exception {
		if (items != null) {
			for (UserProfile userProfile : items) {
				logger.debug("userProfileId=" + userProfile.getId() + ", lastName=" + userProfile.getLastName());
			}
		}
	}

}
