package gov.va.med.mhv.usermgmt.web.formbean;

import java.io.Serializable;

/**
 * Form bean for User Registration Result
 * 
 * @author DNS   THUMMP
 */
public class RegistrationResult implements Serializable {

	private static final long serialVersionUID = 1L;
	private String userName;
	private String mhvId;
	private String alternateWebsite;
	private String accountCreatedDate;
	private String accountType;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getMhvId() {
		return mhvId;
	}

	public void setMhvId(String mhvId) {
		this.mhvId = mhvId;
	}
	
	public String getAlternateWebsite() {
		return alternateWebsite;
	}

	public void setAlternateWebsite(String alternateWebsite) {
		this.alternateWebsite = alternateWebsite;
	}

	public String getAccountCreatedDate() {
		return accountCreatedDate;
	}

	public void setAccountCreatedDate(String accountCreatedDate) {
		this.accountCreatedDate = accountCreatedDate;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("======================RegistrationResult============================");
		sb.append("\nuserName : " + this.userName);
		sb.append("\nmhvId : " + this.mhvId);
		sb.append("\nalteranteWebsite : " + this.getAlternateWebsite());
		sb.append("\naccountCreatedDate : " + this.getAccountCreatedDate());
		sb.append("\naccountType : " + this.getAccountType());
		
		return sb.toString();
	}
}
