<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@page session="true" 
	import="java.util.List"		
	import="gov.va.med.mhv.sm.wsclient.adminqueriessvc.User"
	import="gov.va.med.mhv.sm.model.ClinicalUserType"
	import="gov.va.med.mhv.sm.model.Clinician"
%>
<%
List<Clinician> staffMembers = (List<Clinician>) request.getSession().getAttribute("clinicians") ;
int staffMembersSize = 0;
if(staffMembers != null){staffMembersSize = staffMembers.size(); }
String activationType = (String)request.getSession().getAttribute("activationType");
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="/tiles/global/global_stylesheets.jsp"></jsp:include>
</head>
<body><jsp:include page="/tiles/global/global_HTMLincludes.jsp"></jsp:include>
<table width="100%" cellpadding="0" cellspacing="0" border="0"  class="sm_table">
	<tiles:insertAttribute name="smHeader" />
	<tr><td colspan="2" valign="top" align="left" class="sm_main_cell">
		<table width="100%" cellpadding="0" cellspacing="0" border="0"  id="sm_boxTable">
			<tr><td valign="top" align="left" width="6" class="sm_boxLeft"><img src="images/sms/border_topLeft.gif" width="6" height="13" alt="" border="0" /></td>
				<td valign="top" align="left" class="sm_box" ><jsp:include page="/tiles/global/global_utilityLinks.jsp"></jsp:include>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
					<tr><td id="sm_LeftColumn" width="152" valign="top" align="left"><jsp:include page="/tiles/admin/admin_leftNav.jsp"></jsp:include></td>
					<td id="sm_mainPane" valign="top" align="left">
					<!-- START MAIN PANE -->
					<a name="skip_sms_navigation"></a><table width="100%" cellpadding="0" cellspacing="0" border="0" class="sm_inner_header">
						<tr><td><table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr><td width="4" valign="top" align="left" class="leftBlueBorder"><img src="images/spacer.gif" width="4" height="50" alt="" border="0" /></td>
									<td valign="top" align="left" class="sm_inner_header_content"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
											<tr><td width="400" valign="top" align="left"><h2>Manage Staff Members</h2></td></tr>
										</table></td>
									<td width="4" valign="top" align="right" class="rightBlueBorder"><img src="images/spacer.gif" width="4" height="50" alt="" border="0" /></td></tr>
								</table></td></tr>
						<tr><td class="rightBlueBorder leftBlueBorder">
							<table width="100%" cellpadding="0" cellspacing="10" border="0" class="sm_midPane sm_topBorder">
							  <form name="frmQueryResults_IA" action="searchStaffMembers.action" method="post">
							  	<%if((activationType != null) && (activationType.equalsIgnoreCase("inactivate"))){%>
							  	<tr><td valign="top" align="left"><s:actionerror cssStyle="color: red;font-weight:bold;"/><br/><h3>Search Results - Inactivation</h3>
								Click the Secure Messaging Staff members name below to view their details or inactivate the member.<br/><br/>
							  	</td></tr>
							  	<%}else if((activationType != null) && (activationType.equalsIgnoreCase("reactivate"))){%>
							  	<tr><td valign="top" align="left"><s:actionerror cssStyle="color: red;font-weight:bold;"/><br/><h3>Search Results - Reactivation</h3>
								The following is a list of Secure Messaging staff members who have been inactivated.  Click the member's name to view their details or reactivate the member.<br/><br/>
							  	</td></tr>
							  	<%}%>							  	
								<tr><td align="left" valign="middle">
									<%if(staffMembersSize > 0){%>
										<%=staffMembersSize%> Items found, displaying all items.
									<%}%>
									<table width="100%" cellpadding="0" cellspacing="0" border="1">
										<tr>
											<th align="center" valign="middle" width="30%">Name</th>
											<th align="center" valign="middle" width="25%">Network ID</th>
											<th align="center" valign="middle" width="30%">User Type</th>
											<th align="center" valign="middle" width="45%">DUZ</th>
										</tr>
									  <%if(staffMembersSize < 1){%>
										<tr><td align="left" valign="middle" colspan="4">
											No items found.
										</td></tr>
									  <%}else{									  	
									  	for(Clinician u:staffMembers){									  	
									  	String userType = "";
									  	ClinicalUserType cu = (ClinicalUserType)u.getClinicalUserType();
									  	if(cu != null){
									  	  userType = (cu.getName() == null)?"":cu.getName();
									  	}
									  	
									  	String duz = "duz="+u.getDuz();
									  %>
										<tr><td align="left" valign="middle">
											<a href="showMemberDetails.action?<%=duz%>"><%=u.getFullName()%>&nbsp;</a>
										  </td>
										  <td align="left" valign="middle">
										  	<%=u.getUsername()%>&nbsp;
										  </td>
										  <td align="left" valign="middle">
										  	<%=userType%>&nbsp;
										  </td>
										  <td align="left" valign="middle">
										  	<%=u.getDuz()%>&nbsp;
										  </td>
										</tr>
									  <%	}
									    }
									  %>
									</table>
									<%if(staffMembersSize > 0){%>
										<%=staffMembersSize%> Items found, displaying all items.
									<%}%>
								</td></tr>
								<tr><td align="right" valign="middle">
									<input class="blueSubmitBtn" type="submit" title="New Search" name="selectAction" id="selectAction" value="New Search" /> &nbsp;
									<input class="blueSubmitBtn" type="submit" title="Cancel" name="selectAction" id="selectAction" value="Cancel" />
								</td></tr>
							  </form>	
							</table>
							<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="sm_footer">
								<tr><td class="sm_footerBottom">&nbsp;</td></tr>
							</table></td></tr>
					</table>
					<!-- END MAIN PANE --></td></tr>
					<tr><td colspan="2">&nbsp;</td></tr>
				</table></td>
				<td valign="top" align="left" width="7" class="sm_boxRight"><img src="images/sms/border_topRight.gif" width="7" height="13" alt="" border="0" /></td></tr>
			<tr class="borderLine">
				<td valign="top" align="left" width="6"><img src="images/sms/border_btmLeft.gif" width="6" height="13" alt="" border="0" /></td>
				<td valign="top" align="left" class="sm_boxBottom"><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td>
				<td valign="top" align="left" width="7"><img align="absbottom" src="images/sms/border_btmRight.gif" width="7" height="13" alt="" border="0" /></td></tr>
		</table></td></tr>
</table>
</body>
</html>
