<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<%@page  session="true" 
	import="java.util.List"		
	import="java.util.Set"
	import="java.util.HashSet"
	import="java.util.ArrayList"
	import="gov.va.med.mhv.sm.model.User"	
	import="gov.va.med.mhv.sm.model.Clinician"	
	import="org.owasp.esapi.*"
%>
<%
List<Clinician> selectedUsers = (List<Clinician>) request.getSession().getAttribute("selectedUsers") ;
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<jsp:include page="/tiles/global/global_stylesheets.jsp"></jsp:include>
</head>
<body><jsp:include page="/tiles/global/global_HTMLincludes.jsp"></jsp:include>
<table width="100%" cellpadding="0" cellspacing="0" border="0"  class="sm_table">
	<tiles:insertAttribute name="smHeader" />
	<tr><td colspan="2" valign="top" align="left" class="sm_main_cell">
		<table width="100%" cellpadding="0" cellspacing="0" border="0"  id="sm_boxTable">
			<tr><td valign="top" align="left" width="6" class="sm_boxLeft"><img src="images/sms/border_topLeft.gif" width="6" height="13" alt="" border="0" /></td>
				<td valign="top" align="left" class="sm_box" ><jsp:include page="/tiles/global/global_utilityLinks.jsp"></jsp:include>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
					<tr><td id="sm_LeftColumn" width="152" valign="top" align="left"><jsp:include page="/tiles/admin/admin_leftNav.jsp"></jsp:include></td>
					<td id="sm_mainPane" valign="top" align="left">
					<!-- START MAIN PANE -->
					<a name="skip_sms_navigation"></a><table width="100%" cellpadding="0" cellspacing="0" border="0" class="sm_inner_header">
						<tr><td><table width="100%" cellpadding="0" cellspacing="0" border="0">
								<tr><td width="4" valign="top" align="left" class="leftBlueBorder"><img src="images/spacer.gif" width="4" height="50" alt="" border="0" /></td>
									<td valign="top" align="left" class="sm_inner_header_content"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
											<tr><td width="400" valign="top" align="left"><h2>User Participation Status</h2></td>
												<td valign="bottom" align="right">&nbsp;</td></tr>
										</table></td>
									<td width="4" valign="top" align="right" class="rightBlueBorder"><img src="images/spacer.gif" width="4" height="50" alt="" border="0" /></td></tr>
								</table></td></tr>
						<tr><td class="rightBlueBorder leftBlueBorder">
							<table width="100%" cellpadding="0" cellspacing="10" border="0" class="sm_midPane sm_topBorder">
								<tr><td align="left" valign="top">
										<h4 class="noMar">Select Users and Change Their Participation Status</h4><br />	
										<h5 class="noMar">Select Facility:</h5>
										<form name="frmOptIn" action="groupOptIn.action" method="post">
										<input type="hidden" name="selectedFacilityName" value="<esapi:encodeForHTMLAttribute>${selectedFacilityName}</esapi:encodeForHTMLAttribute>"/>
										<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">										
											<tr><td scope="column" valign="bottom" align="left"><label for="facility">Facility:&nbsp;&nbsp;</label><esapi:encodeForHTML>${selectedFacilityName}</esapi:encodeForHTML>&nbsp;<a href="selectCliniciansInFacility.action">(Change Facility)</a></td></tr>
										</table><br /><br />
											<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
												<tr><th scope="column" valign="bottom" align="left"><label for="clinicians">Select Clinicians and Staff to Add</label></th>
													<td>&nbsp;</td>
													<th scope="column" valign="bottom" align="left"><label for="selectedUsers">Selected Users</label></th></tr>
												<tr><td width="250" align="left" valign="top" rowspan="2">
														<select name="availableMembers" id="availableMembers" multiple="true" size="10">
														<%	
															//Get unique list
															java.util.Collection<Clinician> allClin = (java.util.Collection)session.getAttribute("clinicians");
															java.util.Collection<Clinician> available = new java.util.TreeSet<Clinician>(User.USER_BY_NAME_SORTER);
															available.addAll(allClin);
															if ( selectedUsers != null ) {
																available.removeAll(selectedUsers);
															}
													  		for (Clinician u : available){	
														%>				
																<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getFullName()%></esapi:encodeForHTML>  [<esapi:encodeForHTML><%=u.getStatus().name()%></esapi:encodeForHTML>]</option>
														<%  
															} 
														%>
														</select><br /><span class="caption">Note: Multiple items may be selected by pressing the &ldquo;Ctrl&rdquo; key when clicking</span></td>
													<td align="center" valign="middle" rowspan="2">
														<p><input type="submit" title="Add ->" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" style="margin:0px;"/></p>
														<p><input type="submit" title="<- Remove" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="<- Remove" style="margin:0px;"/></p></td>
													<td width="250" align="left" valign="top">			
													
														<select name="selectedMembers" id="selectedMembers" size="7" multiple>
														<%	
														if(selectedUsers != null){
															//Get unique list
															Set<Clinician> set = new java.util.TreeSet<Clinician>(User.USER_BY_NAME_SORTER);
															set.addAll(selectedUsers);
															selectedUsers = new ArrayList<Clinician>(set);
													  		for (Clinician u : selectedUsers){	
														%>				
																<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getFullName()%></esapi:encodeForHTML>  [<esapi:encodeForHTML><%=u.getStatus().name()%></esapi:encodeForHTML>]</option>
														<%  
															} 
														  }
														%>
														</select></td></tr>
												<tr><td valign="middle" align="left">
													<table width="100%" cellpadding="5" cellspacing="0" border="0">
													<%
														String optInChecked = "checked";
														String optOutChecked = "";
														
														if(session.getAttribute("OPTSTATUS")!=null && session.getAttribute("OPTSTATUS").equals("OPTIN")){
															optInChecked="checked";
															optOutChecked="";
														}
														
														if(session.getAttribute("OPTSTATUS")!=null && session.getAttribute("OPTSTATUS").equals("OPTOUT")){
															optInChecked="";
															optOutChecked="checked";
														}
													%>
													
														<tr><td valign="middle" align="left"><input type="radio" name="optIn" id="optIn" value="1" <%=optInChecked%>/></td>
															<td valign="middle" align="left"><label for="optin">Opt In</label></td>
															<td valign="middle" align="left"><input type="radio" name="optIn" id="optIn" value="0" <%=optOutChecked%>/></td>
															<td valign="middle" align="left"><label for="optout">Opt Out</label></td>
													</table>
												</td></tr>
												<tr><td colspan="3" valign="middle" align="right"><input class="blueSubmitBtn" type="submit" title="Save Status" name="selectAction" id="selectAction" value="Save Status" />&nbsp;&nbsp;<input class="blueSubmitBtn" type="submit" title="Cancel" name="selectAction" id="selectAction" value="Cancel" /></td></tr>
											</table>
											</form>
									</td></tr>
							</table>
							<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="sm_footer">
								<tr><td class="sm_footerBottom">&nbsp;</td></tr>
							</table></td></tr>
					</table>
					<!-- END MAIN PANE --></td></tr>
					<tr><td colspan="2">&nbsp;</td></tr>
				</table></td>
				<td valign="top" align="left" width="7" class="sm_boxRight"><img src="images/sms/border_topRight.gif" width="7" height="13" alt="" border="0" /></td></tr>
			<tr class="borderLine">
				<td valign="top" align="left" width="6"><img src="images/sms/border_btmLeft.gif" width="6" height="13" alt="" border="0" /></td>
				<td valign="top" align="left" class="sm_boxBottom"><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td>
				<td valign="top" align="left" width="7"><img align="absbottom" src="images/sms/border_btmRight.gif" width="7" height="13" alt="" border="0" /></td></tr>
		</table></td></tr>
</table>
</body>
</html>