<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<%@ page import="org.apache.commons.lang.StringUtils"%>

<s:form id="manageUserInfo_selectUser" 
	name="manageUserInfo_selectUser"
	action="manageUserInfo_selectFacility" method="post">
	<h4>Selected User:</h4>
	<p>
		<table cellpadding="0" cellspacing="0" border="0" align="left" width="650">
		<tr>
			<td><b>VISN:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedVisn.name}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Facility:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedFacility.name}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>First Name:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.firstName}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Middle Name:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.middleName}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Last Name:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.lastName}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Suffix:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.suffix}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Prefix:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.prefix}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Title:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.title}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>Work Phone:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.phone}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>DUZ:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.duz}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td><b>DISUSER:</b></td>
			<td>
				<s:if test='%{sessionData.selectedClinician.providerVistAActiveFlag=="1"}'>INACTIVE</s:if>
				<s:elseif test='%{sessionData.selectedClinician.providerVistAActiveFlag=="0"}'>ACTIVE</s:elseif>
			</td>
		</tr>
		<tr>
			<td><b>Provider Key:</b></td>
			<td>
				<s:if test='%{sessionData.selectedClinician.provider=="1"}'>TRUE</s:if>
				<s:elseif test='%{sessionData.selectedClinician.provider=="0"}'>FALSE</s:elseif>
			</td>
		</tr>
		<tr>
			<td width="130" valign="top"><b>Provider Class:</b></td>
			<td valign="top"><esapi:encodeForHTML>${sessionData.selectedClinician.providerClass}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td valign="top"><b>Person Class:</b></td>
			<td valign="top"><esapi:encodeForHTML>${sessionData.selectedClinician.personClass}</esapi:encodeForHTML></td>
		</tr>
		<tr>
			<td valign="top"><b>DMMS Units:</b></td>
			<td valign="top">
			<%
				String dssUnits = (String)request.getAttribute("sessionData.selectedClinician.dmmsUnits");
				if(dssUnits!=null){
					String[] dssUnitsArr = StringUtils.split(dssUnits,"|");
					for(String str:dssUnitsArr){
						out.println(str+"</br>");
					}
				}
			%>
			</td>
		</tr>
		<tr>
			<td><b>PCMM Flag:</b></td>
			<td>
				<s:if test='%{sessionData.selectedClinician.providerPcmmFlag=="1"}'>YES</s:if>
				<s:elseif test='%{sessionData.selectedClinician.providerPcmmFlag=="0"}'>NO</s:elseif>
			</td>
		</tr>
		<tr>
			<td width="30%"><b>Requires Cosigner:</b></td>
			<td valign="top">
				<esapi:encodeForHTML>${sessionData.selectedClinician.requiresCosigner}</esapi:encodeForHTML>
			</td>
		</tr>
		<tr>
			<td><b>Network ID:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.username}</esapi:encodeForHTML></tr>
		</tr>
		<tr>
			<td><b>User Type:</b></td>
			<td><esapi:encodeForHTML>${sessionData.selectedClinician.clinicalUserType.name}</esapi:encodeForHTML></td>
		</tr>
		</table>
	</p>
	<p class="controls">
		<s:submit id="select" name="doChange"  cssClass="blueSubmitBtn" 
			value="Select Another User" />
	</p>
</s:form>
