<%@page import="gov.va.med.mhv.sm.model.report.*"%>
<%@page import="gov.va.med.mhv.sm.web.reports.GraphBarPostProcessor"%>
<%@page import="gov.va.med.mhv.sm.web.reports.GraphBarDatasetProducer"%>
<%@page import="gov.va.med.mhv.sm.enumeration.*"%>

<%@taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles_reports.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />

<%@taglib prefix="s" uri="/struts-tags" %>								
<%@taglib prefix="cewolf" uri="/WEB-INF/cewolf-1.1.tld" %>								

<%if (request.getParameter("printerFriendly") != null) { %>
	<script type=text/javascript>
	   function printFunction() {
		if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
			alert("Please use the File -> Print menu option from your browser's tool bar.")
		} else {
			window.print();
		}
	 } 
	 
	 function closeWindow() {
		window.open('','_self','');
		window.close();
	 } 
	</script>
	<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks"><a href="javascript:printFunction()" class="sm_input_button">Print</a>
           <a href="javascript:closeWindow()" class="sm_input_button">Done</a></p>
    </div>
<%} %>

<TABLE border="1" class="sm_reports">
<% 
	CountsResults results = (CountsResults)session.getAttribute(gov.va.med.mhv.sm.web.reports.BaseReports.REPORT_RESULTS_DATA);
	int cat = 0;
	int per = 0;
	int sections = 0;
	
	Integer current = (Integer)session.getAttribute(gov.va.med.mhv.sm.web.reports.CountsTrendsSubCategoryFilter.SUB_CATEGORY_FILTER);
    int subCategoryFilterId = -1;
    if( current != null ) { 
    	subCategoryFilterId = current.intValue();
    }
    
    int widthDate = results.getPeriods().size()*85;
    int widthSubCat = (subCategoryFilterId!=-1?0:results.getSubCategories().size()*10);
	int widthTotal = widthDate+widthSubCat+50;
	
	widthTotal = (widthTotal<250?widthTotal=250:widthTotal);
	%><span>This report was generated on <esapi:encodeForHTML><%=results.getFormattedRunDate()%></esapi:encodeForHTML></span>
	
	<hr />
	
	<span><b>Report Parameters:</b>&nbsp;&nbsp;
	Type: <esapi:encodeForHTML><%= ReportingCountsTypeEnum.TRENDS.getName()%></esapi:encodeForHTML>,&nbsp;
	Period: <esapi:encodeForHTML><%= results.getPeriod()%></esapi:encodeForHTML>,&nbsp;
 	Date Range: <esapi:encodeForHTML><%=results.getStartDateFormatted()%></esapi:encodeForHTML> - <esapi:encodeForHTML><%=results.getEndDateFormatted()%></esapi:encodeForHTML>,&nbsp;
 	Filter: <esapi:encodeForHTML><%=results.getFilterTitle()%></esapi:encodeForHTML>,&nbsp;
 	Data Refreshed as of: <esapi:encodeForHTML><%=results.getFormattedLastRefreshDate()%></esapi:encodeForHTML>
	</span>
	</span>
	<hr />

<%if(results.isEmptyResults()) { %>
<TR><SPAN>No results to display</SPAN></TR>
<%} else {%>
  <%for( CountsResultsDetails d: results.getCountsResultsDetails() ) {
	  
  //Make a table for each detail section
  %><TR>
  	<% 	String categoryDataStr="categoryData";
  		String categoryPostProcessorStr="categoryPostProcessor";
  		String TRUE="true",FALSE="false";
  		if( sections == 0 ) { %><TR><TH NOWRAP>VISN</TH><TH>FACILITY</TH><TH><esapi:encodeForHTML><%=results.getFilterTitle().toUpperCase()%></esapi:encodeForHTML> NAME</TH></TR><% }%>
  				
  				<% GraphBarDatasetProducer categoryData = new GraphBarDatasetProducer();
  				   categoryData.setCountsResultsDetails(results,d,subCategoryFilterId,ReportingCountsTypeEnum.TRENDS);
 				   pageContext.setAttribute(categoryDataStr+sections, categoryData);
 				   pageContext.setAttribute(categoryPostProcessorStr+sections, new GraphBarPostProcessor());
 				   %>
  				
  				<cewolf:chart
				  id="verticalBar<%=sections %>"
				  title=""
				  type="verticalBar"
				  xaxislabel="Date"
				  yaxislabel="Count"
				  showlegend="true">
				    <cewolf:data>
				        <cewolf:producer id="<%=categoryDataStr+sections%>" />
				    </cewolf:data>
				    <cewolf:chartpostprocessor id="<%=categoryPostProcessorStr+sections%>">
      				</cewolf:chartpostprocessor>
				</cewolf:chart>
				
	    <TR><TH NOWRAP><esapi:encodeForHTML><%=d.getVisnName()%></esapi:encodeForHTML></TH><TH NOWRAP><esapi:encodeForHTML><%=d.getFacilityName()%></esapi:encodeForHTML></TH><TH NOWRAP><esapi:encodeForHTML><%=d.getDescription()%></esapi:encodeForHTML></TH> 
	    <%-- <TD><%if(sections==0) { %><cewolf:legend id="verticalBar<%=sections %>" renderer="/cewolf" width="<%=widthTotal %>" height="<%=heightLegend %>" mime="image/png"></cewolf:legend><br> <% }%></TD> --%>
	    </TR>
			<TR><TD/><TD/><TD/><TD>
				<cewolf:img chartid="verticalBar<%=sections %>" renderer="/cewolf" width="<%=widthTotal %>" height="300" />
			</TD></TR>
<%sections++;}
} //results were returned
%>
</TABLE>

<BR/> <BR/>
<TABLE border="1" class="sm_reports">
<TR><TH COLSPAN=2>Legend</TH></TR>
<TR><TH>Subcategory</TH><TH>Description</TH></TR>
<% 	
	 for(CountsSubCategoryEnum oneSubcategory: results.getSubCategoriesSorted()) {
		 if( subCategoryFilterId != -1 && oneSubcategory.getId() != subCategoryFilterId ) {
			continue;		//Subfilter
		 }
		 if( !oneSubcategory.isTrends() ) {
			continue;
		 }
	 	%><TR><TD NOWRAP style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getDescription()%></esapi:encodeForHTML></TD><TD style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getLongDescription()%></esapi:encodeForHTML></TD></TR><%
	 }
	%>
</TABLE>
