<%@page import="gov.va.med.mhv.sm.model.report.*"%>
<%@page import="gov.va.med.mhv.sm.web.reports.GraphPiePostProcessor"%>
<%@page import="gov.va.med.mhv.sm.web.reports.GraphPieDatasetProducer"%>
<%@page import="gov.va.med.mhv.sm.enumeration.*"%>

<%@taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<%@taglib prefix="cewolf" uri="/WEB-INF/cewolf-1.1.tld" %>								

<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles_reports.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />

<%if (request.getParameter("printerFriendly") != null) { %>
	<script type=text/javascript>
	   function printFunction() {
		if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
			alert("Please use the File -> Print menu option from your browser's tool bar.")
		} else {
			window.print();
		}
	 }	
	 	
	 function closeWindow() {
		window.open('','_self','');
		window.close();
	 } 
	</script>
	<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks"><a href="javascript:printFunction()" class="sm_input_button">Print</a>
           <a href="javascript:closeWindow()" class="sm_input_button">Done</a></p>
    </div>
<%} %>

<TABLE border="1" class="sm_reports">
<% 
	CountsResults results = (CountsResults)session.getAttribute(gov.va.med.mhv.sm.web.reports.BaseReports.REPORT_RESULTS_DATA);
	int sections = 0;
	
	Integer current = (Integer)session.getAttribute(gov.va.med.mhv.sm.web.reports.CountsTrendsSubCategoryFilter.SUB_CATEGORY_FILTER);
    int subCategoryFilterId = -1;
    if( current != null ) { 
    	subCategoryFilterId = current.intValue();
    }
%><span>This report was generated on <esapi:encodeForHTML><%=results.getFormattedRunDate()%></esapi:encodeForHTML></span>
	
	<hr />
	
	<span><b>Report Parameters:</b>&nbsp;&nbsp;
	Type: <esapi:encodeForHTML><%= ReportingCountsTypeEnum.DASHBOARD.getName()%></esapi:encodeForHTML>,&nbsp;
	Period: <esapi:encodeForHTML><%= results.getPeriod()%></esapi:encodeForHTML>,&nbsp;
 	Date Range: <esapi:encodeForHTML><%=results.getStartDateFormatted()%></esapi:encodeForHTML> - <esapi:encodeForHTML><%=results.getEndDateFormatted()%></esapi:encodeForHTML>,&nbsp;
 	Filter: <esapi:encodeForHTML><%=results.getFilterTitle()%></esapi:encodeForHTML>,&nbsp;
 	Data Refreshed as of: <esapi:encodeForHTML><%=results.getFormattedLastRefreshDate()%></esapi:encodeForHTML>
	</span>
	<hr />
	
	<TR><TH /> <%for( String p: results.getFormattedPeriods() ) { %><TH align="center"><esapi:encodeForHTML><%=p%></esapi:encodeForHTML></TH><%}%> </TR>
 
  <% 
	   //int width=(results.getCountsResultsDetailsNames().size()/10)*100;
	   //int height=(results.getCountsResultsDetailsNames().size()/5)*20;
	   //width=(width==0?600:width);
	   //height=(height==0?400:height);
	   
	   int width=600;
	   int height=400;
	   
  	   for( CountsSubCategoryEnum subCat: results.getSubCategoriesSorted() ) {
  		   
		   if(subCategoryFilterId != -1 && subCategoryFilterId != subCat.getId()) {
			  continue;
		   }
		   
		   if( !subCat.isDashboard() ) {
		     continue;
		   }
		   
		   %><TD NOWRAP class="labeldata"><esapi:encodeForHTML><%=subCat.getDescription()%></esapi:encodeForHTML></TD><%
		   for( String period: results.getPeriods() ) {
		   
		   String pieDataStr = "pieChart"+sections;
		   String pieDataPPStr = "pieChartPP"+sections;
		   
	  	   GraphPieDatasetProducer pieData = new GraphPieDatasetProducer();
	  	   pieData.setCountsResultsDetails(results,results.getPeriodPosition(period),subCat.getId());
	  	   pageContext.setAttribute(pieDataPPStr, new GraphPiePostProcessor());
	  	   pageContext.setAttribute(pieDataStr, pieData); %>
			<cewolf:chart id="pieChart<%=sections %>" title="" type="pie">
			    <cewolf:gradientpaint>
			        <cewolf:point x="0" y="0" color="#FFFFFF" />
			        <cewolf:point x="300" y="0" color="#DDDDFF" />
			    </cewolf:gradientpaint>
			    <cewolf:data>
			        <cewolf:producer id="<%=pieDataStr%>" />
			    </cewolf:data>
			    <cewolf:chartpostprocessor id="<%=pieDataPPStr%>">
      			</cewolf:chartpostprocessor>
			</cewolf:chart>
			<TD>
			<cewolf:img chartid="pieChart<%=sections %>" renderer="/cewolf" width="<%= width %>" height="<%=height %>"/>
			</TD> 
<%        sections++;
		  }
     %>
    </TR>
<%  }
%>
</TABLE>

<BR/> <BR/>
<TABLE border="1" class="sm_reports">
<TR><TH COLSPAN=2>Legend</TH></TR>
<TR><TH>Subcategory</TH><TH>Description</TH></TR>
<% 	
	 for(CountsSubCategoryEnum oneSubcategory: results.getSubCategoriesSorted()) {
		 if( subCategoryFilterId != -1 && oneSubcategory.getId() != subCategoryFilterId ) {
			continue;		//Subfilter
		 }
		 
		 if( !oneSubcategory.isDashboard() ) {
			continue;
		 }
		 
	 	%><TR><TD NOWRAP style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getDescription()%></esapi:encodeForHTML></TD><TD style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getLongDescription()%></esapi:encodeForHTML></TD></TR><%
	 }
	%>
</TABLE>
