<%@page import="gov.va.med.mhv.sm.model.report.*"%>
<%@page import="gov.va.med.mhv.sm.enumeration.*"%>
<%@page import="java.text.*"%>

<%@ taglib prefix="s" uri="/struts-tags" %>								
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<link rel="stylesheet" media="all" href="css/sms_styles_reports.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />

<% 
	CountsResults results = (CountsResults)session.getAttribute(gov.va.med.mhv.sm.web.reports.BaseReports.REPORT_RESULTS_DATA);
	int cat = 0;
	int per = 0;
	int sections = 0;
	
	Integer current = (Integer)session.getAttribute(gov.va.med.mhv.sm.web.reports.CountsTrendsSubCategoryFilter.SUB_CATEGORY_FILTER);
    int subCategoryFilterId = -1;
    if( current != null ) { 
    	subCategoryFilterId = current.intValue();
    }
	%>
	<%if (request.getParameter("printerFriendly") != null) { %>
	<script type=text/javascript>
	   function printFunction() {
		if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
			alert("Please use the File -> Print menu option from your browser's tool bar.")
		} else {
			window.print();
		}
	 }
	 	
	 function closeWindow() {
		window.open('','_self','');
		window.close();
	 } 
	</script>
	<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks">
	           <a href="javascript:printFunction()" class="sm_input_button">Print</a>
	           <a href="javascript:closeWindow()" class="sm_input_button">Done</a>
           </p>
    </div>
<%} %>
	
	<span>This report was generated on <esapi:encodeForHTML><%=results.getFormattedRunDate()%></esapi:encodeForHTML></span>
	
	<hr />
	
	<span><b>Report Parameters:</b>&nbsp;&nbsp;
	<strong>Type:</strong> <esapi:encodeForHTML><%= ReportingCountsTypeEnum.COUNTS.getName() %></esapi:encodeForHTML>,&nbsp;
	<strong>Period:</strong> <esapi:encodeForHTML><%= results.getPeriod()%></esapi:encodeForHTML>,&nbsp;
 	<strong>Date Range:</strong> <esapi:encodeForHTML><%=results.getStartDateFormatted()%></esapi:encodeForHTML> - <esapi:encodeForHTML><%=results.getEndDateFormatted()%></esapi:encodeForHTML>,&nbsp;
 	<strong>Filter:</strong> <esapi:encodeForHTML><%=results.getFilterTitle()%></esapi:encodeForHTML>,&nbsp;
 	<strong>Data Refreshed as of:</strong> <esapi:encodeForHTML><%=results.getFormattedLastRefreshDate()%></esapi:encodeForHTML>
	</span>
	<hr />
	
<TABLE border="1" class="sm_reports">

  <%for( CountsResultsDetails d: results.getCountsResultsDetails() ) {
  //Make a table for each detail section
  %><TR>
  	<% if( sections == 0 ) { %><TR><TH NOWRAP>VISN</TH><TH>FACILITY</TH>
  		<TH><esapi:encodeForHTML><%=results.getFilterTitle().toUpperCase() %></esapi:encodeForHTML> NAME</TH></TR><% sections++;}%>
	    <TR><TH NOWRAP><esapi:encodeForHTML><%=d.getVisnName()%></esapi:encodeForHTML></TH>
	    <TH NOWRAP><esapi:encodeForHTML><%=d.getFacilityName()%></esapi:encodeForHTML></TH>
	    <TH NOWRAP><esapi:encodeForHTML><%= d.getDescription()%></esapi:encodeForHTML></TH>
		
		<% 
		  for( String p: results.getFormattedPeriods() ) { %><TH NOWRAP align="center"><esapi:encodeForHTML><%=p %></esapi:encodeForHTML></TH><%}%> </TR>
		
		<% 	
			for( gov.va.med.mhv.sm.enumeration.CountsSubCategoryEnum c: results.getSubCategoriesSorted() ) {
				//Only process "counts" type of sub-categories
				if( c.isCounts() == false ) {
					continue;
				}
					
				//Subfilter
				if( subCategoryFilterId != -1 && c.getId() != subCategoryFilterId ) {
					continue;
				} 
				
				cat = results.getSubCategoryPosition(c.getId()).intValue();
				
				%> <TR > <TD /><TD /><TD class="labeldata" width="325" NOWRAP> <esapi:encodeForHTML><%=c.getDescription()%></esapi:encodeForHTML> </TD>
				<%
				  for( String p: results.getPeriods() ) {
					per = results.getPeriodPosition(p);
					String value = (d.getValue(per,cat) == null || d.getValue(per,cat).length()==0)?"-":d.getValue(per,cat);
					if( value.contains(".")) {
						DecimalFormat formatter = new DecimalFormat("#0.00");
						value = formatter.format(new Double(value));
						if( value.equals("0") ) {
							value = "-";
						}
					}
					%><TD align="center" width="50" NOWRAP><esapi:encodeForHTML><%= value %></esapi:encodeForHTML></TD><%
			} %>
			</TR>
			<% 
		}
	%></TR>
<%}
%>
</TABLE>

<BR/> <BR/>
<TABLE border="1" class="sm_reports">
<TR><TH COLSPAN=2>Legend</TH></TR>
<TR><TH>Subcategory</TH><TH>Description</TH></TR>
<% 	
	 for(CountsSubCategoryEnum oneSubcategory: results.getSubCategoriesSorted()) {
		 if( subCategoryFilterId != -1 && oneSubcategory.getId() != subCategoryFilterId ) {
				continue;		//Subfilter
			}
	 	%><TR><TD NOWRAP style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getDescription()%></esapi:encodeForHTML></TD>
	 	<TD style="text-align: left;"><esapi:encodeForHTML><%=oneSubcategory.getLongDescription()%></esapi:encodeForHTML></TD></TR><%
	 }
	%>
</TABLE>
