<%@page import="gov.va.med.mhv.sm.model.report.*"%>
<%@page import="gov.va.med.mhv.sm.enumeration.*"%>
<%@page import="gov.va.med.mhv.sm.web.reports.*"%>
<%@page import="java.text.*"%>
<%@page import="java.util.*"%>

<!--  RESULTS -->

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
							
<link rel="stylesheet" media="all" href="css/sms_styles_reports.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />

<TABLE border="1" class="sm_reports">
<% 
	Collection<ListsResults> results = (Collection<ListsResults>)session.getAttribute(BaseReports.REPORT_RESULTS_DATA);
	BaseReports report = (BaseReports) session.getAttribute(BaseReports.REPORT_RESULTS);

	int cat = 0;
	int fld = 0;
	int sections = 0;
	boolean isVisn = false;
	
	Integer current = (Integer)session.getAttribute(gov.va.med.mhv.sm.web.reports.ListsSubCategoryFilter.SUB_CATEGORY_FILTER_LISTS);
    int subCategoryFilterId = -1;
    if( current != null ) { 
    	subCategoryFilterId = current.intValue();
    }
	%>
<%if (request.getParameter("printerFriendly") != null) { %>
	<script type=text/javascript>
	   function printFunction() {
		if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
			alert("Please use the File -> Print menu option from your browser's tool bar.")
		} else {
			window.print();
		}
	 } 
	 
	 function closeWindow() {
			window.open('','_self','');
			window.close();
	 } 
	</script>
	<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks"><a href="javascript:printFunction()" class="sm_input_button">Print</a>
           <a href="javascript:closeWindow()" class="sm_input_button">Done</a></p>
    </div>
<%} %>
	<% for(ListsResults oneResult: results) { %>
	<span>This report was generated on <esapi:encodeForHTML><%=oneResult.getFormattedRunDate()%></esapi:encodeForHTML></span>
	
	<hr />
	
	<span><b>Report Parameters:</b>&nbsp;&nbsp;
	<strong>Type:</strong> List,
 	<strong>Date Range:</strong> <esapi:encodeForHTML><%=oneResult.getEndDateFormatted()%></esapi:encodeForHTML>,
 	<strong>Filter:</strong> <esapi:encodeForHTML><%=oneResult.getFilterTitle()%></esapi:encodeForHTML>
	</span>
	<hr />
		
	<%
	switch(	report.getFilterType() ){
		case ALL_VISNS:
		case VISN:
			isVisn = true;
			break;
	}
	%>	<TR><% if(!isVisn){ %><TH NOWRAP>VISN</TH><TH>FACILITY</TH><%}%> 
		<TH><esapi:encodeForHTML><%=oneResult.getFilterTitle().toUpperCase()%></esapi:encodeForHTML> NAME</TH></TR>
	<%
	break;
	} %>
	  
  <% for(ListsResults oneResult: results) { 
      //Sort underlying details
      oneResult.sortListsResultsDetails();
	  
	  int colspan = 1;
	  for(ListsSubCategoryEnum oneSubcategory: oneResult.getSubCategoriesSorted()) {
		if( subCategoryFilterId != -1 && oneSubcategory.getId() != subCategoryFilterId ) {
			continue;		//Subfilter
		}
				
		ListsResultsDetails d = oneResult.getListResultsDetailsForSubcategory(oneSubcategory);
		//Make a table for each detail section
		colspan = d.getFieldsList().size() + (!isVisn?2:0)+1;
		%>
		    <TR>
		    <% if(!isVisn){ %>
			    <TH NOWRAP><esapi:encodeForHTML><%=oneResult.getVisnTitle()%></esapi:encodeForHTML></TH>
			    <TH NOWRAP><esapi:encodeForHTML><%=oneResult.getFacilityTitle()%></esapi:encodeForHTML></TH>
			<%}%> 
		    <TH NOWRAP><esapi:encodeForHTML><%= d.getDescription()%></esapi:encodeForHTML></TH>
			<% 
			  for( String p: d.getFieldsList()) { %><TH align="center"><%=p %></TH><%}%> </TR>
				<%
			  	  if(d.getSize() == 0) {
			  		  if( !isVisn ){ %>
			  			  <TD/><TD/>
			  	  <%  } %>
			  	  <TD class="labeldata" align="right" width="200" NOWRAP> <esapi:encodeForHTML><%=oneSubcategory.getName()%></esapi:encodeForHTML> </TD>
			  	  <TD style="text-align:left" NOWRAP COLSPAN="<%=d.getFieldsList().size() %>">None found</TD>
			  	<%}
			      for(int row = 0; row < d.getSize(); row++) { 
			      	if(row==0) {%>
			      <TR > <% if(!isVisn){ %><TD /><TD /><%}%> 
			      	<TD class="labeldata" align="right" width="200" NOWRAP> <esapi:encodeForHTML><%=oneSubcategory.getName()%></esapi:encodeForHTML> </TD>
			      <%} else {%>
			      <TR > <% if(!isVisn){ %><TD /><TD /><%}%> <TD />
			      <%}
				    for( String p: d.getFieldsList() ) {
				      fld = d.getFieldPosition(p);
					  String value = (d.getValue(fld,row) == null ||d.getValue(fld,row).length()==0) ?"-":d.getValue(fld,row);
					  if( value.contains(".")) {
						DecimalFormat formatter = new DecimalFormat("#0.00");
						try{value = formatter.format(new Double(value));}catch(NumberFormatException e){}//Probably not a number value
					  }
					%><TD align="center" NOWRAP> <esapi:encodeForHTML><%= value %></esapi:encodeForHTML> </TD><%
			        } %>
				    </TR>
			  <% } 
			}%></TR>
			<% if(results.size()>1) {%>
			<TR> <TD COLSPAN=<%=colspan %>>&nbsp;</TD> </TR>
			<%} %>
	<%}%>
</TABLE>
<BR/> <BR/>

<TABLE border="1" class="sm_reports">
<TR><TH COLSPAN=2>Legend</TH></TR>
<TR><TH>Subcategory</TH><TH>Description</TH></TR>
<% 	for(ListsResults oneResult: results) { 
	 for(ListsSubCategoryEnum oneSubcategory: oneResult.getSubCategoriesSorted()) {
		 if( subCategoryFilterId != -1 && oneSubcategory.getId() != subCategoryFilterId ) {
				continue;		//Subfilter
			}
	 	%><TR>
	 	<TD NOWRAP><esapi:encodeForHTML><%=oneSubcategory.getName()%></esapi:encodeForHTML></TD>
	 	<TD><esapi:encodeForHTML><%=oneSubcategory.getLongDescription()%></esapi:encodeForHTML></TD>
	 	</TR><%
	 }
	 break;  //Only process one 
	}
	%>
</TABLE>
