package gov.va.med.mhv.sm.api.patient;

import gov.va.med.mhv.sm.api.transfer.NotificationStatusTO;
import gov.va.med.mhv.sm.api.transfer.TriageTeamsTO;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;

@Produces({"application/xml","application/json"})
@Consumes({"application/xml","application/json"})
public interface PreferencesAPIService {

	//Retrieve Message Notification Preference
	@GET
	@Path("/notification")
	public Response getNotificationPreference();

	//Retrieve SM Preference Notification List
	@GET
	@Path("/notification/list")
	public Response getNotificationPreferenceList();

	//Execute Message Notification Preference
	@POST
	@Path("/notification")
	public Response setNotificationPreference(NotificationStatusTO notiTO);

	//Retrieve Signature Preference
	@GET
	@Path("/signature")
	public Response getSignatureprefPreference();

	//Execute Signature Preference
	@POST
	@Path("/signature")
	public Response setSignaturePreference(NotificationStatusTO notiTO);
	
	//Retrieve Participation Status
	@GET
	@Path("/participationstatus")
	public Response getParticipationStatus();
	//Retrieve Participation Status
	
	@POST
	@Path("/participationstatus")
	public Response setParticipationStatus();
	
}