package gov.va.med.mhv.foundation.web.util;

import javax.servlet.http.HttpServletResponse;

public class NoCacheResponseHandler implements HttpResponseHeaderHandler {
	
	public void init() {
	}
	
	public void destroy() {
	}

	public void apply(HttpServletResponse response) { 
		if (response == null) {
			return;
		}
		response.setHeader("Cache-Control", "no-cache, no-store");
		// The following support HTTP/1.0
		response.setHeader("Pragma", "no-cache");
		response.setHeader("Expires", "-1");
	}


}
