package gov.va.med.mhv.foundation.service.response.messages;

public final class SeverityUtils {
	
	// TODO 
	//   Once this class is merged into the foundation branch
	//   these methods should be added to the Message class
	//   and these method should be deprecated
	
	public static final Severity ERROR_SEVERITY = Severity.getSeverity(
		Severity.ERROR);

	public static final Severity INFORMATIONAL_SEVERITY = Severity.getSeverity(
		Severity.INFORMATIONAL);

	public static final boolean isError(Severity severity) {
		return (severity!= null) && Severity.ERROR.equals(severity.getName());
	}

	public static final boolean isInformational(Severity severity) {
		return (severity != null) && Severity.INFORMATIONAL.equals(severity.
			getName());
	}

	public static final boolean hasSeverity(Severity severity, 
		Severity hasSeverity) 
	{
		return (severity != null) && severity.equals(hasSeverity);
	}

	public static String getDefaultText(Severity severity) {
		if (isError(severity)) {
			return MessageExtUtils.DEFAULT_ERROR_TEXT;
		}
		if (isInformational(severity)) {
			return MessageExtUtils.DEFAULT_INFO_TEXT;
		}
		return null;
	}


	protected SeverityUtils() {
	}

}
