<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ page import="gov.va.med.mhv.sm.web.utils.ut" %>
<%@ page import="gov.va.med.mhv.sm.enumeration.UserTypeEnum" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<title>My HealtheVet - Secure Messaging - Session Expired</title>
<meta name="Title" content="My HealtheVet - Secure Messaging - Session Expired" />
<meta name="Creator" content="My HealtheVet" />
<meta name="Subject" content="Secure Messaging" />
<meta name="Description" content="Secure Messaging - Session Expired Page" />
<meta name="Keywords" content="Secure Messaging" />
<meta name="Type" content="Application" />
<meta name="Language" content="en-US" />
<meta name="DateCreated" content="20080101" />

	<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />

	<!--[if IE]>
	<link rel="stylesheet" media="all" href="css/sms_styles-ie.css" type="text/css" />
	<![endif]-->
</head>
<body><a href="#skip_sms_navigation"><img id="skipSmsNavigation" src="images/spacer.gif" alt="Skip Navigation" name="skipSmsNavigation" width="1" height="1" border="0" align="left"  /></a>
<table width="100%" cellpadding="0" cellspacing="0" border="0"  class="sm_table">

	<tr><td class="sm_header"><img src="images/sms/sm_header_r1_c1.jpg"  alt="My HealtheVet" style="border:0px;" ></td>
		<td class="sm_header_right" valign="middle" align="right"><p>
			<a href="javascript:self.close()" onClick="window.close();"><img src="images/sms/btn_closeSecureMessaging.jpg" width="155" height="27" alt="Close Secure Messaging" style="border:0px;" ></a>




<%-- ADD CONDITIONAL LOGIC TO DISPLAY APPROPRIATE MESSAGE --%>

</p></td></tr>
	<tr><td colspan="2"><table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr class="sm_title_row"><td class="sm_title_header" valign="middle" align="left"><h1>Secure Messaging</h1></td>
		<td class="sm_title_header_right" valign="middle" align="right" ><img src="images/sms/sm_header_r2_c2.jpg" width="470" height="43" alt="SM Header" border="0" /></td></tr>
	</table></td></tr>


<tr><td colspan="2" valign="top" align="left" class="sm_main_cell">
	<table width="100%" cellpadding="0" cellspacing="0" border="0"  id="sm_boxTable">
		<tr><td valign="top" align="left" width="6" class="sm_boxLeft"><img src="images/sms/border_topLeft.gif" width="6" height="13" alt="Border Top Left" border="0" /></td>

			<td valign="top" align="left" class="sm_box" ><table cellpadding="0" cellspacing="0" border="0" >
				<tr><td valign="top" align="left">
<!-- START LOGIN FORM CODE -->
			<table id="sms-Login" cellpadding="0" cellspacing="0" border="0" align="right"><tr><td valign="top" align="left">
			<h2>Warning! Due to inactivity, your session has expired.</h2>
<%
	UserTypeEnum userType = ut.getUserTypeBasedOnHostInRequest(request);
	String loginLabel;
	if (userType == UserTypeEnum.CLINICIAN) {
	   loginLabel = "You may regain access to Secure Messaging through your CPRS Tools Menu.";
	} else if (userType == UserTypeEnum.ADMINISTRATOR) {
	   loginLabel = "Please sign back into your account on My Health<strong><em>e</em></strong>Vet Admin Portal (<a href=\"https://admin.myhealth.DNS   \">https://admin.myhealth.DNS   </a>) and access Secure Messaging again.";
    } else {
	   loginLabel = "Please sign back into your account on the My Health<strong><em>e</em></strong>Vet home page at <a href=\"https://www.myhealth.DNS   \">https://www.myhealth.DNS   </a> and access Secure Messaging again.";
    }
%>
			<p><%=loginLabel%></p>
			</td>
			</tr>
			</table>
<!-- END LOGIN FORM CODE -->

					<!-- START INTRO TEXT -->
<jsp:include page="/tiles/global/global_introText.jsp"></jsp:include>
					<!-- END INTRO TEXT --></td></tr></table></td>
			<td valign="top" align="left" width="7" class="sm_boxRight"><img src="images/sms/border_topRight.gif" width="7" height="13" alt="Border Top Right" border="0" /></td></tr>
		<tr class="borderLine">
			<td valign="top" align="left" width="6"><img src="images/sms/border_btmLeft.gif" width="6" height="13" alt="Border Bottom Left" border="0" /></td>

			<td valign="top" align="left" class="sm_boxBottom"><img src="images/spacer.gif" width="1" height="1" alt="Spacer" border="0" /></td>
			<td valign="top" align="left" width="7"><img align="absbottom" src="images/sms/border_btmRight.gif" width="7" height="13" alt="Border Bottom Right" border="0" /></td></tr>
	</table></td></tr>

</table>
</body>
</html>
