<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page
    import="java.util.List"
	import="gov.va.med.mhv.sm.enumeration.UserTypeEnum"
	import="gov.va.med.mhv.sm.model.User"
	import="gov.va.med.mhv.sm.model.Folder"
	import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"
	import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
%>


<%  
  Folder curFolder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);
  User user=(User)session.getAttribute(AbstractInboxAction.CURRENT_USER);
  List<Folder> folders=user.getMailbox().getUserFolders();     
%>
 
  <%
  	boolean progressNotesStatus=Boolean.parseBoolean(request.getParameter("progressNotesStatus"));
	if(progressNotesStatus){%>
		<ul>
		<li>
			<span class="errorMessage" style="color:#990000;font-weight:bold;">
			Your request to save the message in CPRS has been sent.</br> If this message fails to save, you will receive a notification in the CPRS Progress Notes Alerts folder.
			</span>
		</li>
	</ul>	
	<%}
  %>
 
  <s:actionerror cssStyle="color:#990000;font-weight:bold;"/>
  <input type="submit" id="msgSubmit" name="msgSubmit" value="Search..." class="sm_input_button" title="Search..."/>
  	<%if(curFolder.getName().equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName())){%>
		<input type="submit" id="removeSelected" name="removeSelected" value="Remove Selected" class="sm_input_button" title="Remove Selected"/>
	<%}%>

<%
	if(curFolder.getName().equals(SystemFolderEnum.REMINDER.getName())){%>
  		<input type="submit" id="msgReminderDelete" name="msgReminderDelete" value="Remove Reminder(s)" class="sm_input_button" title="Delete Reminder"/>
  	<%}%>


  <input type="hidden" name="MBLeftNavSubmit" id="MBLeftNavSubmit" value="<esapi:encodeForHTMLAttribute><%=curFolder.getName()%></esapi:encodeForHTMLAttribute>"/>
<%
  if((user.getUserType().equals(UserTypeEnum.PATIENT) && !curFolder.getName().equals(SystemFolderEnum.SENT.getName()) && !curFolder.getName().equals(SystemFolderEnum.DELETED.getName()))
  || (user.getUserType().equals(UserTypeEnum.CLINICIAN) && curFolder.getName().equals(SystemFolderEnum.DRAFTS.getName())))
  {
%>
  <input type="submit" id="submitDelete" name="msgSubmit" value="Delete Selected" class="sm_input_button" title="Delete Selected"/>
<% } %>
<%
  if(!((curFolder.getName()).equals(SystemFolderEnum.ESCALATED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.COMPLETED.getName())||
  (curFolder.getName()).equals(SystemFolderEnum.DRAFTS.getName()) || (curFolder.getName()).equals(SystemFolderEnum.SENT.getName())
  || (curFolder.getName()).equals(SystemFolderEnum.REMINDER.getName()) || (curFolder.getName()).equals(SystemFolderEnum.REASSIGN.getName())
  || (curFolder.getName()).equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName())
  )){
%>
	<label for="moveMsgFolder">
		<img id="moveMsgFolderLabel" width="1" border="0" height="1" align="left" alt="Move Message to Folder" src="images/spacer.gif">
	</label> 
  <select name="moveMsgFolder" id="moveMsgFolder">
	<option value="MoveSelectedto" selected>Move Selected to ...</option>
	<% if(!((curFolder.getName()).equals(SystemFolderEnum.INBOX.getName()))){%>
	 	<option value="<%=SystemFolderEnum.INBOX.getId()%>"><esapi:encodeForHTMLAttribute><%=SystemFolderEnum.INBOX.getName()%></esapi:encodeForHTMLAttribute></option>
	<%}%>
	<% if(!((curFolder.getName()).equals(SystemFolderEnum.DELETED.getName())) && user.getUserType().equals(UserTypeEnum.PATIENT)){%>
		<option value="<%=SystemFolderEnum.DELETED.getId()%>"><esapi:encodeForHTMLAttribute><%=SystemFolderEnum.DELETED.getName()%></esapi:encodeForHTMLAttribute></option>
	<%}%>
	<% if( folders != null){
		for(Folder f: folders){  
			if(!((curFolder.getName()).equals(f.getName()))){%>
			<option value="<%=f.getId()%>"><esapi:encodeForHTMLAttribute><%=f.getName()%></esapi:encodeForHTMLAttribute></option>
	<%		}
		}
	}%>	
  </select>
  <input type="submit" id="submitMove" name="msgSubmit" value="Move" style="" class="sm_input_button" title="Move"/>
  <% } %>



