<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true" %>

<%@page language="java" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<tiles:insertAttribute name="pageHeader" />
<jsp:include page="/tiles/global/global_stylesheets.jsp"></jsp:include>
</head>
<%@ page 
  import="gov.va.med.mhv.sm.model.User"
  import="gov.va.med.mhv.sm.enumeration.UserTypeEnum"
  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
  import="gov.va.med.mhv.sm.web.utils.PropertiesHelper"
  import="gov.va.med.mhv.sm.web.utils.LoginUtils"
%>


<script language="javascript">


function closeSecureMessage(){
	document.getElementById("pwin").value= "closeSecureMessaging";
	document.frmMessage.submit();   
}

function attachFile(){
	document.getElementById("pwin").value= "fileAttach";
	document.frmMessage.submit();   
}

function removeAttachment(removeRef){
	document.getElementById("removeId").value=removeRef;
	document.getElementById("pwin").value= "removeAttachment";
	document.frmMessage.submit();   
}
</script>


<% 
  User u = (User)session.getAttribute(AbstractInboxAction.CURRENT_USER);
  if(u.getUserType() == UserTypeEnum.CLINICIAN){
%>
<script language="javascript">
function addrecipient(){
	document.getElementById("pwin").value= "addrec";
	document.frmMessage.submit();   
}

</script>

<%
}
%>
<tiles:insertAttribute name="popwin" />
<s:if test="%{newMessageAutoSaveSwitch=='on'}">
	<script language="JavaScript" src="js/draftsave.js"></script>
		<body onload="startSaveDraft(<esapi:encodeForJavaScript><%=PropertiesHelper.getProperties().getProperty("sm.web.autosave.timeout")%></esapi:encodeForJavaScript>,'new',<esapi:encodeForJavaScript><%=session.getMaxInactiveInterval()*1000%></esapi:encodeForJavaScript>)">
</s:if>
<s:else>
	<body>
</s:else>


<jsp:include page="/tiles/global/global_HTMLincludes.jsp"></jsp:include>
<% if ( "PATIENT".equals((String)request.getAttribute("NO_TG_ERROR")) ) { %>
	<jsp:include page="/tiles/global/patient_NoRelationship_Box.jsp" />
<% } else if ( "CLINICIAN".equals((String)request.getAttribute("NO_TG_ERROR")) ) {  %>
	<jsp:include page="/tiles/global/clinician_NoRelationship_Box.jsp" />
<% } %>

<table width="100%" cellpadding="0" cellspacing="0" border="0"  class="sm_table">
	<tiles:insertAttribute name="smHeader" />
	<tr><td colspan="2" valign="top" align="left" class="sm_main_cell">
		<table width="100%" cellpadding="0" cellspacing="0" border="0"  id="sm_boxTable">
			<tr><td valign="top" align="left" width="6" class="sm_boxLeft"><img src="images/sms/border_topLeft.gif" width="6" height="13" alt="left small box" border="0" /></td>
				<td valign="top" align="left" class="sm_box" ><jsp:include page="/tiles/global/global_utilityLinks.jsp"></jsp:include>
				
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">
					<tr><td id="sm_LeftColumn" width="152" valign="top" align="left">
						<tiles:insertAttribute name="newMessageButton" />
						<tiles:insertAttribute name="navigationPane" /></td>
					<td id="sm_mainPane" valign="top" align="left">
					<!-- START MAIN PANE -->

					<a name="skip_sms_navigation" id="skip_sms_navigation"></a><table width="100%" cellpadding="0" cellspacing="0" border="0" class="sm_inner_header">
			<tr><td class="rightBlueBorder leftBlueBorder">
				<div class="sm_message_buttons"><jsp:include page="headerButtons.jsp"></jsp:include></div>
				<form id="frmMessage" name="frmMessage" action="send.action" method="POST">
				<table width="100%" cellpadding="0" cellspacing="5" border="0" class="sm_midPane sm_topBorder">
					<tiles:insertAttribute name="messageHeader" />
					<div style="padding-left: 10px;" class="sm_red" id="divAutoSave" name="divAutoSave"/>
					<div id="errorMessage"><s:actionerror cssStyle="#990000;font-weight:bold;"/><s:fielderror cssStyle="#990000;font-weight:bold;"/></div>
					<tiles:insertAttribute name="messageBody" />
				</table>
				<s:hidden name="smAttachments.attachmentAllowedTypes" id="allowedTypes"/>
				<s:hidden name="smAttachments.totalAttachmentAllowedSize" id="allowedSize"/>
				<s:hidden name="removeId"/>
				<s:hidden name="totalAttachedSize"/>
				<s:hidden name="smAttachments.attachmentErrorText" id="attachmentErrorText"/>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="sm_footer">
					<tr><td class="sm_messageFooter" valign="top" align="left">&nbsp;</td></tr>
					<tr><td class="sm_footerBottom">&nbsp;</td></tr>
				</table></td></tr>					
					</table>
					</form>
									
					<!-- END MAIN PANE --></td></tr>
					<tr><td colspan="2">&nbsp;</td></tr>
				</table></td>
				<td valign="top" align="left" width="7" class="sm_boxRight"><img src="images/sms/border_topRight.gif" width="7" height="13" alt="top right border" border="0" /></td></tr>
			<tr class="borderLine">
				<td valign="top" align="left" width="6"><img src="images/sms/border_btmLeft.gif" width="6" height="13" alt="bottom left border" border="0" /></td>
				<td valign="top" align="left" class="sm_boxBottom"><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td>
				<td valign="top" align="left" width="7"><img align="absbottom" src="images/sms/border_btmRight.gif" width="7" height="13" alt="bottom right border" border="0" /></td></tr>
		</table></td></tr>
</table>
</body>
</html>