<!-- START PREFERENCES MANAGE DISTRIBUTION GROUPS  -->
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page  session="true" 
	import="java.util.Collection"			
	import="java.util.TreeSet"		
	import="java.util.List"	
	import="java.util.ArrayList"
	import="gov.va.med.mhv.sm.model.DistributionGroup"		
	import="gov.va.med.mhv.sm.model.User"	
	import="gov.va.med.mhv.sm.model.Clinician"	
%>
<%	User user = (User)request.getSession().getAttribute("user");
	Clinician c = (Clinician) user;
	//Collection<DistributionGroup> dgs1 = new TreeSet<DistributionGroup>(c.getDistGroups());
	List<DistributionGroup> dgs = c.getDistGroups();
	List filderDistributionGroup = new ArrayList();
	for(DistributionGroup dg:dgs){
		if(dg.getOwner().getId().equals(c.getId())){
			filderDistributionGroup.add(dg);		
		}
	}	
	dgs = filderDistributionGroup;
%>
<style type="text/css">
<%if(dgs != null){
		for (DistributionGroup dg: dgs){
	%>
               
       #confirmDialog<%=dg.getId()%> {position:relative;top:350px;left:75px;text-decoration:none;z-index:1;}
	<%}
		}
	%>
  	
</style>
<!--[if gte IE 6]>
<style type="text/css">
<%if(dgs != null){
		for (DistributionGroup dg: dgs){
	%>
               
        #confirmDialog<%=dg.getId()%> {position:relative;top:-180px;text-decoration:none;z-index:1;}
	<%}
		}
	%>
  	
</style>
<![endif]-->
<!--[if IE ]>
<style type="text/css">
<%if(dgs != null){
		for (DistributionGroup dg: dgs){
	%>
               
        #confirmDialog<%=dg.getId()%> {position:relative;top:25%;left:0px;text-decoration:none;z-index:1;}
	<%}
		}
	%>
  	
</style>
<![endif]-->
<script type="text/javascript">

function showDeleteDistributionGroup()
{
    var distGroupID = document.forms['frmEditDistGroups'].distGroup.value;
    
    if(distGroupID!='distGroups_DEFAULT'){
		document.getElementById('darkBox2'          ).style.display = 'block';
		document.getElementById('confirmDialog'+distGroupID).style.display = 'block';
		var clientHeight=new String(document.body.clientHeight+"px");
		document.getElementById('darkBox2'          ).style.height = clientHeight;
		window.location.hash="#"+"lightBoxAnchor2";
		document.getElementById('displayErrorMessage').style.display='none'
	}
	else
	{
		document.getElementById('frmEditDistGroups').action='editDistGroups.action';
	    document.getElementById('frmEditDistGroups').submit();
	}
	
	
	
}

</script>



<table width="260" cellpadding="0" cellspacing="0" border="0" class="prefBox">
	<tr>
	  <td><img src="images/sms/pref_box_top.jpg" width="260" height="7" alt="Preference Top Box" border="0" /></td>
	</tr>
	<tr>
		
		<td class="prefBoxMidTop" valign="top" align="left">
			<h4>Manage Personal Distribution Groups</h4>

      <p class="noMar">Create or Modify a group of users to function as a single message recipient.</p>
	  <div id='displayErrorMessage'>
			<s:actionerror cssStyle="color:#990000;font-weight:bold;"/>
	  </div>

      <p><a href="createDistGroup.action">Create a Personal Distribution Group</a></p>

      <hr size="5" class="blueRule" />

      <form action="editDistGroups.action" name="frmEditDistGroups" id="frmEditDistGroups" method="post">	
      	<s:token/>
        <table width="90%" cellpadding="0" cellspacing="0" border="0" align="center">
          <tr>
            <th valign="bottom" align="left" colspan="2">
							<strong>View or Modify an Existing Group</strong>
            </th>
          </tr>
          <tr>
						<td valign="middle" align="left">
							<label for="manageDist_GROUPNAME">Group Name:</label>&nbsp;
            </td>
            <td>
              <select name="distGroup">
                <option value="distGroups_DEFAULT">Select a Distribution Group</option>
	<%if(dgs != null){
		for (DistributionGroup dg: dgs){
	%>
                <option value="<%=dg.getId()%>"><esapi:encodeForHTML><%=dg.getName()%></esapi:encodeForHTML></option>
	<%}
		}
	%>
              </select>
            </td>
          </tr>
			<!--  delete distribution group div -->
		<div id="darkBox2" style="display: none;">
		
		
		<!--  for each element generate a confirm message -->
		<%if(dgs != null){
			for (DistributionGroup dg: dgs){
		%>
		<div id="confirmDialog<%=dg.getId()%>" style="display: none;">
			
			<div id="lightBox2">
				<img id="lightBox-TopImage2" width="500" height="12" border="0" alt="Light Top Box" src="images/sms/img_lightBoxTop.gif"/>
				<div style="height:100%;background-color:#fff;border:2px solid #013298;padding:0px;margin-top:-3px;background-image:url(images/sms/img_lightBox_bg.jpg);background-repeat:repeat-x;padding:5px;background-color:#013298;">
						<div style="background-color:#fff;background-image:url(images/sms/lightBox_bgGradient.jpg);background-repeat:repeat-x;padding:5px;border:1px solid #013298;">
							<div>
								<p style="text-align: center;">You have chosen to delete the distribution group:<strong><esapi:encodeForHTML><%=dg.getName()%></esapi:encodeForHTML></strong>. Are you sure you would like to delete this distribution group?</p>
							</div>
							<div>
								<p style="text-align: center;vertical-align: middle">
									<input class="blueSubmitBtn"  type="submit" title="Yes" name="selectAction" value="Yes" id="selectAction"/>
									<input class="blueSubmitBtn"  type="submit" title="No" name="selectAction" value="No" id="selectAction"/>
									
								</p>
							</div>
						</div>
				</div>
			</div>
		</div>  
		
		<%}
			}
		%>	
</div>		
	 				
		<tr>
		<td valign="bottom" align="right" colspan="2">			
		<!-- End delete distribution group div -->				
		
				<input type="submit" class="sm_input_button" title="Select" border="0" name="selectAction" id="selectAction" value="Select" style="margin:0px;"/>&nbsp;&nbsp;&nbsp;&nbsp;
              	<input type="button" class="sm_input_button" title="Delete" border="0" name="Delete2" id="selectAction" value="Delete" style="margin:0px;" onclick="showDeleteDistributionGroup();"/>
            </td>
          </tr>
           
         
        </table>
      </form>
    </td>
  </tr>
  <tr>
    <td><img src="images/sms/pref_box_btm.jpg" width="260" height="7" alt="" border="0" /></td>
  </tr>
</table>


<!-- END PREFERENCES MANAGE DISTRIBUTION GROUPS  -->

