<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page  session="true" 
	import="java.util.Collection"		
	import="java.util.Collections"		
	import="java.util.TreeSet"		
	import="java.util.List"	
	import="java.util.HashSet"
	import="java.util.ArrayList"	
	import="gov.va.med.mhv.sm.model.DistributionGroup"
	import="gov.va.med.mhv.sm.model.Patient"	
	import="gov.va.med.mhv.sm.model.User"	
	import="gov.va.med.mhv.sm.model.Clinician"	
	import="gov.va.med.mhv.sm.enumeration.UserTypeEnum";
%>
<jsp:useBean id="distG" class="gov.va.med.mhv.sm.web.smActions.DistGroup"/>
<script>
function setDistGroupName(tabId){
	document.frmAddDistGroups.action="?tab="+tabId;
	document.frmAddDistGroups.method="post";
	document.frmAddDistGroups.submit();
}

</script>
<%
Integer currentTabValue=0;
String active1="";
String active2="";
String active3="";

String tab1="Patients";
String tab2="Clinicians and Staff within Your Facility";
String tab3="Clinicians and Staff in Other VA Facilities";

String currentTab=request.getParameter("tab");

try {
	currentTabValue=Integer.valueOf(currentTab);
}catch (Exception e) {
	currentTabValue=1;
}
//document.getElementById("distGroupName")
String tab1link="<a href=\"javascript:setDistGroupName(1)\">"+tab1+"</a>";
String tab2link="<a href=\"javascript:setDistGroupName(2)\">"+tab2+"</a>";
String tab3link="<a href=\"javascript:setDistGroupName(3)\">"+tab3+"</a>";

switch(currentTabValue) {
	case 1:
		active1="-active";
		tab1link=tab1;
		break;
	case 2:
		active2="-active";
		tab2link=tab2;
		break;
	case 3:
		active3="-active";
		tab3link=tab3;
		break;		
}
User user = (User)request.getSession().getAttribute("user");
List<User> selectedUsers = new ArrayList<User>();
if ( session.getAttribute("selectedUsers") != null ) {
	selectedUsers.addAll((Collection<User>) request.getSession().getAttribute("selectedUsers")) ;
	Collections.sort(selectedUsers,User.USER_BY_NAME_SORTER);
}

List<Patient> patientList = new ArrayList<Patient>(); 
if(session.getAttribute("patients") != null ) {
	patientList.addAll((Collection<Patient>) session.getAttribute("patients"));
	Collections.sort(patientList,User.USER_BY_NAME_SORTER);
}



if ( session.getAttribute("patients") != null ) {
	for(User u : selectedUsers) {
		if ( u instanceof Patient) {
			patientList.remove(u);
		}
	}
}

Collection<Clinician> clinicians = new TreeSet<Clinician>(User.USER_BY_NAME_SORTER);
if ( session.getAttribute("clinicians") != null ) {
	clinicians.addAll((Collection<Clinician>) request.getSession().getAttribute("clinicians") );
	for(User u : selectedUsers) {
		if ( u instanceof Clinician) {
			clinicians.remove(u);
		}
	}
}

Collection<Clinician> cliniciansOSF = new TreeSet<Clinician>(User.USER_BY_NAME_SORTER);
if ( session.getAttribute("cliniciansOSF") != null ) {
	cliniciansOSF.addAll((Collection<Clinician>) request.getSession().getAttribute("cliniciansOSF") );
	for(User u : selectedUsers) {
		if ( u instanceof Clinician) {
			cliniciansOSF.remove(u);
		}
	}
}

String displayVISNSelection = (String) request.getSession().getAttribute("displayVISNSelection");
if (displayVISNSelection==null) displayVISNSelection="Yes";

String otherFacilityVISNSelected = (String) request.getSession().getAttribute("otherFacilityVISNSelected");
if (otherFacilityVISNSelected==null) otherFacilityVISNSelected="No";

String otherFacilityVISNName = (String) request.getSession().getAttribute("otherFacilityVISNName");
if (otherFacilityVISNName==null) otherFacilityVISNName="No";

String otherFacilityFacilitySelected = (String) request.getSession().getAttribute("otherFacilityFacilitySelected");
if (otherFacilityFacilitySelected==null) otherFacilityFacilitySelected="No";

String otherFacilityFacilityName = (String) request.getSession().getAttribute("otherFacilityFacilityName");
if (otherFacilityFacilityName==null) otherFacilityFacilityName="No";

String displayYesOrNoButtonForFacilityOSF = (String) request.getSession().getAttribute("displayYesOrNoButtonForFacilityOSF");
if (displayYesOrNoButtonForFacilityOSF==null) displayYesOrNoButtonForFacilityOSF="No";

String disableAddButton = (String) request.getSession().getAttribute("disableAddButton");
if (disableAddButton==null) disableAddButton="No";

String distGroupName = (String) request.getSession().getAttribute("distGroupName") ;
distGroupName = ((distGroupName == null) || (distGroupName.equals("")))?"Enter Group Name":distGroupName;

String sharedGroup = (String) request.getSession().getAttribute("sharedGroup") ;
sharedGroup = ((sharedGroup == null) || (sharedGroup.equals("")))?"private":sharedGroup;

String firstName = (request.getParameter("firstName") == null)?"":request.getParameter("firstName");
String lastName = (request.getParameter("lastName") == null)?"":request.getParameter("lastName");
String nssn = (request.getParameter("nssn") == null)?"":request.getParameter("nssn");
%>

<%-- START ADD DIST GROUP FORM --%>
<form action="addDistGroups.action" name="frmAddDistGroups" id="frmAddDistGroups" method="post">
<tr><td valign="top" align="left">	
		<table cellpadding="0" cellspacing="5" border="0" >
			<tr><th valign="bottom" align="left">Personal Distribution Group:</th><tr>
			<tr><td valign="top" align="left"><input type="text" name="distGroupName" id="distGroupName" size="30" maxlength="30" value="<esapi:encodeForHTMLAttribute><%=distGroupName%></esapi:encodeForHTMLAttribute>" onfocus="this.select();" onclick="this.select();"  /></td></tr>
	<% 	
	if (sharedGroup.equals("public"))
	{
	%>
			<tr><td valign="top" align="left"><input type="radio" id="sharedGroup" name="sharedGroup" value="public" checked>Shared Group&nbsp; &nbsp; <input type="radio" id="sharedGroup" name="sharedGroup" value="private">My Group</td>
	<%
	} else {
	%>
			<tr><td valign="top" align="left"><input type="radio" id="sharedGroup" name="sharedGroup" value="public">Shared Group&nbsp; &nbsp; <input type="radio" id="sharedGroup" name="sharedGroup" value="private" checked>My Group</td>
	<%  
	}		
	%>				
			</tr>			
		</table>
	
		<hr size="1" style="border:0px;border-bottom:1px dashed #666;" />
</td></tr>
<%-- ENDS ADD DIST GROUP FORM --%>
<tr><td valign="top" align="left"><h3>Distribution Group Members</h3></td></tr>
<tr><td valign="top" align="left"><h4>Up to 250 members can be added to the Distribution Group.</h4></td></tr>
<tr><td valign="top" align="left"><b>Add users from among:</b></td></tr>
<tr><td valign="top" align="left">
<%-- Section below sets up active tabs and which tabs to display --%>
<%-- START TABS --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-Table">
			<tr><td width="90"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active1);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab1link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="280"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active2);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab2link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="300"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active3);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab3link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>					
				<td>&nbsp;</td>
			</tr>
		</table>
<%-- END TABS --%>
<% switch(currentTabValue) {
	case 1: %>
<%-- START PATIENT SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
		<!-- STEP ONE -->
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Patient</strong></p>
					 
					  <s:hidden name="tab" value="1"/>					  
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="30%" valign="bottom" align="left" class="blueTH" id="fnLabel">First Name:</th>
								<th width="30%" valign="bottom" align="left" class="blueTH" id="lnLabel">Last Name:</th>
								<th width="60%" valign="bottom" align="left" class="blueTH" id="nssnLabel">First Letter of Last Name + Last 4 of SSN:</th>
								<td rowspan="2">&nbsp;</td></tr>								
								<tr><td valign="top" align="left"><input type="text" name="firstName" aria-labelledby="fnLabel" id="firstName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>" /></td>
								<td valign="top" align="left"><input type="text" name="lastName" aria-labelledby="lnLabel" id="lastName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>" /></td>
								<td valign="top" align="left"><input type="text" name="nssn" aria-labelledby="nssnLabel" id="nssn" size="10" maxlength="5" value="<esapi:encodeForHTMLAttribute><%=nssn%></esapi:encodeForHTMLAttribute>" /></td></tr>
							<tr><td colspan="4">&nbsp;</td></tr>
							<tr>
							  <td colspan="4" valign="bottom" align="center">
							    	<input type="submit" class="blueSubmitBtn" title="Search" border="0" name="selectAction" id="selectAction" value="Search" style="margin:0px;"/>&nbsp;&nbsp;
								<input type="submit" class="blueSubmitBtn" title="Cancel" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:0px;"/>
							  </td>
							</tr>
						</table>
					</td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 		
	if((patientList != null) || (selectedUsers != null)){
%>		
			<tr>
				<td class="lightBox-TableBottom">					   
					    
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Add Users to Group</th>
								<th>&nbsp;</th>
								<th scope="column" valign="bottom" align="center">Group Members</th></tr>							
							<tr>
							<td valign="top" align="left" width="40%">
	                            <label for="availableMembers" class="mhv-hidden-label">Available Members</label>
								<select name="availableMembers" id="availableMembers" size="12" multiple>
	<%	if(patientList != null){
		  for (Patient patient : patientList){	
			    String userNssn = "";
				if(patient.getNssn()!=null) userNssn = patient.getNssn();
	%>				
									<option value="<%=patient.getId()%>"><esapi:encodeForHTML><%=patient.getName()%></esapi:encodeForHTML>(SSN:<esapi:encodeForHTML><%=userNssn%></esapi:encodeForHTML>)</option>
	<%  
		} 
		  }		
	%>				
								</select>
	
							</td>
							<td valign="middle" align="center" width="20%">	
	<% 	
	if (disableAddButton.equals("Yes"))
	{
	%>
								<input type="submit" class="blueSubmitBtn" title="Add -&gt;" border="0" name="selectAction" id="selectAction" value="Add ->" disabled style="margin:0px;"/><br/>&nbsp;<br/>
	<%
	} else {
	%>
								<input type="submit" class="blueSubmitBtn" title="Add -&gt;" border="0" name="selectAction" id="selectAction" value="Add ->" style="margin:0px;"/><br/>&nbsp;<br/>
	<%  
	}		
	%>				
								<input type="submit" class="blueSubmitBtn" title="&lt;- Remove" border="0" name="selectAction" id="selectAction" value="<- Remove" style="margin:0px;"/>
								
							</td>
							<td valign="top" align="center" width="40%">
	                            <label for="selectedMembers" class="mhv-hidden-label">Select Members</label>
								<select name="selectedMembers" id="selectedMembers" size="12" multiple>
	<%	
		if(selectedUsers != null){
		  for (User u : selectedUsers){	
			    String userNssn = "(SSN:";
				if(u.getUserType()==UserTypeEnum.PATIENT)
				{
					if(u.getNssn()!=null) 
						userNssn=userNssn+u.getNssn()+")";
					else
						userNssn=userNssn+")";
				}else
				{
					userNssn="";
				}
	%>								     
										<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getName() + userNssn%></esapi:encodeForHTML></option>
	<%  
		} 
		  }
	%>				
								</select>
	
							</td>	
							</tr>
							<tr>
							<td valign="top" align="left" width="40%">
								&nbsp;
							</td>
							<td valign="middle" align="center" width="20%">							
									&nbsp;
							</td>
							<td valign="top" align="center" width="40%">
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Save Group" style="margin:5px;" title="Save Group"/>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:5px;" title="Cancel"/>
								
							</td>		
							
							</tr>
							<tr>
							<td colspan="3" valign="top" align="left" width="40%">
								Note: Multiple items may be selected by pressing the "Ctrl" key<br/> when clicking. The entire list may be selected by pressing the "Shift" key<br/> and selecting the first and last Group Member. 
							</td>
							</tr>
						</table></td></tr>
<% } %>
		</table>
<%-- END PATIENT SELECTION --%>
<%		break;

	case 2: %>
<%-- START CLINICIAN/STAFF SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left" class="lightBox-Table">
<%-- STEP ONE --%>
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Clinician or Staff Member</strong></p>
					    
					    <s:hidden name="tab" value="2"/>				    
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="35%" valign="bottom" align="left" class="blueTH">First Name:</th>
								<th width="30%" valign="bottom" align="left" class="blueTH">Last Name:</th>
								<td rowspan="2">&nbsp;</td></tr>
							<tr><td valign="top" align="left"><input type="text" name="firstName" id="firstName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>"/></td>
								<td valign="top" align="left"><input type="text" name="lastName" id="lastName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>"/></td></tr>
							<tr><td colspan="3">&nbsp;</td></tr>
							<tr><td colspan="3" valign="middle" align="center">
							<input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="selectAction" id="selectAction" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;
							<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:0px;" title="Cancel"/>
							</td></tr>
						</table>
					</td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if((clinicians != null) || (selectedUsers != null)){
%>		
			<tr>
				<td class="lightBox-TableBottom">					  
					  
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Add Users to Group</th>
								<th>&nbsp;</th>
								<th scope="column" valign="bottom" align="center">Group Members</th></tr>							
							<tr>
							<td valign="top" align="left" width="40%">
	                            <label for="availableMembers" class="mhv-hidden-label">Available Members</label>
								<select name="availableMembers" id="availableMembers" size="12" multiple>
	<%	if(clinicians != null){
		  for (Clinician clinician : clinicians){	
				//if(!clinician.getId().equals(user.getId())){
	%>				
									<option value="<%=clinician.getId()%>"><esapi:encodeForHTML><%=clinician.getName()%></esapi:encodeForHTML></option>
	<%  
		//}
		} 
		  }		
	%>				
								</select>
	
							</td>
							<td valign="middle" align="center" width="20%">							
	<% 	
	if (disableAddButton.equals("Yes"))
	{
	%>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" disabled style="margin:0px;" title="Add -&gt;"/><br/>&nbsp;<br/>
	<%
	} else {
	%>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" style="margin:0px;" title="Add -&gt;"/><br/>&nbsp;<br/>
	<%  
	}		
	%>				
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="<- Remove" style="margin:0px;" title="&lt;- Remove"/>
								
							</td>
							<td valign="top" align="center" width="40%">
	                            <label for="selectedMembers" class="mhv-hidden-label">Selected Members</label>
								<select name="selectedMembers" id="selectedMembers" size="12" multiple>
	<%	
		if(selectedUsers != null){
		  for (User u : selectedUsers){
			    String userNssn = "(SSN:";
				if(u.getUserType()==UserTypeEnum.PATIENT)
				{
					if(u.getNssn()!=null) 
						userNssn=userNssn+u.getNssn()+")";
					else
						userNssn=userNssn+")";
				}else
				{
					userNssn="";
				}
	%>				
										<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getName() + userNssn%></esapi:encodeForHTML></option>
	<%  
		} 
		  }
	%>				
								</select>
	
							</td>	
							</tr>
							<tr>
							<td valign="top" align="left" width="40%">
								&nbsp;
							</td>
							<td valign="middle" align="center" width="20%">							
									&nbsp;
							</td>
							<td valign="top" align="center" width="40%">
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Save Group" style="margin:5px;" title="Save Group"/>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:5px;" title="Cancel"/>
								
							</td>									
							</tr>
							<tr>
							<td colspan="3" valign="top" align="left" width="40%">
								Note: Multiple items may be selected by pressing the "Ctrl" key<br/> when clicking. The entire list may be selected by pressing the "Shift" key<br/> and selecting the first and last Group Member. 
							</td>
							</tr>							
						</table></td></tr>
<% } %>
		</table>
<%-- END CLINICIAN/STAFF SELECTION --%>
<%		break;

	case 3: %>
<%-- START CLINICIAN/STAFF SELECTION IN OTHER VA FACILITIES--%>

<% 	
if (displayVISNSelection.equals("Yes"))
{
%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
			<tr>
				<td class="lightBox-TableTop"><p><strong>Select a VISN/Facility.</strong></p>
					<s:hidden name="tab" value="3"/>
					<s:hidden name="body"/>
					<s:hidden name="subject"/>					
					<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
	<% 	
	if (otherFacilityVISNSelected.equals("No"))
	{
	%>
					<tr>
						<s:if test="%{visns.size()==0}">
							<span class="errorMessage" style="color:#990000;font-weight:bold;">Another VISN is not available to reassign this message.</span>
						</s:if>
						<s:fielderror cssStyle="color:#990000;font-weight:bold;">
						  <s:param>visnSelectError</s:param>
						</s:fielderror>

						<td width="20%" align="center">
							VISN:
						</td>
						<td align="left">
							<s:select id="otherFacilityVISNId" name="otherFacilityVISNId" list="visns" listKey="id" listValue="name" value="otherFacilityVISNId" headerKey="-1" headerValue="-- Select a VISN --"/>
						</td>
				<s:if test="%{visns.size()!=0}">
						<td align="center" colspan="2">
							<input type="submit" id="otherFacilityVISNSelect" name="otherFacilityVISNSelect" value="Select" class="sm_input_button"  style="margin:0px;" title="Select" />&nbsp;
							<input type="submit" id="otherFacilityVISNCancel" name="otherFacilityVISNCancel" value="Cancel" class="sm_input_button"  style="margin:0px;" title="Cancel"/>
						</td>
				</s:if>
					</tr>

	<%
	} else {
	%>
					<tr>
						<td width="20%" align="center">
							VISN:  
						</td>
						<td align="left">
							<esapi:encodeForHTML><%=otherFacilityVISNName%></esapi:encodeForHTML> &nbsp;<a id="changeVISN" href="addDistGroups.action?tab=3&otherFacilityVISNSelect=ChangeVISN">Change VISN</a>
						</td>
					</tr>
		<% 	
		if (otherFacilityFacilitySelected.equals("No"))
		{
		%>
					<tr>
						<s:if test="%{facilities.size()==0}">
							<span class="errorMessage" style="color:#990000;font-weight:bold;">Another Facility is not available to reassign this message.</span>
						</s:if>
						<s:fielderror cssStyle="color:#990000;font-weight:bold;">
						  <s:param>facilitySelectError</s:param>
						</s:fielderror>

						<td width="20%" align="center">
							Facility: 
						</td>
						<td align="left">
							<s:select id="otherFacilityFacilityId" name="otherFacilityFacilityId" list="facilities" listKey="id" listValue="name" value="otherFacilityFacilityId" headerKey="-1" headerValue="-- Select a Facility --"/>
						</td>
				<s:if test="%{facilities.size()!=0}">
					<td align="center" colspan="2">
						  <input type="submit" id="otherFacilityFacilitySelect" name="otherFacilityFacilitySelect" value="Select" class="sm_input_button"  style="margin:0px;" title="Select" />&nbsp;
						  <input type="submit" id="otherFacilityFacilityCancel" name="otherFacilityFacilityCancel" value="Cancel" class="sm_input_button"  style="margin:0px;" title="Cancel"/>
					</td>
				</s:if>
					</tr>
		<%
		} else {
		%>
					<tr>
						<td width="20%" align="center">
							Facility:  
						</td>
						<td align="left">
							<esapi:encodeForHTML><%=otherFacilityFacilityName%></esapi:encodeForHTML> &nbsp;<a id="changeFacility" href="addDistGroups.action?tab=3&otherFacilityVISNSelect=Select">Change Facility</a>
						</td>
					</tr>
		<%
		}
		%>				
	<%
	}
	%>
					</table>
				</td>
			</tr>
		</table>
	<%
	if (otherFacilityFacilitySelected.equals("Yes"))
	{
	%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left" class="lightBox-Table">
<%-- STEP ONE --%>
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Clinician or Staff Member in Other VA Facilities</strong></p>
					    
					    				    
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="35%" valign="bottom" align="left" class="blueTH">First Name:</th>
								<th width="30%" valign="bottom" align="left" class="blueTH">Last Name:</th>
								<td rowspan="2">&nbsp;</td></tr>
							<tr><td valign="top" align="left"><input type="text" name="firstName" id="firstName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>"/></td>
								<td valign="top" align="left"><input type="text" name="lastName" id="lastName" size="20" maxlength="50" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>"/></td></tr>
							<tr><td colspan="3">&nbsp;</td></tr>
							<tr><td colspan="3" valign="middle" align="center">
							<input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="selectAction" id="selectAction" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;
							<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:0px;" title="Cancel"/>
							</td></tr>
						</table>
					</td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if((cliniciansOSF != null) || (selectedUsers != null)){
%>		
			<tr>
				<td class="lightBox-TableBottom">					  
					  
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Add Users to Group</th>
								<th>&nbsp;</th>
								<th scope="column" valign="bottom" align="center">Group Members</th></tr>							
							<tr>
							<td valign="top" align="left" width="40%">
	                            <label for="availableMembers" class="mhv-hidden-label">Available Members</label>
								<select name="availableMembers" id="availableMembers" size="12" multiple>
	<%	if(cliniciansOSF != null){
		  for (Clinician clinician : cliniciansOSF){	
				//if(!clinician.getId().equals(user.getId())){
	%>				
									
									<option value="<%=clinician.getId()%>"><esapi:encodeForHTML><%=clinician.getName()%></esapi:encodeForHTML></option>
	<%  
		//}
		} 
		  }		
	%>				
								</select>
	
							</td>
							<td valign="middle" align="center" width="20%">							
	<% 	
	if (disableAddButton.equals("Yes"))
	{
	%>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" disabled style="margin:0px;" title="Add -&gt;"/><br/>&nbsp;<br/>	<%
	} else {
	%>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" style="margin:0px;" title="Add -&gt;"/><br/>&nbsp;<br/>
	<%  
	}		
	%>				
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="<- Remove" style="margin:0px;" title="&lt;- Remove"/>

							</td>
							<td valign="top" align="center" width="40%">
	                            <label for="selectedMembers" class="mhv-hidden-label">Selected Members</label>
								<select name="selectedMembers" id="selectedMembers" size="12" multiple>
	<%	
		if(selectedUsers != null){
		  for (User u : selectedUsers){	
			    String userNssn = "(SSN:";
				if(u.getUserType()==UserTypeEnum.PATIENT)
				{
					if(u.getNssn()!=null) 
						userNssn=userNssn+u.getNssn()+")";
					else
						userNssn=userNssn+")";
				}else
				{
					userNssn="";
				}
	%>				
										<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getName() + userNssn %></esapi:encodeForHTML></option>
	<%  
		} 
		  }
	%>				
								</select>
	
							</td>	
							</tr>
							<tr>
							<td valign="top" align="left" width="40%">
								&nbsp;
							</td>
							<td valign="middle" align="center" width="20%">							
									&nbsp;
							</td>
							<td valign="top" align="center" width="40%">
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Save Group" style="margin:5px;" title="Save Group"/>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:5px;" title="Cancel"/>
								
							</td>		
							</tr>
							<tr>
							<td colspan="3" valign="top" align="left" width="40%">
								Note: Multiple items may be selected by pressing the "Ctrl" key<br/> when clicking. The entire list may be selected by pressing the "Shift" key<br/> and selecting the first and last Group Member. 
							</td>
							</tr>							
						</table></td></tr>
<% } %> 
		</table>
<% } %>
<% } %>

<%-- END CLINICIAN/STAFF SELECTION IN OTHER VA FACILITIES --%>

<%		break;
}
%>
</td></tr>
</form>