<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page  session="true" 
	import="java.util.Collection"
	import="java.util.Collections"
	import="java.util.TreeSet"	
	import="java.util.List"
	import="java.util.ArrayList"
	import="gov.va.med.mhv.sm.model.DistributionGroup"
	import="gov.va.med.mhv.sm.model.Patient"	
	import="gov.va.med.mhv.sm.model.User"
	import="gov.va.med.mhv.sm.model.Clinician"	
	import="gov.va.med.mhv.sm.enumeration.UserTypeEnum";
%>

<script>
function setDistGroupName(){
	document.frmEditDistGroups.action="editSearchDistGroup.action";
	document.frmEditDistGroups.method="post";
	document.frmEditDistGroups.submit();
}

</script>

<%
User user = (User)request.getSession().getAttribute("user");

List<User> selectedUsers = new ArrayList<User>();
if ( session.getAttribute("selectedUsers") != null ) {
	selectedUsers.addAll((Collection<User>) request.getSession().getAttribute("selectedUsers"));
	Collections.sort(selectedUsers,User.USER_BY_NAME_SORTER);
}

List<User> availableUsers = new ArrayList<User>();
if ( session.getAttribute("availableUsers") != null ) {
	availableUsers.addAll((Collection<User>) request.getSession().getAttribute("availableUsers"));
	availableUsers.removeAll(selectedUsers);
	Collections.sort(availableUsers,User.USER_BY_NAME_SORTER);
}
String distGroupName = (String) request.getSession().getAttribute("distGroupName") ;
distGroupName = ((distGroupName == null) || (distGroupName.equals("")))?"Enter Group Name":distGroupName;

DistributionGroup distGroup = (DistributionGroup) request.getSession().getAttribute("distGroupSelect") ;

String sharedGroupInit="";
if(distGroup.isPublicGroup())
	sharedGroupInit="public";
else
	sharedGroupInit="private";
				
String sharedGroup = (String) request.getSession().getAttribute("sharedGroup") ;

sharedGroup = ((sharedGroup == null) || (sharedGroup.equals("")))?sharedGroupInit:sharedGroup;

%>

<%-- START ADD DIST GROUP FORM --%>
<form action="editDistGroup.action" name="frmEditDistGroups" id="frmEditDistGroups" method="post">
<tr><td valign="top" align="left">	
		<table cellpadding="0" cellspacing="5" border="0" >
			<tr><th valign="bottom" align="left">Personal Distribution Group:</th><tr>
			<tr><td valign="top" align="left"><input type="text" name="distGroupName" id="distGroupName" size="30"  maxlength="30" value="<esapi:encodeForHTMLAttribute><%=distGroupName%></esapi:encodeForHTMLAttribute>" onfocus="this.select();" onclick="this.select();"  /></td></tr>
	<% 	
	if (sharedGroup.equals("public"))
	{
	%>
			<tr><td valign="top" align="left"><input type="radio" id="sharedGroup" name="sharedGroup" value="public" checked>Shared Group&nbsp; &nbsp; <input type="radio" id="sharedGroup" name="sharedGroup" value="private">My Group</td>
	<%
	} else {
	%>
			<tr><td valign="top" align="left"><input type="radio" id="sharedGroup" name="sharedGroup" value="public">Shared Group&nbsp; &nbsp; <input type="radio" id="sharedGroup" name="sharedGroup" value="private" checked>My Group</td>
	<%  
	}		
	%>	
			</tr>			
		</table>
	
		<hr size="1" style="border:0px;border-bottom:1px dashed #666;" />
</td></tr>
<%-- ENDS ADD DIST GROUP FORM --%>
<tr><td valign="top" align="left"><b>Distribution Group Members</b>&nbsp;&nbsp;&nbsp;<a href="javascript:setDistGroupName()">Search for Users to Add to Group</a></td></tr>

<tr><td valign="top" align="left">



		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
		
			<tr>
				<td class="lightBox-TableBottom">					   
					    
						<table width="600" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Add Users to Group</th>
								<th>&nbsp;</th>
								<th scope="column" valign="bottom" align="center">Group Members</th></tr>							
							<tr>
							<td valign="top" align="left" width="40%">
								<label for="availableMembers" class="mhv-hidden-label">Available Members</label>
								<select name="availableMembers" id="availableMembers" size="12" multiple>
	<%	
		if(availableUsers != null){
		  for (User u : availableUsers){
			    String userNssn = "(SSN:";
				if(u.getUserType()==UserTypeEnum.PATIENT)
				{
					if(u.getNssn()!=null) 
						userNssn=userNssn+u.getNssn()+")";
					else
						userNssn=userNssn+")";
				}else
				{
					userNssn="";
				}
	%>				
										<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getName() + userNssn%></esapi:encodeForHTML></option>
	<%  
		} 
		  }
	%>				
								</select>
	
							</td>
							<td valign="middle" align="center" width="20%">							
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Add ->" style="margin:0px;" title="Add -&gt;"/><br/>&nbsp;<br/>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="<- Remove" style="margin:0px;" title="&lt;- Remove"/>
								
							</td>
							<td valign="top" align="center" width="40%">
								<label for="selectedMembers" class="mhv-hidden-label">Selected Members</label>
								<select name="selectedMembers" id="selectedMembers" size="12" multiple>
	<%	
		if(selectedUsers != null){
		  for (User u : selectedUsers){
			   String userNssn = "(SSN:";
				if(u.getUserType()==UserTypeEnum.PATIENT)
				{
					if(u.getNssn()!=null) 
						userNssn=userNssn+u.getNssn()+")";
					else
						userNssn=userNssn+")";
				}else
				{
					userNssn="";
				}
	%>				
										<option value="<%=u.getId()%>"><esapi:encodeForHTML><%=u.getName() + userNssn%></esapi:encodeForHTML></option>
	<%  
		} 
		  }
	%>				
								</select>
	
							</td>	
							</tr>
							<tr>
							<td valign="top" align="left" width="40%">
								&nbsp;
							</td>
							<td valign="middle" align="center" width="20%">							
									&nbsp;
							</td>
							<td valign="top" align="center" width="40%">
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Save Group" style="margin:5px;" title="Save Group"/>
								<input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="selectAction" id="selectAction" value="Cancel" style="margin:5px;" title="Cancel"/>
								
							</td>		
							</tr>
							<tr>
							<td colspan="3" valign="top" align="left" width="40%">
								Note: Multiple items may be selected by pressing the "Ctrl" key<br/> when clicking. The entire list may be selected by pressing the "Shift" key<br/> and selecting the first and last Group Member. 
							</td>
							</tr>							
						</table></td></tr>
		</table>


</td></tr>
</form>