<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
    import="java.util.List"
    import="gov.va.med.mhv.sm.model.User"
    import="gov.va.med.mhv.sm.model.Folder"
    import="gov.va.med.mhv.sm.model.Message"    
    import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"	
    import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
%>

<%  
  Message m = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
  Folder curFolder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);  
  User user=(User)session.getAttribute(AbstractInboxAction.CURRENT_USER);
  List<Folder> folders=user.getMailbox().getUserFolders();     
%>  
  <div class="sm_message_buttons">
  <form name="1" action="reply.action" method="POST" style="float:left;">
  <input type="submit" border="0" name="smReply" value="Reply" class="sm_input_button" title="Reply"/>
   &nbsp;
  </form>
  <form name="moveMsgForm" id="moveMsgForm" action="moveMyMessage.action" method="POST" style="float:left;">
  	<%
    	if(!((curFolder.getName()).equals(SystemFolderEnum.ESCALATED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.COMPLETED.getName())||
    	(curFolder.getName()).equals(SystemFolderEnum.DRAFTS.getName()) || (curFolder.getName()).equals(SystemFolderEnum.SENT.getName()))){
  	%>
	<label for="msgFolderSelect">
		<img id="moveMsgFolderLabel" width="1" border="0" height="1" align="left" alt="Move Message to Folder" src="images/spacer.gif">
	</label>
	<select name="moveMsgFolder" id="msgFolderSelect">
  		<option value="MoveSelectedto" selected>Move Selected to ...</option>
  		<% if(!((curFolder.getName()).equals(SystemFolderEnum.INBOX.getName()))){%>
  	 	<option value="<%=SystemFolderEnum.INBOX.getId()%>"><esapi:encodeForHTML><%=SystemFolderEnum.INBOX.getName()%></esapi:encodeForHTML></option>
  		<%}%>

  		<% if( folders != null){
  			for(Folder f: folders){  
  				if(!((curFolder.getName()).equals(f.getName()))){%>
  				<option value="<%=f.getId()%>"><esapi:encodeForHTML><%=f.getName()%></esapi:encodeForHTML></option>
  		<%		}
  			}
  		}%>	
    	</select>
    	<input type="submit" id="msgSubmit" name="msgSubmit" value="Move" class="sm_input_button" title="Move"/>
	<% } %>
  </form>  
 
  
  <form name="printMsgForm" id="printMsgForm" action="${pageContext.request.contextPath}/printMessage.action" target="_smPrint" method="POST" style="float:left;">
  	<%
    	if(!((curFolder.getName()).equals(SystemFolderEnum.ESCALATED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.COMPLETED.getName())||
    	(curFolder.getName()).equals(SystemFolderEnum.DELETED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.SENT.getName()))){
  	%>
    	<input type="submit" id="printSubmit" name="printSubmit" value="Print Message" class="sm_input_button" title="Print Message"/>
  	<% } %>
  </form> 
  
  <form name="deleteMsgForm" id="deleteMsgForm" action="deleteMyMessage.action" method="POST" style="float:left;">
  	<%
    	if(!((curFolder.getName()).equals(SystemFolderEnum.ESCALATED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.COMPLETED.getName())||
    	(curFolder.getName()).equals(SystemFolderEnum.DELETED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.SENT.getName()))){
  	%>
    	<input type="submit" id="msgSubmit" name="msgSubmit" value="Delete Message" class="sm_input_button" title="Delete Message"/>
  	<% } %>
  </form>  
  
  <form name="closeMsgForm" id="closeMsgForm" action="closeMessage.action" method="POST" style="float:right;">
  		<input type="submit" id="msgSubmit" name="msgSubmit" value="Close" class="sm_input_button" title="Close"/>
  </form>
  </div>