<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<%@page  session="true" 
		  import="java.util.Collection"	
		  import="java.util.TreeSet"
		  import="org.apache.commons.logging.Log"
		  import="org.apache.commons.logging.LogFactory"
		  import="gov.va.med.mhv.sm.model.TriageGroup"
		  import="gov.va.med.mhv.sm.model.DistributionGroup"
		  import="gov.va.med.mhv.sm.model.Patient"
		  import="gov.va.med.mhv.sm.model.NewMessage"
		  import="gov.va.med.mhv.sm.model.User"
		  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
		  import="gov.va.med.mhv.sm.model.Clinician"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.PatientDemographics"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.Address"
		  import="org.apache.commons.lang.StringUtils"
		  import="gov.va.med.mhv.sm.util.DateUtils"
%>
<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.reAssignMessageP2P");%>


<%-- Section below sets up active tabs and which tabs to display --%>
<%
Integer currentTabValue=0;
String active1="";
String active2="";

String tab1="Clinicians and Staff";
String tab2="Triage Group";

String currentTab=request.getParameter("tab");

try {
	currentTabValue=Integer.valueOf(currentTab);
}catch (Exception e) {
	currentTabValue=1;
}

String tab1link="<a href=\"reAssignMessageP2P.action?tab=1\">"+tab1+"</a>";
String tab2link="<a href=\"reAssignMessageP2P.action?tab=2\">"+tab2+"</a>";

switch(currentTabValue) {
	case 1:
		active1="-active";
		tab1link=tab1;
		break;
	case 2:
		active2="-active";
		tab2link=tab2;
		break;
}
User user = (User)request.getSession().getAttribute("user");
NewMessage nm = (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
Patient p2pClinician = (Patient) request.getSession().getAttribute("p2pClinician");
PatientDemographics patientDemographics = (PatientDemographics) request.getSession().getAttribute("p2pClinicianDemographics");
Address patientAddress = (patientDemographics==null || patientDemographics.getHomeAddress()==null)?null:patientDemographics.getHomeAddress().getAddress(); 
Collection<Patient> patients = (Collection<Patient>) request.getSession().getAttribute("patients") ;
Clinician p2pClinician1 = (Clinician)request.getSession().getAttribute("p2pClinician1");
String reAssignClinicianTriageGroupName = (String) request.getSession().getAttribute("reAssignClinicianTriageGroupName");
if (reAssignClinicianTriageGroupName==null) reAssignClinicianTriageGroupName="";
String reAssignClinicianTriageGrpId = (String) request.getSession().getAttribute("reAssignClinicianTriageGroupId");
if (reAssignClinicianTriageGrpId==null) reAssignClinicianTriageGrpId="";
String reAssignTriageGroupName = (String) request.getSession().getAttribute("reAssignTriageGroupName");
if (reAssignTriageGroupName==null) reAssignTriageGroupName="";
String reAssignTriageGrpId = (String) request.getSession().getAttribute("reAssignTriageGroupId");
if (reAssignTriageGrpId==null) reAssignTriageGrpId="";
String displayYesOrNoButtonForCli = (String) request.getSession().getAttribute("displayYesOrNoButtonForCli");
if (displayYesOrNoButtonForCli==null) displayYesOrNoButtonForCli="No";
String displayYesOrNoButtonForTG = (String) request.getSession().getAttribute("displayYesOrNoButtonForTG");
if (displayYesOrNoButtonForTG==null) displayYesOrNoButtonForTG="No";
String p2pClinician1Facility = (String) request.getSession().getAttribute("p2pClinician1Facility");
if (p2pClinician1Facility==null) p2pClinician1Facility="";
gov.va.med.mhv.sm.wsclient.queriessvc.User p2pClinician1Demographics =
    (gov.va.med.mhv.sm.wsclient.queriessvc.User) request.getSession().getAttribute("p2pClinician1Demographics");
Collection<Clinician> clinicians = (Collection<Clinician>) request.getSession().getAttribute("clinicians") ;
String firstNameP2P = (String)request.getSession().getAttribute("firstNameP2P");
if (firstNameP2P==null) firstNameP2P="";
String lastNameP2P = (String)request.getSession().getAttribute("lastNameP2P");
if (lastNameP2P==null) lastNameP2P="";
String reAssignP2PComment = (String)request.getSession().getAttribute("reAssignP2PComment");
if (reAssignP2PComment==null) reAssignP2PComment="";
String reAssignComment = (String)request.getSession().getAttribute("reAssignComment");
if (reAssignComment==null) reAssignComment="";
String nssn = (String)request.getSession().getAttribute("nssn");
if (nssn==null) nssn="";
%>
<%-- START TABS --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-Table">
			<tr>    <td width="180"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active1);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab1link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="120"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active2);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab2link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
				<td>&nbsp;</td>
			</tr>
		</table>
<%-- END TABS --%>
<% switch(currentTabValue) {
	case 1: %>
<%-- START CLINICIAN/STAFF SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
<%-- STEP ONE --%>
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Clinician or Staff Member</strong></p>
					<form action="reAssignToAnotherProvider.action" name="frmAddClinician" id="frmAddClinician" method="post">
					    <s:hidden name="tab" value="1"/>		
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="30%" valign="bottom" align="left" class="blueTH">First Name:</th>
								<th width="35%" valign="bottom" align="left" class="blueTH">Last Name:</th>
								<td rowspan="2">&nbsp;</td></tr>
							<tr><td valign="top" align="left"><input type="text" name="firstNameP2P" id="firstNameP2P" value="<esapi:encodeForHTMLAttribute><%=firstNameP2P%></esapi:encodeForHTMLAttribute>" size="20" /></td>				
								<td valign="top" align="left"><input type="text" name="lastNameP2P" id="lastNameP2P" value="<esapi:encodeForHTMLAttribute><%=lastNameP2P%></esapi:encodeForHTMLAttribute>" size="20" /></td></tr>
							<tr><td colspan="3">&nbsp;</td></tr>
							<tr><td colspan="3" valign="middle" align="center"><input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="search" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
						</table>
					</form>
				</td>
			</tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if(clinicians != null)
	{
%>		
			<tr>
				<td class="lightBox-TableBottom">
					<form action="reAssignToAnotherProvider.action" name="frmSearchClinician" id="frmSearchClinician" method="post">
					  <s:hidden name="tab" value="1"/>
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>					  
						<table width="95%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Select Clinician or </br>Staff Member</th>
								<td>&nbsp;</td>
								<th scope="column" valign="bottom" align="left">Selected Clinician or </br>Staff Member</th></tr>							
							<tr><td valign="top" align="left" width="40%"><select name="p2pClinician1" id="p2pClinician1" size="12">
						<%	
							for (Clinician clinician : clinicians)
							{	
								if(!clinician.getId().equals(user.getId())){%>
										
										<option value="<%=clinician.getId()%>"><esapi:encodeForHTML><%=clinician.getName()%></esapi:encodeForHTML></option>
						<%  
							} }
						%>				
										</select></td>
								<td valign="top" align="center" width="20%"><input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="select" value="Select" border="0" style="margin:0px;" title="Select"/></td>
								<td valign="top" align="left" width="40%">
								<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">										
<%
	}
%>	
<%-- STEP THREE --%>
<%-- ONLY SHOW BELOW WHEN Clinician IS SELECTED --%>
<%
	if(p2pClinician1 != null)
	{	
%>
									<tr><td><input size="30" type="text"  value="<esapi:encodeForHTMLAttribute><%=p2pClinician1.getName()%></esapi:encodeForHTMLAttribute>" name="#" id="#" class="textCell" /><br />&nbsp;</td></tr>
									<tr><th valign="bottom" align="left">Clinician or Staff Member Information</th></tr>
									<tr>
										<td class="sm_recipientInfo"><p>Name:&nbsp;<esapi:encodeForHTML><%=p2pClinician1.getName()%></esapi:encodeForHTML><br />
											<p>Facility:&nbsp;<esapi:encodeForHTML><%=p2pClinician1Facility%></esapi:encodeForHTML><br />
<%
if (p2pClinician1Demographics == null) {
   log.error("There are no VistA user demographics in the session.");
%>
											Department:&nbsp;N/A</p>
											<p>Phone:&nbsp;N/A</p>
<%
} else {
				String p2pClinician1Department = p2pClinician1Demographics.getDepartment();
				if (p2pClinician1Department == null || p2pClinician1Department.equals("")) p2pClinician1Department = "N/A";
				String p2pClinician1Phone = p2pClinician1Demographics.getPhone();
				if (p2pClinician1Phone == null || p2pClinician1Phone.equals("")) p2pClinician1Phone = "N/A";
%>
											Department:&nbsp;<esapi:encodeForHTML><%=p2pClinician1Department%></esapi:encodeForHTML></p>
											<p>Phone:&nbsp;<esapi:encodeForHTML><%=p2pClinician1Phone%></esapi:encodeForHTML></p>
<%
}
%>
										</td>
									</tr>
								</table></td></tr>
						</table>
					</form>
				</td>
			</tr>
			<tr>
				<td class="lightBox-TableTop">
				<form action="reAssignToAnotherProvider.action" name="frmSelectProvider" id="frmSelectProvider" method="post">				
				  <s:hidden name="tab" value="1"/>
				  <s:hidden name="body"/>
				  <s:hidden name="subject"/>
					<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
						<tr>
							<s:if test="%{clinicianTriageGroups.size()==0}">
								<span class="errorMessage" style="color: red;font-weight:bold;">Another Triage Group is not available to reassign this message.</span>
							</s:if>
							<s:fielderror cssStyle="color: red;font-weight:bold;">
							  <s:param>triageGroupSelectError</s:param>
							</s:fielderror>
							<p> Triage group(s) the patient is already associated with are noted in <strong>bold</strong> and are followed by (A).</p>
							<td align="right">
								Select Triage Group: 
							</td>
							<td align="left">
							
							<select name="reAssignClinicianTriageGroupId" id="reAssignClinicianTriageGroupId">
								<s:set name="selectedTGName" value="reAssignClinicianTriageGroupName"/> 							
								<s:iterator value="clinicianTriageGroups">
									<s:if test="%{name.indexOf('(A)')!=-1}">
										<s:if test="%{#selectedTGName==name}">
										    <option style="font-weight:bold" value="<s:property value='id'/>" selected="selected">
											<s:property value="name"/>
										    </option>
										</s:if>
										<s:else> 
										    <option style="font-weight:bold" value="<s:property value='id'/>">
											<s:property value="name"/>
										    </option>									
										</s:else>
									</s:if>
									<s:else> 
										<s:if test="%{#selectedTGName==name}">
										    <option value="<s:property value='id'/>" selected="selected">
											<s:property value="name"/>
										    </option>
										</s:if>
										<s:else> 
										    <option value="<s:property value='id'/>">
											<s:property value="name"/>
										    </option>
										</s:else>
									</s:else>
								</s:iterator>	
							</select>
							</td>
						</tr>

						<tr><td>&nbsp;</td></tr>
						<tr>
							<td align="left" colspan="2">
								<b>Enter comments below for the Healthcare Team</b>
								</br><b>(not in messages sent to patient)</b>
							</td>
						</tr>

						<tr>
							<td>&nbsp;</td>
							<td align="left">
								<textarea name="reAssignP2PComment" id="reAssignP2PComment" rows="4" cols="31"><esapi:encodeForHTML><%=reAssignP2PComment%></esapi:encodeForHTML></textarea> 						
							</td>
						</tr>
						<tr><td>&nbsp;</td></tr>
						<tr><td>&nbsp;</td></tr>
<s:if test="%{clinicianTriageGroups.size()!=0}">
<%
if (displayYesOrNoButtonForCli.equals("No")) {
%>
				<s:if test="%{!patientBlockedTgFlag}">
						<tr>
						<td colspan="3" valign="middle" align="center"><br /><input type="submit" class="blueSubmitBtn" alt="Select Provider" border="0" name="submit" value="Submit" style="margin:0px;" title="Select Provider"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td>
						</tr>
				</s:if>		
<% 
	}else {
%>
						<tr>
							<td align="left" colspan="2">
								<span style="color: red;font-weight:bold;">
								<b>The patient is not associated with Triage Group: <esapi:encodeForHTML><%=reAssignClinicianTriageGroupName%></esapi:encodeForHTML>.</b>
								</br><b>Do you want to associate the patient with this</b>
								</br><b>Triage Group and reassign the message?</b></span>								
							</td>
						</tr>
						<tr>
						<td colspan="3" valign="middle" align="center"><br /><input type="submit" class="blueSubmitBtn" alt="Yes, Associate the patient with this Triage Group" border="0" name="yes" value="Yes" style="margin:0px;" title="Yes, Associate the patient with this Triage Group"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="No, Do not Associate" border="0" name="no" value="No" style="margin:0px;" title="No, Do not Associate"/></td>
						</tr>
<%
}
%>
</s:if>
<s:if test="%{patientBlockedTgFlag}">
						<tr><td align="left" colspan="2"><span style="color: red;font-weight:bold;">
								<b>The patient is restricted from this Triage Group. Contact your My Health<b><i>e</i></b>Vet Coordinator if you have any questions.</b>
							</td>
						</tr>
						<tr>
						<td align="center" colspan="2">
						  <input type="submit" id="reAssignPatientBlockedOK" name="reAssignPatientBlockedOK" value="OK" class="sm_input_button"  style="margin:0px;" title="OK" />&nbsp;
						</td>
						</tr>
</s:if>						
					</table>
				</form>	
				</td>
			</tr>
<% 
	}else {
%>
									</table></td></tr>
						</table></form></td></tr>
<%
}
%>
<%-- ONLY SHOW ABOVE WHEN Clinician IS SELECTED --%>
			
		</table>
<%-- END CLINICIAN/STAFF SELECTION --%>
<%	
		break;
	
	
	case 2: %>
<%-- START TRIAGE GROUP SELECTION --%>

		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
			<tr>
				<td class="lightBox-TableTop">
					<form name="reAssignTGForm" action="reAssignToAnotherTriageGroup.action" method="POST">
					<s:hidden name="tab" value="2"/>		
					<s:hidden name="body"/>
					<s:hidden name="subject"/>					
					<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">					
					<tr>
						<s:if test="%{stationTriageGroups.size()==0}">
							<span class="errorMessage" style="color: red;font-weight:bold;">Another Triage Group is not available to reassign this message.</span>
						</s:if>
						<s:fielderror cssStyle="color: red;font-weight:bold;">
						  <s:param>triageGroupSelectError</s:param>
						</s:fielderror>
						<p> Triage group(s) the patient is already associated with are noted in <strong>bold</strong> and are followed by (A).</p>
						<td align="right">
							Select Triage Group: 
						</td>
						<td align="left">							
							<select name="reAssignTriageGroupId" id="reAssignTriageGroupId">
								<s:set name="selectedTGName" value="reAssignTriageGroupName"/> 							
								<s:iterator value="stationTriageGroups">
									<s:if test="%{name.indexOf('(A)')!=-1}">
										<s:if test="%{#selectedTGName==name}">
										    <option style="font-weight:bold" value="<s:property value='id'/>" selected="selected">
											<s:property value="name"/>
										    </option>
										</s:if>
										<s:else> 
										    <option style="font-weight:bold" value="<s:property value='id'/>">
											<s:property value="name"/>
										    </option>									
									    	</s:else>
									</s:if>
									<s:else> 
										<s:if test="%{#selectedTGName==name}">
										    <option value="<s:property value='id'/>" selected="selected">
											<s:property value="name"/>
										    </option>
										</s:if>
										<s:else> 
										    <option value="<s:property value='id'/>">
											<s:property value="name"/>
										    </option>
									    	</s:else>
									</s:else>
								</s:iterator>	
							</select>
						</td>
					</tr>

					<tr><td>&nbsp;</td></tr>
					<tr>
						<td align="left" colspan="2">
							<b>Enter comments below for the Healthcare Team</b>
							</br><b>(not in messages sent to patient)</b>
						</td>
					</tr>

					<tr>
						<td>&nbsp;</td>
						<td align="left">
							<textarea name="reAssignComment" id="reAssignComment" rows="4" cols="31"><esapi:encodeForHTML><%=reAssignComment%></esapi:encodeForHTML></textarea> 
						</td>
					</tr>
					<tr><td>&nbsp;</td></tr>
					<tr><td>&nbsp;</td></tr>
<s:if test="%{stationTriageGroups.size()!=0}">
<%

if (displayYesOrNoButtonForTG.equals("No")) {
%>
			<s:if test="%{!patientBlockedTgFlag}">
					<tr>
					<td align="center" colspan="2">
						  <input type="submit" id="reAssignTriageSubmit" name="reAssignTriageSubmit" value="Submit" class="sm_input_button"  style="margin:0px;" title="Submit" />&nbsp;
						  <input type="submit" id="reAssignTriageCancel" name="reAssignTriageCancel" value="Cancel" class="sm_input_button"  style="margin:0px;" title="Cancel"/>
					</td>
					</tr>
			</s:if>		
<% 
	}else {
%>
						<tr>
							<td align="left" colspan="2">
								<span style="color: red;font-weight:bold;">
								<b>The patient is not associated with Triage Group: <esapi:encodeForHTML><%=reAssignTriageGroupName%></esapi:encodeForHTML>.</b>
								</br><b>Do you want to associate the patient with this</b>
								</br><b>Triage Group and reassign the message?</b></span>								
							</td>
						</tr>
						<tr>
						<td align="center" colspan="2">
						  <input type="submit" id="reAssignTriageYes" name="reAssignTriageYes" value="Yes" class="sm_input_button"  style="margin:0px;" title="Yes, Associate the patient with this Triage Group" />&nbsp;
						  <input type="submit" id="reAssignTriageNo" name="reAssignTriageNo" value="No" class="sm_input_button"  style="margin:0px;" title="No, Do not Associate"/>
						</td>
						</tr>
<%
}
%>
</s:if>
<s:if test="%{patientBlockedTgFlag}">
						<tr><td align="left" colspan="2"><span style="color: red;font-weight:bold;">
								<b>The patient is restricted from this Triage Group. Contact your My Health<b><i>e</i></b>Vet Coordinator if you have any questions.</b>
							</td>
						</tr>
						<tr>
						<td align="center" colspan="2">
						  <input type="submit" id="reAssignPatientBlockedOK" name="reAssignPatientBlockedOK" value="OK" class="sm_input_button"  style="margin:0px;" title="OK" />&nbsp;
						</td>
						</tr>
</s:if>
						
					</table>
					</form>
					</td></tr>
		</table>
<%-- END TRIAGE GROUP SELECTION --%>
<%	
		break;
		
}
%>
</div></div></div></div>