<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page  session="true" 
		  import="java.util.Collection"	
		  import="java.util.TreeSet"
		  import="org.apache.commons.logging.Log"
		  import="org.apache.commons.logging.LogFactory"
		  import="gov.va.med.mhv.sm.model.TriageGroup"
		  import="gov.va.med.mhv.sm.model.DistributionGroup"
		  import="gov.va.med.mhv.sm.model.Patient"
		  import="gov.va.med.mhv.sm.model.NewMessage"
		  import="gov.va.med.mhv.sm.model.User"
		  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
		  import="gov.va.med.mhv.sm.model.Clinician"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.PatientDemographics"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.Address"
		  import="org.apache.commons.lang.StringUtils"
		  import="gov.va.med.mhv.sm.util.DateUtils"
%>
<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.addRecipientBox_clinician");
   
%>

<%-- Has Adding a Recipient been cancelled? --%>
<%-- THESE STYLES MAY NEED TO BE UPDATED DEPENDING ON BUILD OUTPUT --%>

<style media="aural" type="text/css">
	.bea-portal-window-content-grey{display:none;}
</style>
<!--[if lte IE 6]>
<style>
	#darkBox { position:absolute;width:1440px;height:1000px;margin:0px;top:0px;left:0px;bottom:0px;right:0px;float:left; z-index:1;background-image:url(images/blackPix50p.gif);background-repeat:repeat;}
	#lightBox {top:20%;left:250px;margin:0px;z-index:2;}
	#lbOut {background-image:none;background-color:#fff;}
	.sm_table SELECT {display:block;visibility:hidden;}
</style>
<![endif]-->
<div id="darkBox"><div id="lightBox"><img src="images/sms/img_lightBoxTop.gif" width="500" height="12" alt="Light Box Top" border="0" /><div id="lightBox-Outer">
	<h2>Select a Recipient</h2>
	<div id="lightBox-Tabular">
<%-- Section below sets up active tabs and which tabs to display --%>
<%
Integer currentTabValue=0;
String active1="";
String active2="";


String tab1 = "Clinicians and Staff";
String tab2 = "Triage Staff";


String currentTab = request.getParameter("tab");

try {
	currentTabValue=Integer.valueOf(currentTab);
}catch (Exception e) {
	currentTabValue=1;
}

String tab1link="<a href=\"ForwardSend.action?pwin=addrecCcCln&tab=1\">"+tab1+"</a>";
//String tab2link="<a href=\"ForwardSend.action?pwin=addrecCcCln&tab=2\">"+tab2+"</a>";


switch(currentTabValue) {
	case 1:
		active1="-active";
		tab1link=tab1;
		break;
}

	User user 		= (User)request.getSession().getAttribute("user");
	NewMessage nm 		= (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
	
	
	Clinician recipient1 = (Clinician)request.getSession().getAttribute("recipient1");
	
	String recipient1Facility = (String) request.getSession().getAttribute("recipient1Facility");

	if (recipient1Facility==null) recipient1Facility="";

	gov.va.med.mhv.sm.wsclient.queriessvc.User  recipient1Demographics =
    			(gov.va.med.mhv.sm.wsclient.queriessvc.User) request.getSession().getAttribute("recipient1Demographics");

	Collection<Clinician> clinicians = (Collection<Clinician>) request.getSession().getAttribute("clinicians") ;

	String firstName = (String)request.getSession().getAttribute("firstName");
	if (firstName==null) firstName="";

	String lastName = (String)request.getSession().getAttribute("lastName");
	if (lastName==null) lastName="";

	String nssn = (String)request.getSession().getAttribute("nssn");
	if (nssn==null) nssn="";
%>

<%-- START TABS --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-Table">
			<tr><td width="90"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active1);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab1link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
<%-- END Tab to be Deactivated for now --%>
				<td>&nbsp;</td>
			</tr>
		</table>
<%-- END TABS --%>
<% switch(currentTabValue) {
	case 1: %>
<%-- START CLINICIAN/STAFF SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
<%-- STEP ONE --%>
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Clinician or Staff Member</strong></p>
					<form action="AddRecipientClnForward.action" name="frmAddClinician" id="frmAddClinician" method="post">
					    <s:hidden name="pwin" value="addForwardrec"/>
					    <s:hidden name="tab" value="1"/>		
					    <s:hidden name="body"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="subject"/>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="30%" valign="bottom" align="left" class="blueTH" id="fnLabel">First Name:</th>
								<th width="35%" valign="bottom" align="left" class="blueTH" id="lnLabel">Last Name:</th>
								<td rowspan="2">&nbsp;</td></tr>
							<tr><td valign="top" align="left"><input type="text" name="firstName" aria-labelledby="fnLabel" id="firstName" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>" size="20" /></td>
								<td valign="top" align="left"><input type="text" name="lastName" aria-labelledby="lnLabel" id="lastName" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>" size="20" /></td></tr>
							<tr><td colspan="3">&nbsp;</td></tr>
							<tr><td colspan="3" valign="middle" align="center"><input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="search" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
						</table>
					</form></td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if(clinicians != null)
	{
%>		
			<tr>
				<td class="lightBox-TableBottom">
					<form action="AddRecipientClnForward.action" name="frmSearchPatient" id="frmSearchPatient" method="post">
					  <s:hidden name="pwin" value="addForwardrec"/>
					  <s:hidden name="tab" value="1"/>
					    <s:hidden name="body"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="subject"/>					  
						<table width="95%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Select Recipient</th>
								<td>&nbsp;</td>
								<th scope="column" valign="bottom" align="left">Selected Recipient</th></tr>							
							<tr><td valign="top" align="left" width="40%"><select name="recipient1" id="recipient1" size="12">
						<%	for (Clinician clinician : clinicians){	 
								User currentUser 		= (User)request.getSession().getAttribute("user");						
								if(!clinician.getId().equals(currentUser.getId())){%>			
									<option value="<%=clinician.getId()%>"><esapi:encodeForHTML><%=clinician.getName()%></esapi:encodeForHTML></option>
								
						<%  }}  %>				
					</select></td>
						 <td valign="top" align="center" width="20%"><input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="select" value="Select" border="0" style="margin:0px;" title="Select"/></td>
						 <td valign="top" align="left" width="40%">
						  <table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">										
<%
	}
%>	
<%-- STEP THREE --%>
<%-- ONLY SHOW BELOW WHEN RECIPIENT IS SELECTED --%>
<%
	if(recipient1 != null)
	{	
%>
							<tr><td><input size="30" type="text"  value="<esapi:encodeForHTMLAttribute><%=recipient1.getName()%></esapi:encodeForHTMLAttribute>" name="#" id="#" class="textCell" /><br />&nbsp;</td></tr>
							<tr><th valign="bottom" align="left">Recipient Information</th></tr>
							<tr>
								<td class="sm_recipientInfo"><p>Name:&nbsp;<esapi:encodeForHTML><%=recipient1.getName()%></esapi:encodeForHTML><br />
									<p>Facility:&nbsp;<esapi:encodeForHTML><%=recipient1Facility%></esapi:encodeForHTML><br />
<%
if (recipient1Demographics == null) {
   log.error("There are no VistA user demographics in the session.");
%>
												Department:&nbsp;N/A</p>
												<p>Phone:&nbsp;N/A</p>
<%
} else {
  String recipient1Department = recipient1Demographics.getDepartment();
  if (recipient1Department == null || recipient1Department.equals("")) recipient1Department = "N/A";
  String recipient1Phone = recipient1Demographics.getPhone();
  if (recipient1Phone == null || recipient1Phone.equals("")) recipient1Phone = "N/A";
%>
												Department:&nbsp;<esapi:encodeForHTML><%=recipient1Department%></esapi:encodeForHTML></p>
												<p>Phone:&nbsp;<esapi:encodeForHTML><%=recipient1Phone%></esapi:encodeForHTML></p>
<%
}
%>
												</td></tr>
										<tr><td align="center"><br /><input type="submit" class="blueSubmitBtn" alt="Add Recipient" border="0" name="add" value="Add" style="margin:0px;" title="Add Recipient"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
<% 
	}
%>
<%-- ONLY SHOW ABOVE WHEN RECIPIENT IS SELECTED --%>
									</table></td></tr>
						</table></form></td></tr>
		</table>
<%-- END CLINICIAN/STAFF SELECTION --%>
<%	
		break;
}
%>
</div></div></div></div>