<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
	import="org.apache.commons.logging.Log"
  	import="org.apache.commons.logging.LogFactory"
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.model.Folder"
	import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
	import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum"
	import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"
	import="gov.va.med.mhv.sm.util.AttachmentUtils"
  	import="java.util.Map"
  	import="java.util.TreeMap"
  	import="gov.va.med.mhv.sm.web.smActions.ReplyMsg"
  	import="org.apache.commons.lang.StringEscapeUtils"
%>

<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.replyMessage.messageHeader");%>

<%
  Message msg = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
  gov.va.med.mhv.sm.web.utils.ut U=new gov.va.med.mhv.sm.web.utils.ut();
  boolean recipientsCcAdded =(msg.getCcRecipientName() != null);
  Folder curFolder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);
%>

<script language="javascript">
	function addrecipient(){
		document.getElementById("pwin").value= "addrecCln";
		document.frmMessage.submit();   
	}

	function addReplyCcrecipient(){
		document.getElementById("pwin").value= "addReplyrecCcCln";
		document.frmMessage.submit();   
	}
	
	function removeReplyAttachment(removeRef)
	{
		document.getElementById("removeId").value=removeRef;
		document.getElementById("pwin").value= "removeReplyAttachment";
		document.frmMessage.submit(); 
	}	
	
</script>

<s:hidden name="pwin" />
<tr>
	<td><table width="95%" cellpadding="0" cellspacing="0" border="0" class="sm_addressMessage">
			<tr><th scope="row">From:</th>
				<td align="left"><s:label name="sender" /></td></tr>
			<tr><th scope="row">To:</th>
				<td align="left" ><s:label name="recipient" />
			    <% 
			    if(U.isUserClinician(session))
				 {
			    %>
					<%=U.getPatientLastFourSSN(session,msg.getSenderId())%>
				<%
				 }
				%>
				</td></tr>
			<% if(curFolder.getName().equals(SystemFolderEnum.INBOX.getName())){  %>	
			<tr><th scope="row">Cc:&nbsp;</th>
							<td valign="middle" align="left">
			<%-- Have CC Recipients been Added? (need to build logic) --%>
			<% if(recipientsCcAdded) { %>
			<%-- Display CC Recipients --%>
				<esapi:encodeForHTML><%=msg.getCcRecipientName()%></esapi:encodeForHTML>
				
			<% } else { %>
			&nbsp;<a id="addCcrecipient" href="javascript:void(addReplyCcrecipient());">Search for a CC recipient</a>
			<% } %></td></tr>
			<% } %>
			<tr><th scope="row">Message ID#:</th>
				<td align="left"><s:label name="messageId" /></td></tr>
			<tr><th scope="row">Subject:</th>
				<td align="left"><!-- CR6598 -->
			    <s:select
				    name="messageCategoryTypeId"
				    id="messageCategoryTypeId"
				    list="messageCategoryTypes"
        			listKey="id"
        			listValue="name"
        			value="messageCategoryTypeId"
        			disabled="true"/>
        		<!-- CR6598 --><!--  s:label id="subject" name="newMessage.subject" />-->
        		<esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(msg.getThread().getSubject())%></esapi:encodeForHTML><input type="hidden" id="subject" value="General Enquiry"/>
        		</td></tr>
			
			<%
    			String replyAttachmentName = (String)request.getSession().getAttribute("REPLY_ATTACHMENT_NAME");
			%>
			<tr><th scope="row" valign="top">Attach File&nbsp;</label></th>
					<td valign="middle" align="left">
						<%
						    if(session.getAttribute(ReplyMsg.REPLY_ATTACHMENTS)!=null){
							Map<Long, String> map = (Map)session.getAttribute(ReplyMsg.REPLY_ATTACHMENTS);
							for(Map.Entry<Long,String> entry : map.entrySet()) {
  								Long attachmentKey = entry.getKey();
  								String attachmentName = entry.getValue();
						%>		
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<esapi:encodeForHTML><%=AttachmentUtils.getFirstPartOfString(attachmentName)%></esapi:encodeForHTML>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:void(#)" onclick="javascript:removeReplyAttachment('<%=attachmentKey%>');">Remove</a>
							</br>
						<%}}%>
						<%
							int allowedCount = 1; 
							if(request.getAttribute("allowedCount")!=null)
								allowedCount = Integer.parseInt(((String)request.getAttribute("allowedCount")));
							
							Map<Long,String> attachmentsMap = null;
							if(session.getAttribute(ReplyMsg.REPLY_ATTACHMENTS)!=null){
								attachmentsMap = (Map)session.getAttribute(ReplyMsg.REPLY_ATTACHMENTS);
							} 
							if(attachmentsMap==null || attachmentsMap.size()!=allowedCount){
							
						%>
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<a href="javascript:void(#)" onclick="javascript:void(attachFile());">Attach a file</a> &nbsp;&nbsp;<a href="${pageContext.request.contextPath}/help.action?content=help/instructionsToAttachAFile.html" target="_smHelp">Instructions to attach a file</a>
						<%}%>
					</td></tr>
		</table>
	</td>
</tr>
