package gov.va.med.mhv.admin.enums;
/**
 * Activity.action column
 * @author vhaislthacka
 *
 */
public enum ActivityActionTypeEnumeration {
	CANCEL_UPGRADE_ONLINE ("Cancel Upgrade Online"),
	ONLINE_10_5345A_MHV_FORM_FILED ("Online 10-5345a-MHV Form Filed"),
	START_UPGRADE_MANUALLY ("Start Upgrade Manually"),
	START_UPGRADE_ONLINE ("Start Upgrade Online"),
	DOWNLOAD_10_5345A_MHV_FORM_ONLINE ("Download 10-5345a-MHV Form Online"),
	VIEWPRINT_10_5345A_MHV_FORM_ONLINE ("ViewPrint 10-5345a-MHV Form Online"),
	MANUAL_AUTHENTICATION ("Manual Authentication"),
	ONLINE_AUTHENTICATION ("Online Authentication"),
	ACCOUNT_CREATED ("Account Created"),
	ACCOUNT_DISCONNECTED ("Account Disconnected"),
	ACCOUNT_MANAGEMENT ("Account Management"),
	UPGRADE_TO_ADVANCED ("Upgrade to Advanced"),
	MVI_NO_MATCH_FOUND ("MVI No Match Found"),
	CONNECTED_TO_VA_RECORD ("Connected to VA Record"),
	REMOVE_CONNECTION_TO_VA_RECORD ("Remove connection to VA Record"),
	REMOVE_UPGRADE_TO_ADVANCED ("Remove Upgrade to Advanced"),
	ACCOUNT_CORRELATION_REQUESTED ("Account Correlation Requested"),
	Login_Logout("Login_Logout"),
	LOGIN_WITH_MY_HEALTHEVET("Login with My HealtheVet"),
	LOGOUT_WITH_MY_HEALTHEVET("Logout with My HealtheVet"),
	LOGIN ("Login"),
	LOGIN_WITH_DSLOGON("Login with DSLOGON"),
	RESET ("Reset"),
	RECOVERED ("Recovered"),
	ACCEPT ("Accept"),
	DECLINE ("Decline"),
	LOGOUT ("Logout"),
	VIEW ("View"),
	ADD ("Add"),
	UPDATE ("Update"),
	DELETE ("Delete"),
	PASSWORD_CHANGED ("Password Changed"),
	COURSE_STARTED ("Course Started"),
	COURSE_COMPLETED ("Course Completed"),
	REQUEST_REFILL ("Request Refill"),
	IN_PROCESS ("In Process"),
	AUTHENTICATED ("Authenticated"),
	AUTHENTICATION_REVOKED ("Authentication Revoked"),
	ACCOUNT_REQUESTED ("Account Requested"),
	DOWNLOAD_REQUESTED ("Download Requested"),
	Download ("Download"),
	DOWNLOAD_MY_DATA ("Download My Data"),
	DOWNLOAD_MY_DATA_PDF ("Download My Data pdf"),
	DOWNLOAD_MY_DATA_BLUEBUTTON ("Download My Data bluebutton"),
	CUSTOM_DOWNLOAD_REQUESTED ("Custom Download Requested"),
	DOWNLOAD_MY_CUSTOM_DATA ("Download My Custom Data"),
	DOWNLOAD_MY_CUSTOM_DATA_PDF ("Download My Custom Data pdf"),
	DOWNLOAD_MY_CUSTOM_DATA_BLUEBUTTON ("Download My Custom Data bluebutton"),
	ACCOUNT_UPGRADE_REQUESTED ("Account Upgrade Requested"),
	CONTINUE_TO_ACCESSVA_TO_UPGRADE_TO_PREMIUM ("Continue to AccessVA to Upgrade to Premium"),
	ACCOUNT_CONNECTED ("Account Connected"),
	UPGRADE_TO_PREMIUM ("Upgrade to Premium"),
	PREMIUM_ACCOUNT_REVOKED ("Premium Account Revoked"),
	AUTHENTICATION_REQUEST ("Authentication Request"),
	UNAUTHENTICATION_REQUEST ("Unauthentication Request"),
	VA_CCD_DOWNLOAD_REQUESTED ("VA CCD Download Requested"),
	DOWNLOAD_MY_VA_CCD ("Download My VA CCD"),
	DOWNLOAD_MY_VA_CCD_PDF ("Download My VA CCD PDF"),
	VA_BBMI_DOWNLOAD_REQUESTED ("VA BBMI Download Requested"),
	DOWNLOAD_MY_VA_BBMI ("Download My VA BBMI"),
	MY_VETERANS_BENEFITS_HANDBOOK_REQUESTED ("My Veterans Benefits Handbook Requested"),
	ACCESS_HEALTHELIVING_ASSESSMENT ("Access healtheliving assessment"),
	CONTINUE ("Continue"),
	CANCEL ("Cancel"),
	DEACTIVATE ("Deactivate"),
	REACTIVATE ("Reactivate"),
	VIEW_MY_CUSTOM_DATA ("View My Custom Data"),
	VIEW_MY_CUSTOM_DATA_PDF ("View My Custom Data pdf"),
	VIEW_MY_CUSTOM_DATA_BLUEBUTTON ("View My Custom Data bluebutton"),
	PRINT_MY_CUSTOM_DATA ("Print My Custom Data"),
	VIEW_MY_VA_CCD_PDF ("View My VA CCD pdf"),
	ACCEPTED_DISCLAIMER ("Accepted Disclaimer"),
	DISCLAIMER_WAS_READ_AND_ACCEPTED ("Disclaimer was read and accepted"),
	REQUEST_SUBMITTED ("Request Submitted"),
	REQUEST_PROCESSED ("Request Processed"),
	SUBMITTED_FOR_SHARING ("Submitted for Sharing"),
	DELIVERED_TO_SYSTEM ("Delivered to System"),
	PRESCRIPTION ("Prescription"),
	VIEW_ACTIVE_PRESCRIPTION("View Active Prescription"),
	VIEW_HISTORICAL_PRESCRIPTION("View Historical Prescription"),
	TURN_ON_RX_NOTIFICATIONS("Turn On RX Notifications"),
	TURN_OFF_RX_NOTIFICATIONS("Turn Off RX Notifications"),
	TURN_ON_VA_APPOINTMENT_REMINDER ("Turn On VA Appointment Reminder"),
	TURN_OFF_VA_APPOINTMENT_REMINDER ("Turn Off VA Appointment Reminder"),
	TURN_ON_VA_BBMI_REMINDER ("Turn On VA Medical Images/Report Notifications"),
	TURN_OFF_VA_BBMI_REMINDER ("Turn Off VA Medical Images/Report Notifications"),	
	NOTIFICATION_TURNED_ON ("Notification Turned On"),
	NOTIFICATION_TURNED_OFF ("Notification Turned Off"),
    LIST_OF_VA_MEDICAL_IMAGES_AND_REPORTS_REQUESTED ("View List of VA Medical Images and Reports"),
	VA_MEDICAL_IMAGES_AND_REPORT_DOWNLOAD_INITIATED ("VA Medical Images and Report: Download Initiated"),
    VA_MEDICAL_IMAGES_AND_REPORT_DOWNLOAD_REQUESTED ("VA Medical Images and Report: Download Requested"),
    VA_MEDICAL_IMAGES_AND_REPORT_REQUEST_PROCESSED ("VA Medical Images and Report: Request Processed"),
    VA_MEDICAL_IMAGES_AND_REPORT_REQUEST_SUBMITTED ("VA Medical Images and Report: Request Submitted"),
    VA_MEDICAL_IMAGES_AND_REPORT_VIEW ("VA Medical Images and Report: View"),
    VA_MEDICAL_IMAGES_AND_REPORT_VIEW_PDF ("VA Medical Images and Report: View PDF"),
    VA_MEDICAL_IMAGES_AND_REPORT_VIEW_TEXT ("VA Medical Images and Report: View TXT"),
    VA_MEDICAL_IMAGES_AND_REPORT_RETRY_REQUEST_SUBMITTED ("VA Medical Images and Report: Retry Submitted"),
    VA_MEDICAL_IMAGES_AND_REPORT_DOWNLOAD_PDF ("VA Medical Images and Report: Download PDF"),
    VA_MEDICAL_IMAGES_AND_REPORT_DOWNLOAD_TEXT ("VA Medical Images and Report: Download TXT"),
	APPOINTMENTS("Appointments"),
	VA_HEALTH_SUMMARY_DOWNLOAD_REQUESTED("VA Health Summary Download Requested"),
	VIEW_MY_VA_HEALTH_SUMMARY_PDF("View My VA Health Summary pdf"),
	DOWNLOAD_MY_VA_HEALTH_SUMMARY("Download My VA Health Summary"),
	DOWNLOAD_MY_VA_HEALTH_SUMMARY_PDF("Download My VA Health Summary PDF"),
	SEND_VA_HEALTH_SUMMARY("Send VA Health Summary"),
	REQUEST_COMPLETED("Request Completed"),
	DELIVERED("Delivered"),
	NOTIFICATION_DELIVERED("Notification Delivered"),
	ACCEPTED_CONDITIONS_OF_USE("Accepted Conditions of Use"),
	CONDITIONS_OF_USE_WERE_READ_AND_ACCEPTED("Conditions of Use were read and accepted"),
	NAVIGATE_TO_SECUREMESSAGING("Launch Secure Messaging"),
	TIMEOUT("Timeout"),
	MESSAGE_SENT("Message Sent"),
	ACCESS_VAR_MHV("Continue to Appointment Request"),
	SESSION_TIMEOUT("Session timeout"),
	NONE("None"),
	VIEW_CHEMISTRY_HEMATOLOGY("Chemistry_Hematology"),
	VIEW_ALLERGY("Allergy"),
	VIEW_WELLNESS_REMINDERS("WellnessReminders"),
	UPDATE_EMAIL_ADDRESS("Updated email address"),
	ACCOUNT_DEACTIVATION_EMAIL("Account deactivation email"),
	ACCOUNT_DEACTIVATED("Account deactivated"),
	BLOCK_ACCESS("Block Access"),
	UNBLOCK_ACCESS("Unblock Access"),
	SENT_RX_TRACKING_EMAIL("Sent RX Tracking Email");



	private String description;
	private ActivityActionTypeEnumeration(String desc){
		description = desc;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}


}

