package gov.va.med.mhv.admin.util;


/**
 * @author Rob Proper (Aquilent Inc.)
 *
 */
public final class UserProfileActivationStateUtils {

    /**
     * 
     */
    private UserProfileActivationStateUtils() {
    }
    
    public static final int ACTIVATED = 1;
    
    public static final int DEACTIVATED = 0;

    public static boolean isActivated(int action) {
        return ACTIVATED == action;
    }

    public static boolean isDeactivated(int action) {
        return DEACTIVATED == action;
    }

}
