package gov.va.med.mhv.admin.persist.exception;

/**
 * Data access-agnostic exception indicating that a duplicate entry was found
 * by the data access strategy responsible for throwing it.
 *
 * @author Jon Crater Apr 17, 2006 10:19:45 AM
 */
public class DuplicateEntryException extends GenericDataAccessException {

	public DuplicateEntryException(String msg, Throwable ex) {
		super(msg, ex);
	}

	public DuplicateEntryException(String msg) {
		super(msg);
	}
	
}
