package gov.va.med.mhv.admin.handler;


import java.util.ArrayList;
import java.util.List;

import javax.xml.ws.handler.Handler;
import javax.xml.ws.handler.HandlerResolver;
import javax.xml.ws.handler.PortInfo;

public class SOAPMviHandlerResolver implements HandlerResolver {

	private GenericMessageHandler genMesgHandler;

	public SOAPMviHandlerResolver(GenericMessageHandler genMesgHandler) {
		this.genMesgHandler = genMesgHandler;
	}

	// public String rawXML;

	public List<Handler> getHandlerChain(PortInfo arg0) {
		List<Handler> handlerList = new ArrayList<Handler>();
		handlerList.add(new SOAPMviMessageHandler(genMesgHandler));
		// handlerList.add(new SOAPMviLogicalHandler(this));
		// handlerList.add(new SOAPMviMessageHandler());
		handlerList.add(new SOAPMviLoggingHandler());
		return handlerList;
	}

	
/*	public void setRawXml(String xml) {
		this.rawXML = xml;
	}*/
	
}
