package gov.va.med.mhv.admin.service.mvi;

import gov.va.med.mhv.admin.model.AccessControl;

import java.util.List;

import gov.va.med.mhv.common.api.util.ResponseUtil;


public interface AccessControlService {
	
	/**
	 * Returns all effective extract control records for particular 
				user profile with a given user name.
	 *
	 * @param userName 
	 * @return AccessControlCollectionServiceResponse
	 */
	public void findAccessControls(String userName, ResponseUtil<List<AccessControl>> response);
}
