package gov.va.med.mhv.admin.web.util;


/**
 * @author DNS   THUMMP
 *
 */
public enum UserProfileDeactivateReasonUtil {
	APOSSIBLE("A31 possible ICN Mismatch (do not reactivate)", 11),
	DONOTREACTIVATE("A43 possible ICN Mismatch due to patient having same ICN as another patient - (Do Not Reactivate)", 13),
	CURRUPTEDDATA("Corrupted Data (resulting from VistA extract)", 4),
	DESEASED("Deceased", 1),
	HDEMERGENCY("HD Emergency Deactivation", 12),
	ICNMISNATCH("ICN Mismatch (do not reactivate)", 10),
	MULTIPLEMHVACCOUNTS("Multiple MHV Accounts Resolution", 3),
	MVIMERGE("MVI Merge Request", 9),
	MVISTAFFREQUEST("MVI Staff Request", 8),
	PROVIDERREQUEST("Provider Request", 5),	
	USERREQUEST("User Request", 2);
	
	
	

	private String description;
	private int value;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getValue() {
		return value;
	}

	public void setValue(int value) {
		this.value = value;
	}

	UserProfileDeactivateReasonUtil(String desc, int val) {
		description = desc;
		value = val;
	}

}
