/**
 * 
 */
package gov.va.med.mhv.admin;

import javax.ws.rs.ApplicationPath;

import org.glassfish.jersey.jackson.JacksonFeature;
import org.glassfish.jersey.server.ResourceConfig;

import com.fasterxml.jackson.jaxrs.json.JacksonJsonProvider;

import gov.va.med.mhv.common.api.exception.MHVExceptionServiceMapper;
import gov.va.med.mhv.common.api.jaxrs.MhvCustomObjectMapperProvider;


/**
 * @author vhaislegberb
 *
 */
@ApplicationPath("/")
public class AdminApplication extends ResourceConfig {
	
	public AdminApplication() {		
		packages("gov.va.med.mhv.admin.service.impl");
		register(MhvCustomObjectMapperProvider.class);
		register(MHVExceptionServiceMapper.class);
		register(JacksonFeature.class);
		register(JacksonJsonProvider.class);
		register(org.glassfish.jersey.filter.LoggingFilter.class);
		//property("jersey.config.beanValidation.enableOutputValidationErrorEntity.server", "true");
	}

}
