<%@ page import="java.io.IOException"%>
<%@ page import="java.net.URL"%>
<%@ page import="java.io.InputStream"%>
<%@ page import="org.apache.commons.lang.StringUtils"%>

<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-html-1.0" prefix="netui"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-databinding-1.0" prefix="netui-data"%>
<%@taglib uri="http://beehive.apache.org/netui/tags-template-1.0" prefix="netui-template"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>

<%
    String noticePageRootDir = new StringBuffer("http://").append(request.getServerName())
    					.append("/")
    					.append("noticecontent")
    					.append("/").toString();
	
	String defaultNoticeFile = noticePageRootDir + "notice.html";
	
	//out.println("URL: " + defaultNoticeFile);
	
	String pageToDisplay = "";
	pageToDisplay = displayPage(defaultNoticeFile);
	
    if (pageToDisplay != null) {
    	if (StringUtils.equals(StringUtils.isBlank((String)request.getSession().getAttribute("HAS_ROLES")) ? "yes":(String)request.getSession().getAttribute("HAS_ROLES"), "no")) {
    		out.println("<div id=\"mhv-informational-box\">");
    		out.println("\t<div id=\"mhv-error-message-informational\">" + "You are not authorized to access the MHV Administrative Portal. To request access, please contact your MHV Coordinator." + "</div>");
    		out.println("</div>");
    	}
%>
        <netui:content value="<%=pageToDisplay%>"/>
<% 
        }
    else {%>
            
         Requested notice file <strong><%=defaultNoticeFile%></strong> could not processed.
    <% }

    %>
<%!

    public String displayPage(String pagetoDisplay) throws IOException{
		//	String defaultNoticeFile = "http://admindeva.myhealth.DNS   /noticecontent/notice.html";
    	StringBuffer buffer = null;
    	InputStream in = null;
    	try {
    		//read and download the page text
    		URL url = new URL(pagetoDisplay);
    		in = url.openStream();    	
    		byte[] data = new byte[1024];
    		int length = -1;
    		buffer = new StringBuffer();
    		while ((length = in.read(data)) != -1) {
        		buffer.append(new String(data, 0, length));
    		}
     	}catch (Exception e) {
    	 	throw new RuntimeException("Requested notice page "+pagetoDisplay+ " could not be processed.", e);
        } finally {           
        	if (in != null) in.close();       	
        }
     	
     
     return (buffer != null) ? buffer.toString() : null;
    }
%>