package gov.va.med.mhv.getcare.service;

import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import org.springframework.stereotype.Service;

import gov.va.med.mhv.common.api.exception.MHVException;
import gov.va.med.mhv.getcare.common.dto.AppointmentDTO;

@Path("/")
@Service("appointmentService")
public interface AppointmentService {
	
	@GET
	@Path("/appointment/{patientid}/{recordAAL}")
	@Produces(MediaType.APPLICATION_JSON)
	public List<AppointmentDTO> findAppointmentsForPatient(@PathParam("patientid") Long patientid,@PathParam("recordAAL") Boolean recordAAL) throws MHVException;
}
