<%--
/**
* Copyright (c) 2000-2013 Liferay, Inc. All rights reserved.
*
* The contents of this file are subject to the terms of the Liferay Enterprise
* Subscription License ("License"). You may not use this file except in
* compliance with the License. You can obtain a copy of the License by
* contacting Liferay, Inc. See the License for the specific language governing
* permissions and limitations under the License, including but not limited to
* distribution rights of the Software.
*
*
*
*/
--%>
<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Expires" content="0" />

<%@ include file="/html/portlet/login/init.jsp"%>

<% 
   	String urlCurrent  = themeDisplay.getURLCurrent();
   	String friendlyUrl = urlCurrent.substring(0,urlCurrent.lastIndexOf('/')).trim().toLowerCase();
%>

<c:choose>
	
	<c:when test="<%=themeDisplay.isSignedIn()%>">
		
		<%
			String signedInAs = HtmlUtil.escape(user.getFullName());

					if (themeDisplay.isShowMyAccountIcon()
							&& (themeDisplay.getURLMyAccount() != null)) {
						String myAccountURL = String.valueOf(themeDisplay
								.getURLMyAccount());

						if (PropsValues.DOCKBAR_ADMINISTRATIVE_LINKS_SHOW_IN_POP_UP) {
							signedInAs = "<a class=\"signed-in\" href=\"javascript:Liferay.Util.openWindow({dialog: {destroyOnHide: true}, title: '"
									+ HtmlUtil.escapeJS(LanguageUtil.get(
											pageContext, "my-account"))
									+ "', uri: '"
									+ HtmlUtil.escapeJS(myAccountURL)
									+ "'});\">" + signedInAs + "</a>";
						} else {
							myAccountURL = HttpUtil.setParameter(myAccountURL,
									"controlPanelCategory",
									PortletCategoryKeys.MY);

							signedInAs = "<a class=\"signed-in\" href=\""
									+ HtmlUtil.escape(myAccountURL) + "\">"
									+ signedInAs + "</a>";
						}
					}

					String accountType = (String) session
							.getAttribute("LIFERAY_SHARED_accountType");
					String mhvContext = PropsUtil.get("mhv.context");
					
					boolean isPremium = accountType.equals("Premium");
					boolean isAdvanced = accountType.equals("Advanced");
					boolean isBasic = accountType.equals("Basic");
										
					// Determine whether delegate user text should be shown
					boolean showDelegateUserText = false;
					if (request.getAttribute("showDelegateUserText") != null) {
						showDelegateUserText = ((Boolean)request.getAttribute("showDelegateUserText")).booleanValue();
						session.setAttribute("showDelegateUserText", new Boolean(showDelegateUserText));
					}
					else if (session.getAttribute("showDelegateUserText") != null) {
						showDelegateUserText = ((Boolean)session.getAttribute("showDelegateUserText")).booleanValue();
					}
					
					boolean isDelegate = false;
					if (request.getAttribute("MHV_EA_IS_DELEGATE") != null) {
						isDelegate = "true".equals(request.getAttribute("MHV_EA_IS_DELEGATE"));
						session.setAttribute("MHV_EA_IS_DELEGATE", (isDelegate ? "true" : "false"));
					}
					else if (session.getAttribute("MHV_EA_IS_DELEGATE") != null) {
						isDelegate = "true".equals(session.getAttribute("MHV_EA_IS_DELEGATE"));
					}
					boolean isDelegateCustom = false;
					if (request.getAttribute("MHV_EA_IS_DELEGATE_CUSTOM") != null) {
						isDelegateCustom = "true".equals(request.getAttribute("MHV_EA_IS_DELEGATE_CUSTOM"));
						session.setAttribute("MHV_EA_IS_DELEGATE_CUSTOM", (isDelegateCustom ? "true" : "false"));
					}
					else if (session.getAttribute("MHV_EA_IS_DELEGATE_CUSTOM") != null) {
						isDelegateCustom = "true".equals(session.getAttribute("MHV_EA_IS_DELEGATE_CUSTOM"));
					}
					
					// Determine whether 'Switch Accounts' should be shown
					boolean showSwitchAccountText = false;
					
					if (isDelegate || isDelegateCustom) {
						System.out.println("Inside If check for showSwitchAccountText...");
						showSwitchAccountText = true;
					}
					System.out.println("The value of showSwitchAccountText:: "+ showSwitchAccountText);
					
					//SESSION_USERNAME_KEY_DELEGATEE value of LIFERAY_SHARED_userid_delegatee_fullname from PostLoginAction java class
					//ATTR_USER_PROFILE_DELEGATOR_FIRSTLASTNAME value of userProfileDelegatorFirstLastName from EAuthGateway Servlet
					String delegateefirstLastName = (String) request.getAttribute("userProfileDelegatorFirstLastName") ;
					if (session.getAttribute("userProfileDelegatorFirstLastNameNew")==null)
						session.setAttribute("userProfileDelegatorFirstLastNameNew",delegateefirstLastName);
					
					String welcomeName1 = (String) session.getAttribute("LIFERAY_SHARED_userid_delegatee_firstname");
					String welcomeName = HtmlUtil.escape(welcomeName1.substring(0,1).toUpperCase() + welcomeName1.substring(1).toLowerCase());
					
					//UserProfileDTO uProfileDelegator = null;
					//PatientDTO patientDelegator = null;
					//UserProfileDTO uProfile = null;
					//PatientDTO patient1 =  null;

					JSONObject uProfileDelegator = null;
					JSONObject patientDelegator = null;
					JSONObject uProfile = null;
					JSONObject patient1 =  null;
					
					Object sessionAttribute1 = request.getAttribute("userProfileDelegator");
					Object sessionAttribute1a = request.getAttribute("patientDelegator");
					Object sessionAttribute2 = session.getAttribute("userProfile");
					Object sessionAttribute2a = session.getAttribute("patient");
					
					//Switch Accounts code - session SetAttributes here.
					if (showSwitchAccountText) {
						
						if (sessionAttribute1 != null && sessionAttribute1 instanceof String) {
							uProfileDelegator = JSONFactoryUtil.createJSONObject((String) sessionAttribute1); 
							session.setAttribute("userProfileDelegator",request.getAttribute("userProfileDelegator"));
						} else {
							sessionAttribute1 = session.getAttribute("userProfileDelegator");
							if (sessionAttribute1 != null && sessionAttribute1 instanceof String) {
								uProfileDelegator = JSONFactoryUtil.createJSONObject((String) sessionAttribute1); 
							}						
						}

						if (sessionAttribute1a != null && sessionAttribute1a instanceof String) {
							patientDelegator = JSONFactoryUtil.createJSONObject((String) sessionAttribute1a); 
							session.setAttribute("patientDelegator",request.getAttribute("patientDelegator"));
						} else {
							sessionAttribute1a = session.getAttribute("patientDelegator");
							if (sessionAttribute1a != null && sessionAttribute1a instanceof String) {
								patientDelegator = JSONFactoryUtil.createJSONObject((String) sessionAttribute1a); 
							}							
						}
						
						if (sessionAttribute2 != null && sessionAttribute2 instanceof String) {
							uProfile = JSONFactoryUtil.createJSONObject((String) sessionAttribute2); 
							session.setAttribute("userProfile",session.getAttribute("userProfile"));
						} else {
							sessionAttribute2 = session.getAttribute("userProfile");
							if (sessionAttribute2 != null && sessionAttribute2 instanceof String) {
								uProfile = JSONFactoryUtil.createJSONObject((String) sessionAttribute2); 
							}							
						}

						if (sessionAttribute2a != null && sessionAttribute2a instanceof String) {
							patient1 =  JSONFactoryUtil.createJSONObject((String) sessionAttribute2a);	// Delegatee in
							session.setAttribute("patient", session.getAttribute("patient"));
						} else {
							sessionAttribute2a = session.getAttribute("patient");
							if (sessionAttribute2a != null && sessionAttribute2a instanceof String) {
								patient1 =  JSONFactoryUtil.createJSONObject((String) sessionAttribute2a); 
							}							
						}
						
						session.setAttribute("LIFERAY_SHARED_userid_delegatee_fullname", uProfile.getJSONObject("name").getString("firstName") + " " + uProfile.getJSONObject("name").getString("lastName"));
						session.setAttribute("LIFERAY_SHARED_userid_delegatee_firstname", uProfile.getJSONObject("name").getString("firstName"));
						System.out.println("************* inside login.jsp  - LIFERAY_SHARED_userid_delegatee_firstname = " + uProfile.getJSONObject("name").getString("firstName") + " " + uProfile.getJSONObject("name").getString("lastName"));			

						if (showDelegateUserText) {
						//if (uProfileDelegator != null && uProfileDelegator.getId() != null) {
										System.out.println("************* inside login.jsp  - SESSION_SCREEN_NAME_DELEGATE = " + uProfileDelegator.getString("userName"));
										session.setAttribute("LIFERAY_SHARED_userid_delegatee", uProfileDelegator.getString("userName"));		

										session.setAttribute("LIFERAY_SHARED_userid", uProfileDelegator.getString("userName"));	
										session.setAttribute("LIFERAY_SHARED_userprofiledto", sessionAttribute1);
										session.setAttribute("LIFERAY_SHARED_userprofiledto_delegator", sessionAttribute2);

										session.setAttribute("LIFERAY_SHARED_userprofileid", new Long(uProfileDelegator.getLong("id")));
										System.out.println("************* inside login.jsp  - SESSION_USERPROFILE_ID_KEY_DELEGATEE = " + new Long(uProfileDelegator.getLong("id")));			
										session.setAttribute("LIFERAY_SHARED_userprofileid_tmp", new Long(uProfile.getLong("id")));

										if (patientDelegator != null) {
											session.setAttribute("LIFERAY_SHARED_patientid", new Long(patientDelegator.getLong("id")));
											session.setAttribute("LIFERAY_SHARED_patienticn", patientDelegator.getString("icn"));
											session.setAttribute("LIFERAY_SHARED_patientdto", sessionAttribute1a);
										}

										if (patient1 != null) {
											session.setAttribute("LIFERAY_SHARED_patientid_tmp", new Long(patient1.getLong("id")));
											session.setAttribute("LIFERAY_SHARED_patienticn_tmp", patient1.getString("icn"));
											session.setAttribute("LIFERAY_SHARED_patientdto_tmp", sessionAttribute2a);
										}
								} else {
									System.out.println("*************inside login.jsp  -  SESSION_SCREEN_NAME_DELEGATE_ELSE = " + uProfile.getString("userName"));	
									session.setAttribute("LIFERAY_SHARED_userid", uProfile.getString("userName"));	
									
									if (uProfile != null && new Long(uProfile.getLong("id")) != null) {
										session.setAttribute("LIFERAY_SHARED_userprofiledto", sessionAttribute2);
										session.setAttribute("LIFERAY_SHARED_userprofileid", new Long(uProfile.getLong("id")));
										session.setAttribute("LIFERAY_SHARED_userid_delegatee_firstname", uProfile.getJSONObject("name").getString("firstName"));

										if (patient1 != null) {
											session.setAttribute("LIFERAY_SHARED_patientid", new Long(patient1.getLong("id")));
											session.setAttribute("LIFERAY_SHARED_patienticn", patient1.getString("icn"));
											session.setAttribute("LIFERAY_SHARED_patientdto", sessionAttribute2a);
										}
									}
								}
					
					}
					
		%>

		<section id="mhv-welcome-bar" class="usa-section">
			<div class="usa-grid">	
				<div id="mhv-welcome-message-span" class="usa-width-one-half">				
							
					<span id="mhv-welcome-user">

						Welcome <%=welcomeName%>
				
						<c:if test="<%=showDelegateUserText%>">
							<span id="mhv-delegate-for-veteran">
								you are logged in on behalf of 
								<%=session.getAttribute("userProfileDelegatorFirstLastNameNew")%>
							</span>
						</c:if>										
				
						(<a href="<%=friendlyUrl%>/my-healthevet-offers-three-account-types#$account_type_lower"><%=accountType%>	

						<c:if test="<%=isPremium%>">
							<img
								src="<%=themeDisplay.getPathThemeImages()%>/account-premium.png"
								class="mhv-login-image" alt="premium account"
								title="You have a Premium Account" />
						</c:if>
					
						<c:if test="<%=isAdvanced%>">
							<img
								src="<%=themeDisplay.getPathThemeImages()%>/account-advanced.png"
								class="mhv-login-image" alt="advanced account"
								title="You have an Advanced Account" />
						</c:if>
					
						<c:if test="<%=isBasic%>">
							<img
								src="<%=themeDisplay.getPathThemeImages()%>/account-basic.png"
								class="mhv-login-image" alt="basic account"
								title="You have a Basic Account" />
						</c:if>
				
						</a>)
			
					</span>

					<br />
			
					<span id="mhv-last-successfull-login">
						Last successful login :
						<fmt:formatDate value="<%=user.getLastLoginDate()%>" pattern="dd MMM yyyy @ HHmm" timeZone="America/New_York"/> ET
					</span>
				
				</div>
				
				<div id="mhv-login-button-span" class="usa-width-one-half">
					<!--  <a href="/c/portal/logout?referer=/dashboard" id="mhv-header-logout-button" class="mhv-logout-span-link" onclick="document.cookie='Token=none;path=/;';mhvToken=undefined;sessionStorage.setItem('mhv_GlobalTCCheck', 'false');"> -->
					<a href="/c/portal/logout?referer=/dashboard" id="mhv-header-logout-button" class="mhv-logout-span-link">
						<i class="fa fa-sign-out"></i>
						Log Out
					</a>
					<c:if test="<%=showSwitchAccountText%>">
						<a href="<%=mhvContext%>/mhv-portal-web/eauth" id="mhv-header-switch-user-button" class="mhv-logout-span-link">
							<span id="switch-user-icon"></span>
							Switch Accounts
						</a>
					</c:if>
				</div>
			</div>
		</section>
					
		<%
			/* Get the Terms and Conditions article by the title... */
			String content2 = StringPool.BLANK;
			try{ 
				String articleName2 = "terms-conditions"; // "Terms Conditions" gets changed to this!
				JournalArticle journalArticle2 = JournalArticleLocalServiceUtil.getArticleByUrlTitle(themeDisplay.getScopeGroupId(), articleName2);
				String articleId2 = journalArticle2.getArticleId();
				JournalArticleDisplay articleDisplay2 = JournalContentUtil.getDisplay(themeDisplay.getScopeGroupId(), articleId2,"", "", themeDisplay);
				content2 = articleDisplay2.getContent();
			} catch (Exception e) {
				content2 = "";
				/* System.out.println("Error finding Terms Conditions article:"+e.toString()); */
			}
		%>
										
		<section id="tcForm" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="tcFormLabel" aria-hidden="true" style="display:none;top:5%;width:95%;margin:0 auto;left:2.5%;">
			<div class="modal-header">
				<!-- <button type="button" role="button" class="close" data-dismiss="modal" aria-hidden="true">x</button> -->
				<h3 id="tcFormLabel">
					<span id="tcTitle" style="display:none;">
						You are Required <span id="tcDate"></span> to Accept the New Terms &amp; Conditions
					</span> 
					<span id="previewTitle" style="display:none; text-align: justify; font-weight: bold;">
						The My HealtheVet Terms and Conditions are changing.  Please review and accept them to continue.
					</span>
				</h3>
			</div>
			<div class="modal-body">
				<%=content2%>
			</div>
			<div class="modal-footer">
				<h4 id="iDeferDescription" style="display:none;">
					If you select Ask Me Later, the system will ask you to accept the new Terms and Conditions 
					the next time you log in to My HealtheVet.  To continue to use My HealtheVet features and 
					receive email notifications and reminders, you will need to accept the new Terms and Conditions.
				</h4> 
				<a href="/mhv-portal-web/documents/25286/25831/BlueButtonUserGuide-OzNR1OlR.pdf/b0e35dbd-f2dc-445d-be0a-2530681d1a67" target="_blank" class="float-right">View and Print PDF version</a>			
				<button id="iAgreeButton" type="button" class="btn float-left" role="button">
					I Accept	
				</button>
				<button id="iDisagreeButton" type="button" class="btn float-left" role="button" style="display:none;">
					I Decline
				</button>
				<button id="iDeferButton" type="button" class="btn float-left" role="button" style="display:none;">
					Ask Me Later
				</button>
			</div>				
		</section>
		
		<script>
		    var mhvToken = '<%=session.getAttribute("APISessionToken")%>';
		    var mhvSession = '<%=session.getId()%>';
		    var tcDialog;
	
		    function showTermsAndConditionsBootstrap(preview, showDate, requiredDateStr) {
	
			    if( preview == 'true' ) {
		        	jQuery("#previewTitle").show();
		        	jQuery("#tcTitle").hide();
				    jQuery("#previewDate").html(requiredDateStr);
				    jQuery("#iDeferButton").show();
				    jQuery("#iDeferDescription").show();
				    jQuery("#iDisagreeButton").hide();
		        } else {
		        	jQuery("#tcTitle").show();
		        	jQuery("#previewTitle").hide();
				    jQuery("#iDisagreeButton").show();
				    jQuery("#iDeferButton").hide();
				    jQuery("#iDeferDescription").hide();
		        }
		    	
		    	jQuery('#tcForm').show();
			    jQuery('#tcForm').focus();
			    jQuery('#tcForm').modal({
	                backdrop: 'static',
	                keyboard: false, 
	                show: true
			    });
	
		        jQuery("#iAgreeButton").click(function(){
			    	jQuery('#tcForm').modal('hide');
			    	agreeLatestTC(true);
			    });
			    
		        jQuery("#iDisagreeButton").click(function(){
			    	jQuery('#tcForm').modal('hide');
			    	agreeLatestTC(false);
			    });
	
		        jQuery("#iDeferButton").click(function(){
			    	jQuery('#tcForm').modal('hide');
			    	closeDialogAgree();
			    });	       
		        
		        jQuery("#tcForm .modal-body a").each(function() {
		        	jQuery(this).replaceWith(jQuery(this).text());
		        });
		    }
	
		    if( sessionStorage.getItem("mhv_Session") == null || sessionStorage.getItem("mhv_Session") != mhvSession ) {
		    	//New session created shared browser
		    	sessionStorage.setItem("mhv_Session", mhvSession);
		    	sessionStorage.setItem("mhv_GlobalTCCheck", "false");
		    }
		    
		    function agreeLatestTC( value )
			{
		       termsURI = '/mhv-portal-web/mhvapi/v1/usermgmt/external/termsconditions/accept/'+value;
		       req = new XMLHttpRequest();
		       req.onload = function() { if( !value ) { closeDialogDisagree(); } else { closeDialogAgree(); }};
		       req.open("POST", termsURI, true);
		       req.responseType = "string";
		       req.setRequestHeader('Token',mhvToken);
		       req.send(null);
			}
		    
		    function hasLatestTC()
			{
		       termsURI = '/mhv-portal-web/mhvapi/v1/usermgmt/external/termsconditions/hasAcceptedLatest?_='+new Date().getTime();
		       req = new XMLHttpRequest();
		       req.onload = function() { showTCDialog( JSON.parse(this.response) ); };
		       req.open("GET", termsURI, true);
		       req.responseType = "string";
		       req.setRequestHeader('Token',mhvToken);
		       req.send(null);
			}
		
		    function showTCDialog(response) {
		    	//Parse the JSON response (acceptedLatest, acceptedRequired)
		    	if( response.required == 'true' ) {
		    		showTermsAndConditionsBootstrap(response.preview, response.showDate, response.requiredDateStr);
		    	} else {
		    		//If T&C already accepted don't check again during this session
		    		sessionStorage.setItem("mhv_GlobalTCCheck", "true");
		    	}
		    }
		    
		    function closeDialogAgree() {
		    	sessionStorage.setItem("mhv_GlobalTCCheck", "true");
		    }
		    
		    function closeDialogDisagree() {
		    	mhvToken=undefined;
		    	sessionStorage.setItem("mhv_GlobalTCCheck", "false");
	            window.location.assign("/mhv-portal-web/c/portal/logout");
	        }	    	    
		    
		    if( sessionStorage.getItem("mhv_GlobalTCCheck") == "false" ) {
		    	hasLatestTC();
		    }
		</script>
	
	</c:when>
	
	<c:otherwise>

		<%
			String redirect = ParamUtil.getString(request, "redirect");
			Boolean isSamlSSO = redirect.contains("/saml/sso");

			String login = LoginUtil
					.getLogin(request, "login", company);
			String password = StringPool.BLANK;
			boolean rememberMe = ParamUtil.getBoolean(request,
					"rememberMe");

			if (Validator.isNull(authType)) {
				authType = company.getAuthType();
			}
		%>

		<portlet:actionURL
			secure="<%=PropsValues.COMPANY_SECURITY_AUTH_REQUIRES_HTTPS
								|| request.isSecure()%>"
			var="loginURL">
			<portlet:param name="struts_action" value="/login/login" />
		</portlet:actionURL>

		<a name="p_58"></a>

		<% 
		    	String contxt      = PropsUtil.get("mhv.context");
		    	String currentUrl  = themeDisplay.getURLCurrent();
		    	String currentPage = currentUrl.substring(currentUrl.lastIndexOf('/') + 1).trim().toLowerCase();
		    	String urlQueryParams = "";
		    	
		    	if (currentPage.indexOf("?") != -1) {
		    		urlQueryParams = currentPage.substring(currentPage.indexOf("?"));
		    		currentPage = currentPage.substring(0,currentPage.indexOf("?"));
		    	}
		    	
		    	boolean isLoginPage = (currentPage.equals("user-login"));  
		    	boolean isRegisterPage = (currentPage.equals("user-registration"));  
		    	
		    	boolean showLoginRegister = (!currentPage.equals("user-login")) && !isSamlSSO;
		%>
		    		    		    		    
		<c:choose>		    
		    	
		   	<c:when test="<%=showLoginRegister%>">

				<section id="mhv-welcome-bar-guest" class="usa-section">
					<div class="usa-grid">	
						<span id="mhv-welcome-message-span" class="usa-width-one-half">
							Login to Manage Your Healthcare
						</span>
						<span id="mhv-login-button-span" class="usa-width-one-half">
							<c:choose>
								<c:when test="<%=isLoginPage%>">
									<a class="btn btn-success usa-button-big" id="mhv-header-login-button" href="<%=friendlyUrl%>/user-registration">Register</a>
								</c:when>
								<c:when test="<%=isRegisterPage%>">
									<a class="btn btn-success usa-button-big" id="mhv-header-login-button" href="<%=friendlyUrl%>/user-login<%=urlQueryParams%>">Login</a>
								</c:when>
								<c:otherwise>
				 					<a class="btn btn-success usa-button-big" id="mhv-header-login-button" href="<%=friendlyUrl%>/user-login<%=urlQueryParams%>">Login or Register</a>
								</c:otherwise>
							</c:choose>
						</span>
					</div>
				</section>
				 
			</c:when>
			    
			<c:otherwise>
			    
			    <%-- 
			    	Anything with the class "show-after-agree" has to remain hidden
			    	until after the Veteran clicks on the "I Agree" button (Unless in the IDP scenario)
			    	UNLESS there are errors submitting the form, which causes the page to
			    	be reloaded and would again just show the agree div if we don't do something.
			    	So the page title has to be above the error messages but the monitoring consent form
			    	has to be shown only if there have been no errors detected/shown to the user.
			    --%>
			    	
				<div class="show-after-agree" style="display:none;">
				
				<section id="mhv-login-forms">
					
					<c:if test="<%=!isSamlSSO%>">						
						
						<h1>Choose Your Login</h1>
					
					</c:if>
				
					<c:set var="errorCount" value="0" scope="page" />
				
					<c:choose>
							
						<c:when test='<%=SessionMessages.contains(request, "userAdded")%>'>
							<%
								String userEmailAddress = (String) SessionMessages
									.get(request, "userAdded");
								String userPassword = (String) SessionMessages
									.get(request, "userAddedPassword");
							%>
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-success">
								<div class="usa-alert-body">
									<h3 class="alert-heading">
										<c:choose>
												<c:when test="<%=company.isStrangersVerify()
														|| Validator.isNull(userPassword)%>">
													<%=LanguageUtil.get(pageContext,
														"thank-you-for-creating-an-account")%>
															<c:if test="<%=company.isStrangersVerify()%>">
														<%=LanguageUtil.format(pageContext,
															"your-email-verification-code-has-been-sent-to-x",
															userEmailAddress)%>
													</c:if>
												</c:when>
												<c:otherwise>
													<%=LanguageUtil.format(pageContext,
															"thank-you-for-creating-an-account.-your-password-is-x",
															userPassword, false)%>
												</c:otherwise>
											</c:choose>
										</h3>
										<p class="usa-alert-text">
											<c:if test="<%=PrefsPropsUtil.getBoolean(
												company.getCompanyId(),
												PropsKeys.ADMIN_EMAIL_USER_ADDED_ENABLED)%>">
												<%=LanguageUtil.format(pageContext,
													"your-password-has-been-sent-to-x",
													userEmailAddress)%>
											</c:if>
										</p>
									</div>
								</div>
							</c:when>
							
							<c:when test='<%=SessionMessages.contains(request, "userPending")%>'>
								<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
								<%
									String userEmailAddress = (String) SessionMessages
										.get(request, "userPending");
								%>
								<div class="usa-alert usa-alert-success">
									 <div class="usa-alert-body">
									 	<h3 class="usa-alert-heading">
											<%=LanguageUtil.format(pageContext,
												"thank-you-for-creating-an-account.-you-will-be-notified-via-email-at-x-when-your-account-has-been-approved",
												userEmailAddress)%>
											</h3>
										<p class="usa-alert-text">&nbsp;</p>
									</div>
								</div>
							</c:when>
							
							<c:when test='<%=SessionMessages.contains(request, "SystemDownException")%>'>
								<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
								<div class="usa-alert usa-alert-error" role="alert">
									<div class="usa-alert-body">
										<h3 class="usa-alert-heading">System is down.</h3>
									 	<p class="usa-alert-text">Please contact your system administrator</p>
									</div>
								</div>
							</c:when>
					
							<c:when test='<%=SessionMessages.contains(request, "UserDeactivatedException")%>'>
								<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
								<div class="usa-alert usa-alert-error" role="alert">
									<div class="usa-alert-body">
										<h3 class="usa-alert-heading">
											Your My HealtheVet 
											account has been deactivated.
										</h3> 
										<p class="usa-alert-text">
											Please call the 
											<a href="<%=contxt%>/contact-mhv">My HealtheVet Help Desk</a>
											at 1-877-327-0022 or 1-800-877-8339 (TTY).
										</p>
									</div>
								</div>
							</c:when>
						
						</c:choose>

						<liferay-ui:error exception="<%=AuthException.class%>">
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-error" role="alert">
								<div class="usa-alert-body">
									<h3 class="usa-alert-heading">
										Please check your information
									</h3>
									<p class="usa-alert-text">
										My HealtheVet did not find any
										account with your My HealtheVet User
										ID and Password.
									</p>
									<p class="usa-alert-text">
										Please contact the <a href="<%=friendlyUrl%>/contact-mhv">My
										HealtheVet Help Desk</a> for assistance.
									</p>
								</div>
							</div>
						</liferay-ui:error>
				
						<liferay-ui:error exception="<%=UserLockoutException.class%>">
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-error" role="alert">
								<div class="usa-alert-body">
									<h3 class="usa-alert-heading">
										Recheck Information
									</h3>
									<p class="usa-alert-text">
										MHV was unable to process this form
									</p>
									<ul class="usa-alert-text">
										<li>
											Your account has been frozen. 
											There have been too many tries to log into your account. 
											For security reasons, your account has been frozen for 30 minutes. You can:
											<ol>
												<li>try again in 30 minutes or</li>
												<li>forgot password <a href="<%=friendlyUrl%>/forgot-user-id?action=new">click here</a> or</li>
												<li>contact our helpdesk for assistance <a href="<%=friendlyUrl%>/contact-mhv">click here</a></li>
											</ol>
										</li>
									</ul>
									<p class="usa-alert-text">
										Please contact the <a href="<%=friendlyUrl%>/contact-mhv">My
										HealtheVet Help Desk</a> for assistance.
									</p>
								</div>
							</div>
						</liferay-ui:error>
				
						<liferay-ui:error exception="<%=PasswordExpiredException.class%>">
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-error" role="alert">
								<div class="usa-alert-body">
									<h3 class="usa-alert-heading">
										Recheck Information
									</h3>
									<p class="usa-alert-text">
										MHV was unable to process this form
									</p>
									<ul class="usa-alert-text">
										<li>The temporary password for this account has expired. Please reset your password. </li>
									</ul>
									<p class="usa-alert-text">>
										Please contact the <a href="<%=friendlyUrl%>/contact-mhv">My
										HealtheVet Help Desk</a> Please correct and resubmit.
									</p>
								</div>
							</div>
						</liferay-ui:error>
				
						<liferay-ui:error exception="<%=UserLockoutException.class%>">
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-error" role="alert">
								<div class="usa-alert-body">
									<h3 class="usa-alert-heading">
										Recheck Information
									</h3>
									<p class="usa-alert-text">
										MHV was unable to process this form
									</p>
									<ul class="usa-alert-text">
										<li>
											Your account has been frozen. 
											There have been too many tries to log into your account. 
											For security reasons, your account has been frozen for 30 minutes. You can:
											<ol>
												<li>try again in 30 minutes or</li>
												<li>forgot password <a href="<%=friendlyUrl%>/forgot-user-id?action=new">click here</a> or</li>
												<li>contact our helpdesk for assistance <a href="<%=friendlyUrl%>/contact-mhv">click here</a></li>
											</ol>
										</li>
									</ul>
									<p class="usa-alert-text">
										Please contact the <a href="<%=friendlyUrl%>/contact-mhv">My
										HealtheVet Help Desk</a> for assistance.
									</p>
								</div>
							</div>
						</liferay-ui:error>
				
						<liferay-ui:error exception="<%=PasswordExpiredException.class%>">
							<c:set var="errorCount" value="${errorCount + 1}" scope="page"/>
							<div class="usa-alert usa-alert-error" role="alert">
								<div class="usa-alert-body">
									<h3 class="usa-alert-heading">
										Recheck Information
									</h3>
									<p class="usa-alert-text">
										MHV was unable to process this form
									</p>
									<ul class="usa-alert-text">
										<li>The temporary password for this account has expired. Please reset your password. </li>
									</ul>
									<p class="usa-alert-text">
										Please contact the <a href="<%=friendlyUrl%>/contact-mhv">My
										HealtheVet Help Desk</a> Please correct and resubmit.
									</p>
								</div>
							</div>
						</liferay-ui:error>

						<aui:form action="<%=loginURL%>"
							autocomplete='<%=PropsValues.COMPANY_SECURITY_LOGIN_FORM_AUTOCOMPLETE ? "on" : "off" %>'
							cssClass="usa-form" method="post" name="fm">
								
							<aui:input name="saveLastPath" type="hidden" value="<%=false%>" />
							
							<aui:input name="redirect" type="hidden" value="<%=redirect%>" />
							
							<aui:input name="doActionAfterLogin" type="hidden"
								value="<%=portletName.equals(PortletKeys.FAST_LOGIN) ? true : false%>" />

							<div id="mhv-login-form" class="usa-section mhv-padding-top-bottom">
								<aui:fieldset>
									
									<legend class="usa-drop_text">
										Sign in to My HealtheVet
									</legend>		
									
									<c:if test="<%=!isSamlSSO%>">						
										<span> or <a href="<%=friendlyUrl%>/user-registration">create an account</a></span>
									</c:if>
													
									<aui:input 
										autoFocus="<%=windowState.equals(LiferayWindowState.EXCLUSIVE)
										|| windowState.equals(WindowState.MAXIMIZED)%>"
										cssClass="clearable" label="My HealtheVet User ID" name="login" id="loginField"
										showRequiredLabel="<%=false%>" type="text" value="<%=login%>">
										<aui:validator name="required" />
									</aui:input>

									<aui:input name="password" label="My HealtheVet Password"
										showRequiredLabel="<%=false%>" type="password" id="passwordField"
										value="<%=password%>">
										<aui:validator name="required" />
									</aui:input>
									<span id="<portlet:namespace />passwordCapsLockSpan"
										style="display: none;"><liferay-ui:message
										key="caps-lock-is-on" /></span>
									<input type="submit" value="Sign in" />
									<p>
										<a href="<%=friendlyUrl%>/forgot-user-id?action=new">Forgot User ID?</a>
									</p><p>
										<a href="<%=friendlyUrl%>/forgot-password?action=new">Forgot Password?</a>
									</p>
						
								</aui:fieldset>
								
							</div>
								
						</aui:form>
												
						<c:if test="<%=!isSamlSSO%>">

							<aui:fieldset>
						
								<legend class="usa-drop_text">
									Or use DS Logon<br />
									Department of Defense Self-Service Logon
								</legend>		
						
								<div id="dslogon-option">
									<input class="btn" type="button"
										onclick="serverLookupAccessVA();"
										value="DS Logon" />																	
								</div>
							
							</aui:fieldset>
					
						</c:if>
					
					</section>
				
				</div>
					
				<c:if test="${ errorCount != 0 }">
					<script>
						jQuery('.show-after-agree').show();
					</script>
				</c:if>
					
				<c:if test="${ errorCount == 0 }">
					
					<section id="mhv-login-warning-banner">
									
						<%
							/* Get the Monitoring Consent Agreement article by the title... */
							String content = StringPool.BLANK;
							try{ 
								String articleName = "monitoring-consent-agreement"; // "Monitoring Consent Agreement" gets changed to this!
								JournalArticle journalArticle = JournalArticleLocalServiceUtil.getArticleByUrlTitle(themeDisplay.getScopeGroupId(), articleName);
								String articleId = journalArticle.getArticleId();
								JournalArticleDisplay articleDisplay = JournalContentUtil.getDisplay(themeDisplay.getScopeGroupId(), articleId,"", "", themeDisplay);
								content = articleDisplay.getContent();
							} catch (Exception e) {
								content = "<!--Exception--><h2>System User Security Notification Statement</h2><p>I understand that I am accessing a US Government (USG), Department of Veterans Affairs computer system.</p><p>I understand that as an authorized user I may only access information to which I have the legal authority to view and use. The VA will monitor activity on this system to protect the system and its information and may use that monitoring information for official administrative or legal purposes.</p><p>I understand that gaining unauthorized access to data, changing data, causing harm to the VA system or its data or misuse of My HealtheVet components is prohibited by law and may result in criminal, civil, or administrative penalties.</p><p>I also understand that VA can suspend or stop my authorized use of this system if VA suspects any misuse attributable to my account has occurred.</p><p>By accessing this system, I hereby acknowledge the above and consent to such monitoring.</p>";
								/* System.out.println("Error finding Monitoring Consent Agreement article:"+e.toString()); */
							}
						%>
									
						<div id="system-use-notification-content">
							<%=content%>
						</div>
									
						<div>
							<strong>
								By clicking on this button, you are agreeing with the statements above.
								<br /> 
								If you do not agree, then you will not be able to proceed because the 
								login options will remain hidden.
							</strong>
						</div>
				
						<div class="control-group">
							<label for="warningAgreeButton">
								<a id="agree-link" href="#mhv-login-forms" class="btn btn-primary btn-agree">I Agree</a>
								<a href="<%=friendlyUrl%>/home" class="btn btn-secondary btn-disagree">I Do Not Agree</a>
							</label>
						</div>
			
					</section>
							
				</c:if>	
					
				<c:if test="<%=isSamlSSO%>">
			    	<script>
			    		jQuery('#mhv-login-warning-banner').hide();
						jQuery('.show-after-agree').show();
					</script>
			    </c:if>				
					
			</c:otherwise>
			
		</c:choose>
		

		<aui:script use="aui-base">
			var password = A.one('#<portlet:namespace />password');
 
            if (password) {
            	password.on(
                	'keypress',
                    function(event) {
                    	Liferay.Util.showCapsLock(event, '<portlet:namespace />passwordCapsLockSpan');
                    }
                );
        	}
  		</aui:script>
  		
  		<script>
 
	  		function serverLookupAccessVA() {
				var serverName = location.hostname;
				
				if(serverName == "PW      .myhealth.DNS   ") {
					window.location.href="https://webct2.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://webct2.dmdc.osd.mil/opensso/SAMLAwareServlet?TARGET=https://int.eauth.DNS   /mhv-portal-web/eauth";
				} else if (serverName == "mhv-syst.myhealth.DNS   ") {
					window.location.href="https://webct2.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://webct2.dmdc.osd.mil/opensso/SAMLAwareServlet?TARGET=https://DNS       .DNS   :PORT/mhv-portal-web/eauth";
				} else if (serverName == "www-ppd.myhealth.DNS   ") {
					window.location.href="https://webct2.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://webct2.dmdc.osd.mil/opensso/SAMLAwareServlet?TARGET=https://sqa.eauth.DNS   :PORT/mhv-portal-web/eauth";
				} else if (serverName == "www.myhealth.DNS   ") {
					window.location.href="https://myaccess.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://myaccess.dmdc.osd.mil/opensso/SAMLAwareServlet%3FTARGET=https://eauth.DNS   /mhv-portal-web/eauth";
				} else if (serverName == "myhealth.DNS   ") {
					window.location.href="https://myaccess.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://myaccess.dmdc.osd.mil/opensso/SAMLAwareServlet%3FTARGET=https://eauth.DNS   /mhv-portal-web/eauth";
				} else if (serverName == "mhv.myhealth.DNS   ") {
					window.location.href="https://myaccess.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://myaccess.dmdc.osd.mil/opensso/SAMLAwareServlet%3FTARGET=https://eauth.DNS   /mhv-portal-web/eauth"; 
				} else if (serverName == "127.0.0.1" || serverName == "localhost") {
					window.location.href="https://webct2.dmdc.osd.mil/identitymanagement/authenticate.do?gotoUrl=https://webct2.dmdc.osd.mil/opensso/SAMLAwareServlet?TARGET=https://int.eauth.DNS   /mhv-portal-web/eauth";
				}				
			}
	  		
		</script>

	</c:otherwise>
</c:choose>

<script>

	function resizeTcFormModal() {	 
		if (jQuery('#tcForm').hasClass('in')) {	
			var windowHeight = jQuery(window).height();
			var modalHeight  = windowHeight * 0.75;
			var headerHeight = jQuery('#tcForm .modal-header').height();
			var footerHeight = jQuery('#tcForm .modal-footer').height();
			var bodyHeight   = modalHeight - (headerHeight + footerHeight);
			jQuery('#tcForm .modal-body').css('max-height', bodyHeight + "px");
			if (jQuery("#iDeferDescription").is(":visible")) {
				modalHeight  = headerHeight + bodyHeight + footerHeight;
				jQuery('#tcForm').css('max-height', modalHeight + "px");
			}
		}
	}
	
	function runWhenLoginJQueryIsLoaded() {
		
		var jquery_loaded = window.jQuery;
		
		if ( jquery_loaded  ) {

			/* resize tcForm modal body when first shown */
		   	jQuery('#tcForm').on('shown', function () {
	            resizeTcFormModal();
	        })
	        
		    /* resize tcForm modal body on every resize of the window */
		    jQuery(window).resize(resizeTcFormModal);

			jQuery('.btn-agree').click(function() {
				jQuery('#mhv-login-warning-banner').hide();
				jQuery('.show-after-agree').show();
			});	
					
		} else {		
			setTimeout(runWhenLoginJQueryIsLoaded, 50);
		}
	}
	
	runWhenLoginJQueryIsLoaded();

</script>
			