/**
 * 
 */
package gov.va.med.mhv.rxrefill.service;

import java.sql.Timestamp;
import java.util.Date;
import java.util.List;

import gov.va.med.mhv.common.api.util.ResponseUtil;
import gov.va.med.mhv.common.data.model.Patient;
import gov.va.med.mhv.rxrefill.data.model.Institution;
import gov.va.med.mhv.rxrefill.data.model.Prescription;
import gov.va.med.mhv.rxrefill.data.model.Request;

/**
 * @author vhaislegberb
 *
 */
public interface ExtractRequestCreator {

	Request createExtractRequest(Patient patient, Institution institution, Date createdDate, Date cutOffDate,
			int function) ;

	Request createRefillRequest(Timestamp now, List<Prescription> prescriptions);

	List<Request> multipleExtractRequests(Patient patient, int function, ResponseUtil response);

}
