/**
 * 
 */
package gov.va.med.mhv.rxrefill.service;

import java.util.List;

import gov.va.med.mhv.rxrefill.data.model.PharmacyPatient;
import gov.va.med.mhv.rxrefill.data.model.Prescription;
import gov.va.med.mhv.rxrefill.service.impl.util.PatientChanges;

/**
 * @author vhaislegberb
 *
 */
public interface PatientChangeProcessor {

	PatientChanges processPatientChanges(PharmacyPatient pharmacyPatient);

	void postProcessPatientChanges(long userId, PatientChanges patientChanges, List<Prescription> allPrescriptions);

}
