/**
 * 
 */
package gov.va.med.mhv.rxrefill.service;

import java.util.List;

import gov.va.med.mhv.rxrefill.data.model.Prescription;
import gov.va.med.mhv.rxrefill.data.model.Request;
import gov.va.med.mhv.rxrefill.data.model.RequestAttempt;

/**
 * @author vhaislegberb
 *
 */
public interface PrescriptionRefreshResponseProcessor {

	List<Prescription> processResponse(Request request, RequestAttempt attempt, List<Prescription> prescriptions);

	void processBadResponse(Request request, RequestAttempt attempt, String description);

}
