package gov.va.med.mhv.usermgmt.batch.listener;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.batch.core.ChunkListener;
import org.springframework.batch.core.scope.context.ChunkContext;
import org.springframework.stereotype.Component;

@Component
public class MviDowngradeChunkListener implements ChunkListener {
	private static final Logger logger = LogManager.getLogger(MviDowngradeChunkListener.class);

	@Override
	public void afterChunk(ChunkContext chunkContext) {
		logger.debug("afterChunk " + chunkContext);
	}

	@Override
	public void afterChunkError(ChunkContext chunkContext) {
		logger.debug("afterChunkError " + chunkContext);
	}

	@Override
	public void beforeChunk(ChunkContext chunkContext) {
		logger.debug("beforeChunk " + chunkContext);
	}
	
}
