<%@include file="header-tlscheck.jspf"%>
<%@ page import="java.io.*, java.util.*"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.List"%>

<div id="new-3articleContainer" class="contentCell">
	<form id="myform" action="/mhv-portal-web/gatewaylogin"  method="POST">
		
	<%
		session.setAttribute("fccxLogin", "true");
		session.setAttribute("FCCX", "true");
		
		boolean displayUpdateButton = "true".equalsIgnoreCase((String)session.getAttribute("displayUpdateButton"));
		String correctUsername = (String)session.getAttribute("username");
		if ( correctUsername == null ) {
			System.out.println("!!!!!!!!!!!!!!   reauth.jsp:  getting 'correctUsername' from session");
			correctUsername = (String)session.getAttribute("correctUsername");
		}
		System.out.println("!!!!!!!!!!!!!!   reauth.jsp:  displayUpdateButton = " + displayUpdateButton);
		System.out.println("!!!!!!!!!!!!!!   reauth.jsp:  correctUsername     = " + correctUsername);
		System.out.println("session id in jsp:" + session.getId());
	%>
		<input type="hidden" name="displayUpdateButton" value="<%=displayUpdateButton%>"/>
		<input type="hidden" name="correctUsername" value="<%=correctUsername%>"/>
	<%
		String displayError = (String)session.getAttribute("displayError");
		
		if("invalidLoginInfo".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">Please check your information</span>
						<p>Enter both your My HealtheVet User ID and your Password.</p>
						<p>Please contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> if you need assistance.</p>
					</span>
				</div>
			</div>
	<%
		}
		if("usernameNotMatched".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">Please check your information</span>
						<p>The User ID and Password you entered does not match your account.</p>
						<p>Please contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> if you need assistance.</p>
					</span>
				</div>
			</div>
	<%
		}
		if("usernameNotFound".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">Please check your information</span>
						<p>My HealtheVet did not find an account with your My HealtheVet User ID and Password.</p>
						<p>Please contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> if you need assistance.</p>
					</span>
				</div>
			</div>
	<%
		}
		if("invalidPword".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">Please check your information</span>
						<p>My HealtheVet did not find a match with the Password you used </p>
						<ul>
							<li>If you cannot recall your password go to <a href="/web/myhealthevet/forgot-password?action=new" target="_mhvHelp">Forgot Password</a> and follow the prompts</li>
							<li>Or you can contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> for assistance</li>
						</ul>
					</span>
				</div>
			</div>
	<%
		}
		if("formSubmissionError".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">We are showing you have more than one My HealtheVet Account</span>
						<p>Please contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> to have your account information confirmed</p>
					</span>
				</div>
			</div>
	<%
		}
		if("deactivatedAccount".equalsIgnoreCase(displayError)) {
	%>
			<div id="mhv-error-box">
				<img src="<%=request.getContextPath()%>/resources/img/icon_error-critical.gif" alt="Alert" title="Alert" class="mhv-error-icon"/>
				<div id="mhv-error-message-critical">
					<span id="errorMsgSpan" style="cursor:default; text-decoration: none; color: black;">
						<span class="mhv-error-message-header">Please check your information</span>
						<p>There appears to be a problem with your account. You may register for a new account.</p>
						<p>Please contact the <a href="/web/myhealthevet/contact-mhv" target="_mhvHelp">My HealtheVet Help Desk</a> for assistance</p>
					</span>
				</div>
			</div>
	<%
		}
			
		if ("true".equalsIgnoreCase((String)session.getAttribute("useExistingSSO")) || !displayUpdateButton) {
	
	%>
		<p>Welcome!</p>
		<p>Before you continue to our website, we ask that you do the following. Please enter your My HealtheVet Account information.  This is used to verify and protect your personal information that you have on My HealtheVet. You only need to do this one time.</p>
		<p style="padding-left: 17px;">
			My HealtheVet User ID <input type="text" name="username"><br/>
			My HealtheVet Password <input type="password" name="password" autocomplete="off" ><br/>
			
			<a href="/web/myhealthevet/forgot-user-id?action=new" target="_mhvHelp">Forgot User ID?</a><br/>
			<a href="/web/myhealthevet/forgot-password?action=new" target="_mhvHelp">Forgot Password?</a><br/>
		</p>
		
		<p>After you enter your account information, you can select the CONTINUE button.  This will take you to the My HealtheVet Homepage logged in.   If you select the CANCEL button, it will return you to the previous page.</p>
		<div align="center">
			<input type="submit" name="mysubmit" value="CONTINUE" class="mhv-input-button"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="gatewayLogin?cancel=true" class="mhv-input-button">CANCEL</a>
		</div>
	<%
		}
		else {
	%>
		<img class="connect-page-img" src="<%=request.getContextPath()%>/resources/img/mhvaccessva-welcome.png" height="192" width="574" alt="Welcome to My HealtheVet" /> 
		<br>
		<br>
		<h2>Not a My HealtheVet member?</h2>
		<p>Select the Register button below to create a My HealtheVet account.</p>
		<p style="padding-left: 17px;"><input class="mhv-input-button" type="button" onclick="window.location='/web/myhealthevet/user-registration'" value="Register" /></p>
		<hr />
		
		<h2>Already a My HealtheVet member?</h2>
		<p style="padding-left: 17px;">
	  		Enter your My HealtheVet User ID <input type="text" name="username"><br/>
	 		 <a href="/web/myhealthevet/forgot-user-id?action=new" target="_mhvHelp">Forgot User ID?</a><br/>
		</p> 
		
		<p style="padding-left: 17px;">
	  		Enter your My HealtheVet Password <input type="password" name="password" autocomplete="off"><br/>
	  		<a href="/web/myhealthevet/forgot-password?action=new" target="_mhvHelp">Forgot Password?</a><br/>
		</p>
		
		<p style="padding-left: 17px;">
	  		<input type="submit" name="mysubmit" value="CONTINUE" class="mhv-input-button"/>
		</p>
		
		<hr />
		
		<h2>Not interested in registering or logging in at this time?</h2>
		<p style="padding-left: 17px;">
			<a href="/web/myhealthevet/home" class="mhv-input-button">Cancel</a>
		</p>
	<%
		}
	%>
		
	</form>
</div>

<%@include file="footer.jspf"%>
