<%@page import="java.util.Properties,gov.va.med.mhv.foundation.util.ConfigurationManager"%>
<%
Properties smRelationsPROPS;
String smRelationsFileName = "sm-relations.properties";
String clinicDaysBefore    = "60";
String clinicDaysAfter     = "240";
String hoursToCache        = "0";
Properties smRelationsConfigFile = ConfigurationManager.getConfiguration("/" + smRelationsFileName);
if( smRelationsConfigFile != null ) {
  smRelationsPROPS = smRelationsConfigFile;
} else {
  smRelationsPROPS = new Properties();
}
try{clinicDaysBefore=smRelationsPROPS.getProperty("clinicDaysBefore");}catch(Exception e){clinicDaysBefore="60";}
try{clinicDaysAfter =smRelationsPROPS.getProperty("clinicDaysAfter");}catch(Exception e){clinicDaysAfter="240";}
try{hoursToCache    = smRelationsPROPS.getProperty("hoursToCache");}catch(Exception e){hoursToCache="0";}
%>

<!--
clinicDaysBefore=<%=clinicDaysBefore %>
clinicDaysAfter =<%=clinicDaysAfter  %>
hoursToCache    =<%=hoursToCache     %>
-->

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="grayTable">
	<tr><td valign="top" align="left"><p><strong>PCMM Primary Providers</strong><br />Patients with the following PCMM Primary Providers:
	<!-- DISPLAY DOCTOR NAMES HERE --><br /><em>
	<s:iterator value="primaryProviderRelations" status="status">
		<s:property value="name"/><s:if test="!#status.last">, </s:if>
	</s:iterator>
	</em></p></td>
		<td valign="middle" align="left" width="20%">
		<s:if test="%{primaryProviderRelations.size == 0}">
			<input type="submit" class="blueSubmitBtn" title="Define Relationship"  alt="Select" border="0" name="addProviderRelation" value="Define Relationship" style="margin:0px;"/>
		</s:if>
		<s:else>
			<input type="submit" class="blueSubmitBtn" title="Edit Relationship" alt="Select" border="0" name="addProviderRelation" value="Edit Relationship" style="margin:0px;"/>
		</s:else></td></tr>
	<tr><td valign="top" align="left"><p><strong>Clinics</strong><br />Patients with appointments scheduled between <esapi:encodeForHTML><%=clinicDaysBefore%></esapi:encodeForHTML> days before and <esapi:encodeForHTML><%=clinicDaysAfter%></esapi:encodeForHTML> days after todays date, at the following Clinics:
	<!-- DISPLAY FACILITY NAMES HERE --><br /><em>
	<s:iterator value="clinicRelations" status="status">
		<s:property value="name"/><s:if test="!#status.last">, </s:if>
	</s:iterator>
	</em></p></td>
		<td valign="middle" align="left" width="20%">
		<s:if test="%{clinicRelations.size == 0}">
			<input type="submit" class="blueSubmitBtn" title="Define Relationship" alt="Select" border="0" name="addClinicRelation" value="Define Relationship" style="margin:0px;"/>
		</s:if>
		<s:else>
			<input type="submit" class="blueSubmitBtn" title="Edit Relationship" alt="Select" border="0" name="addClinicRelation" value="Edit Relationship" style="margin:0px;"/>
		</s:else></td></tr>
	<tr><td valign="top" align="left"><p><strong>OE/RR Teams</strong><br />Patients who are members of the following OE/RR Teams:
	<!-- DISPLAY OE/RR TEAM NAMES HERE --><br /><em>
	<s:iterator value="teamRelations" status="status">
		<s:property value="name"/><s:if test="!#status.last">, </s:if>
	</s:iterator>
		</em></p></td>
		<td valign="middle" align="left" width="20%">
		<s:if test="%{teamRelations.size == 0}">
			<input type="submit" class="blueSubmitBtn" title="Define Relationship" alt="Select" border="0" name="addTeamRelation" value="Define Relationship" style="margin:0px;"/>
		</s:if>
		<s:else>
			<input type="submit" class="blueSubmitBtn" title="Edit Relationship" alt="Select" border="0" name="addTeamRelation" value="Edit Relationship" style="margin:0px;"/>
		</s:else></td></tr>
		
	<tr><td valign="top" align="left"><p><strong>Patients</strong><br />Add Patients manually:
	<!-- DISPLAY PATIENT NAMES HERE --><br /><em>
	<s:iterator value="patientRelations" status="status">
		<s:property value="name"/><s:if test="!#status.last">, </s:if>
	</s:iterator>
		</em></p></td>
		<td valign="middle" align="left" width="20%">   
		<s:if test="%{patientRelations.size == 0}">
			<input type="submit" class="blueSubmitBtn" title="Define Relationship" alt="Select" border="0" name="addPatientRelation" value="Define Relationship" style="margin:0px;"/>
		</s:if>
		<s:else>
			<input type="submit" class="blueSubmitBtn" title="Edit Relationship" alt="Select" border="0" name="addPatientRelation" value="Edit Relationship" style="margin:0px;"/>
		</s:else></td></tr>
	
	<tr><td valign="top" align="left"><p><strong>Blocked Patients</strong><br />
		<br />
		List of patients blocked from this Triage Group:<br />
		<em>
			<s:iterator value="blockedTGPatientsList" status="status">
				<s:property/><s:if test="!#status.last">, </s:if>
			</s:iterator>
		</em>
		<br />
		<br />
		List of patients blocked from this Facility:<br />
		<em>
			<s:iterator value="blockedFacilityPatientsList" status="status">
				<s:property/><s:if test="!#status.last">, </s:if>
			</s:iterator>
		</em>		
		</p>
		</td>
		<td valign="middle" align="left" width="20%">&nbsp;&nbsp;</td>
	</tr>
		
</table>
