<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<%@  page  session="true" 
	import="java.util.List"
	import="gov.va.med.mhv.sm.web.util.ClinicianVO"
	import="org.owasp.esapi.*"	
%>
<s:form id="manageUserInfoForm_selectClinician" 
	name="manageUserInfoForm_selectClinician"
	action="manageUserInfo_selectClinician" method="post">
	
	<p>
		<jsp:include page="selectedFacilityPane.jsp"></jsp:include>
	</p>
<%
    List<ClinicianVO> cliniciansList = (List<ClinicianVO>) request.getSession().getAttribute("cliniciansWithProviderList") ;
	if(cliniciansList!=null && cliniciansList.size()==0){
%>	
		<p>
			No providers or staff members were found for this facility.
			Please contact our helpdesk (when this is an unexpected error)
			or select a different facility. 
		</p>
	
	<%}else{%>
		<h4>Select providers and staff to modify:</h4>
		<select name="clinicianId" size="10" id="clinicianId">
			<%
				for(int i=0;i<cliniciansList.size();i++)
				{
					ClinicianVO clinicianVO = (ClinicianVO)cliniciansList.get(i);
					%>
					  <option value="<%=clinicianVO.getClinicianId()%>"><esapi:encodeForHTML><%=clinicianVO.getClincianFullName()%></esapi:encodeForHTML></option>
				<%}%>
			<s:submit id="select" name="doSelect" cssClass="blueSubmitBtn" 
				value="Select" />
			<s:submit id="cancel" name="doCancel" cssClass="blueSubmitBtn" 
			value="Cancel" />
	<%}%>
</s:form>
