<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<%@ page session="true"
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.model.Folder"
	import="gov.va.med.mhv.sm.model.Addressee"
	import="gov.va.med.mhv.sm.model.MessagesPage"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="gov.va.med.mhv.sm.web.util.HtmlHelper"
	import="gov.va.med.mhv.sm.web.actions.ViewStaffMessages"
	import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum"
   	import="org.apache.commons.lang.StringEscapeUtils"	
%>
<%
	Message msg = (Message)request.getAttribute(ViewStaffMessages.CURRENT_MESSAGE); 
	String sentDate = DateUtils.getEnglishDateTime(msg.getSentDate());
	Folder currentFolder = (Folder)request.getAttribute(ViewStaffMessages.CURRENT_FOLDER);	
	MessagesPage messages = currentFolder.getMessages();	
	boolean hasPrev = false;
	boolean hasNext = false;
	int count = currentFolder.getCount();
	int msgLastIndex = 0;
%>

<%	try{
		msgLastIndex = (count%(messages.getPageSize())) - 1;
		Addressee a;
		if(messages.hasNextPage()){
			hasNext = true;
		}else{
	  		a = messages.getElements().get(msgLastIndex);
	  		if((msg.getId()).equals(a.getMessage().getId())){
			  hasNext = false;
			}else{
			  hasNext = true;
			}
	  	
		}
		if(messages.hasPreviousPage()){
			hasPrev = true;
		}else{
	  		a = messages.getElements().get(0);
	  		if((msg.getId()).equals(a.getMessage().getId())){
			  hasPrev = false;
			}else{
			  hasPrev = true;
			}	  	
		}		
	
	}catch(Exception e){}
%>

<%	String pipe = "";
	if(hasPrev && hasNext){
	  pipe = "|";
	}
%>
				<tr><td valign="top" align="left">
				<table cellpadding="0" cellspacing="0" border="0" class="sm_addressMessage">
					<tr><th scope="row" width="100">Sent:</th>
						<td align="left"><%=sentDate%></td></tr>
					<tr><th scope="row">From:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getSenderName()%></esapi:encodeForHTML>  
						<% 
								 if(msg.getSenderType().equals(ParticipantTypeEnum.PATIENT)){	
							    	  out.println(HtmlHelper.getPatientLastFourSSN(session,msg.getSenderId()));
							}
						%>
						</td></tr>
					<tr><th scope="row">To:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getRecipientName()%></esapi:encodeForHTML></td></tr>
					<tr><th scope="row">Message ID#:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getId()%></esapi:encodeForHTML></td></tr>
					<tr><th scope="row">Subject:</th>
						<td align="left"><esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(msg.getThread().getSubject())%></esapi:encodeForHTML></td></tr>
				</table></td></tr>