<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<%@ page 
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.model.Annotation"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="java.util.Collections"
	import="java.util.List"
	import="gov.va.med.mhv.sm.web.actions.ViewStaffMessages"
%>
<%
  Message currentMessage = (Message)request.getAttribute(ViewStaffMessages.CURRENT_MESSAGE);
  List<Annotation> l = currentMessage.getThread().getAnnotations();
  Collections.sort(l, ViewStaffMessages.ANNOTATION_SORTER);
%>

<hr size="1" />
<table width="200" cellpadding="0" cellspacing="5" border="0" class="sm_commentsTable">

  <tr>
    <td>
      <h5>Previous Comments(<esapi:encodeForHTML><%=l.size()%></esapi:encodeForHTML>):</h5>
    </td>
  </tr>

<% 
  for(Annotation a : l){  
  
%>
  <tr>
    <td class="commentCell" width="230">
      <%=DateUtils.getEnglishDateTime(a.getCreatedDate())%><br>
      <esapi:encodeForHTML><%=a.getAuthor().getName() %></esapi:encodeForHTML><br>
      <pre><esapi:encodeForHTML><%=a.getAnnotation() %></esapi:encodeForHTML></pre>
    </td>
  </tr>
<%
  } 
%>
  
</table>

