<%@page import="java.util.*"%>
<%@page import="gov.va.med.mhv.sm.web.form.LookupVO"%>
<%@page import="gov.va.med.mhv.sm.model.TriageGroup"%>
<%@page import="gov.va.med.mhv.sm.web.form.LookupParam"%>
<link rel="stylesheet" media="all" href="css/sms_styles_reports.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />

<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<form name="lookupParamsForm" action="lookup.action" method="post">

<% 
	LookupVO lookupResults = (LookupVO)session.getAttribute("lookupResults");
	LookupParam lookupParam = (LookupParam)session.getAttribute("lookupParameters");
	
%>

<%if (request.getParameter("printerFriendly") != null) { %>
	<script type=text/javascript>
	 function printFunction() {
		if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
			alert("Please use the File -> Print menu option from your browser's tool bar.")
		} else {
			window.print();
		}
	 }
	  
	 function closeWindow() {
		window.open('','_self','');
		window.close();
	 } 
	</script>
	<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks"><a href="javascript:printFunction()" class="sm_input_button">Print</a>
           <a href="javascript:closeWindow()" class="sm_input_button">Done</a></p>
    </div>
<%} %>
	<span>This report was generated on <esapi:encodeForHTML><%=lookupResults.getFormattedRunDate()%></esapi:encodeForHTML></span>
	<hr />
	<span>
	<b>Report Parameters:</b>&nbsp;&nbsp;
	<%if(session.getAttribute("userType").equals("PATIENT")){ %>
		<strong>Type:</strong>Search by Patient,
 	<%}else{%>
		<strong>Type:</strong>Search by Staff,
	<%} %>
	<strong>Last Name:</strong><esapi:encodeForHTML><%=lookupResults.getLastName()%></esapi:encodeForHTML>,
	<strong>First Name:</strong><esapi:encodeForHTML><%=lookupResults.getFirstName()%></esapi:encodeForHTML>, 
	<strong>Middle Name:</strong><esapi:encodeForHTML><%=lookupResults.getMiddleName()%></esapi:encodeForHTML>,
	<%if(session.getAttribute("userType").equals("PATIENT")){ %>
	 	<strong>Nssn:</strong><esapi:encodeForHTML><%=lookupResults.getNssn()%></esapi:encodeForHTML>,
	 	<strong>Month and Day of Birth:</strong> <esapi:encodeForHTML><%=lookupResults.getDateMonthOnly()%></esapi:encodeForHTML>
	 	</br>
	 	<strong>Last MHV Login:</strong> <%if(lookupResults.getPatientMHVLastLogin()!=""){ out.print(lookupResults.getPatientMHVLastLogin());%> ET<%}%></br>
	 	<strong>Last SM Login:</strong> <%if(lookupResults.getPatientSMLastLogin()!=""){ out.print(lookupResults.getPatientSMLastLogin());%> ET<%}%>
	<%}else{%>
		<strong>Clinical User Type:</strong><esapi:encodeForHTML><%=lookupResults.getUserType()%></esapi:encodeForHTML>
	<%}%>
	</span>
	<hr />	
<%
	List<TriageGroup> teamList = lookupResults.getTriageTeamList();
	if(teamList.size()==0){
%>
<p> No Results found.
<%}else{ %>

<TABLE border=1 class="sm_reports">
	<TR><TH NOWRAP>VISN</TH><TH NOWRAP>FACILITY</TH><TH NOWRAP>TEAM NAME</TH>
	<%if(session.getAttribute("userType").equals("PATIENT")){ %>
		<TH NOWRAP>STATUS</TH>
	<%}%>
	</TR>
	<%

	for(TriageGroup team:teamList){
	%>
	<TR>
		<TD class="labeldata"><esapi:encodeForHTML><%=lookupResults.getVisnName()%></esapi:encodeForHTML></TD>
		<TD class="labeldata"><esapi:encodeForHTML><%=lookupResults.getFacilityName()%></esapi:encodeForHTML></TD>
		<TD class="labeldata"><esapi:encodeForHTML><%=team.getName()%></esapi:encodeForHTML></TD>
		<%if(session.getAttribute("userType").equals("PATIENT")){
			if(lookupResults.isPatientBlockedFacility()){
			%>
				<TD class="labeldata">Blocked</TD>
			<%}
			else if(lookupResults.getPatientBlockedTeamList().contains(team.getId()))
			{
			%>
			<TD class="labeldata">Blocked</TD>
			<%}else{%>
			<TD class="labeldata">&nbsp;</TD>
			<%}
			
			
		}%>	
	</TR>
	<%}%>
</table>
<%}%>
</form>