<%@ page language="java" contentType="text/html;charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 

<%@page import="gov.va.med.mhv.sm.util.ContactUsUtil"%>
<div id="mhv-conditional-box-important"><p><esapi:encodeForHTML><%=ContactUsUtil.getContactUsMessage()%></esapi:encodeForHTML></p></div>
<p><span class="required">*</span> Indicates Required Information</p>
<s:actionerror cssStyle="color: red;"/>
<s:form action="contactUs" id="contactUsForm" name="contactUsForm" method="post">
<table width="100%">
	<tr>
		<td><s:label for="firstName"><strong>First Name:</strong> <span class="required">*</span></s:label><br /><s:textfield id="firstName" name="firstName" value="%{contactUs.firstName}" size="50" maxlength="50"></s:textfield></td>
		<td><s:label for="middleName"><strong>MI:</strong></s:label><br /><s:textfield id="middleName" name="middleName" size="1" maxlength="1" value="%{contactUs.middleName}"></s:textfield></td>
		<td><s:label for="lastName"><strong>Last Name:</strong> <span class="required">*</span></s:label><br /><s:textfield id="lastName" name="lastName" value="%{contactUs.lastName}" maxlength="50" size="50"></s:textfield></td>
	</tr>
	<tr>
		<td><s:label for="emailAddress"><strong>Email Address:</strong> [<span class="required">*</span> either email address or phone number is required]</s:label><br /><s:textfield id="emailAddress" name="emailAddress" value="%{contactUs.emailAddress}" maxlength="100" size="50"></s:textfield></td>
		<td>&nbsp;</td>
		<td><s:label for="phoneNumber"><strong>Phone Number:</strong> [<span class="required">*</span> either email address or phone number is required]</s:label><br /><s:textfield id="phoneNumber" name="phoneNumber" value="%{contactUs.phoneNumber}" size="50" maxlength="50"></s:textfield></td>
	</tr>
	<tr>
		<td><s:label for="subject"><strong>Subject of this contact:</strong> <span class="required">*</span></s:label><br />
		<s:select id="subject" name="subject" value="%{contactUs.subject}" list="%{standardSubjects}" onchange="javascript: disableOther()"></s:select>
		</td>
		<td>&nbsp;</td>
		<td><s:label for="other"><strong>If Other, please explain:</strong></s:label><br /><s:textfield id="other" name="other" value="%{otherSubject}" maxlength="100" size="50" disabled="true"></s:textfield></td>
	</tr>
	<tr>
		<td colspan="3"><s:label for="comments"><strong>Comments:</strong> <span class="required">*</span></s:label><br /><s:textarea id="comments" name="comments" value="%{contactUs.comments}" labelposition="top" rows="5" cssStyle="width: 400px;"></s:textarea></td>
	</tr>
	<tr>
		<td colspan="3">
			<input id="submit" class="sm_input_button" value="Submit" type="submit" name="submit" title="Submit"/>
			<s:reset cssClass="sm_input_button" title="Reset" onclick="javascript: disableOtherUnconditional()"></s:reset>
			<input id="cancel" class="sm_input_button" value="Cancel" type="submit" name="cancel" title="Cancel"/>
		</td>
	</tr>
</table>
</s:form>

