package gov.va.med.mhv.sm.api.transfer;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

import org.codehaus.jackson.annotate.JsonIgnore;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;
import org.codehaus.jackson.map.annotate.JsonSerialize;


@XmlRootElement(name = "Notification")
@JsonIgnoreProperties
@JsonSerialize(include= JsonSerialize.Inclusion.NON_NULL)
public class NotificationStatusTO implements Serializable{

	private static final long serialVersionUID = -6202045292461159342L;

	
	public String emailAddress;
	

	public String notifyMe;
	

	public String signatureName;
	
	public Boolean includeSignature; 

	public String signatureTitle;

	
	
	public NotificationStatusTO() {
		super();
	}

	public String getEmailAddress() {
		return emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		this.emailAddress = emailAddress;
	}

	public String getNotifyMe() {
		return notifyMe;
	}

	public void setNotifyMe(String notifyMe) {
		this.notifyMe = notifyMe;
	}

	public String getSignatureName() {
		return signatureName;
	}

	public void setSignatureName(String signatureName) {
		this.signatureName = signatureName;
	}

	public String getSignatureTitle() {
		return signatureTitle;
	}

	public void setSignatureTitle(String signatureTitle) {
		this.signatureTitle = signatureTitle;
	}

	public Boolean getIncludeSignature() {
		return includeSignature;
	}

	public void setIncludeSignature(Boolean includeSignature) {
		this.includeSignature = includeSignature;
	}
	
}
