package gov.va.med.mhv.sm.wsclient.adminqueriessvc;

public class AdminQueriesSoapProxy extends gov.va.med.mhv.sm.wsclient.GenericSoapProxy<AdminQueriesSoap_PortType> implements AdminQueriesSoap_PortType {

	protected AdminQueriesSoap_PortType initSoapProxy() throws javax.xml.rpc.ServiceException {
		AdminQueriesLocator locator = new AdminQueriesLocator();
		return locator.getAdminQueriesSoap();
	}

    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.ClinicLookupResponse getClinicsByName(java.lang.String name, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getClinicsByName(name, station);
	}

    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.SMClinicLookupResponse getClinicsByNameStopCode(java.lang.String name, java.lang.String station, java.lang.String secondStopCode) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getClinicsByNameStopCode(name,station, secondStopCode);
	}
    
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.SMTIUTitleLookupResponse getCPRSTIUTitles(java.lang.String station, java.lang.String documentClass) throws java.rmi.RemoteException {
    	if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getCPRSTIUTitles(station, documentClass);
    }
    
    
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.ClinicPatientsResponse getPatientsByClinicAndDate(java.lang.String IEN, java.util.Date beginDate, java.util.Date endDate, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getPatientsByClinicAndDate(IEN, beginDate, endDate, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.PCMMProviderPatientsResponse getPatientsByProvider(java.lang.String IEN, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getPatientsByProvider(IEN, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.TeamPatientsResponse getPatientsByTeam(java.lang.String IEN, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getPatientsByTeam(IEN, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.ProviderLookupResponse getProvidersByNameAndDUZ(java.lang.String lastName, java.lang.String firstName, java.lang.String DUZ, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getProvidersByNameAndDUZ(lastName, firstName, DUZ, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.PatientRelationshipsResponse getRelationshipsByPatientAndDt(java.lang.String ICN, java.util.Date beginDate, java.util.Date endDate, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getRelationshipsByPatientAndDt(ICN, beginDate, endDate, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.TeamLookupResponse getTeamsByName(java.lang.String name, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getTeamsByName(name, station);
	}
	
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.UserLookupResponse getUserByNameAndDUZ(java.lang.String lastName, java.lang.String firstName, java.lang.String DUZ, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getUserByNameAndDUZ(lastName, firstName, DUZ, station);
	}
    
    public gov.va.med.mhv.sm.wsclient.adminqueriessvc.UserLookupResponseNew getNewUserByNameAndDUZ(java.lang.String lastName, java.lang.String firstName, java.lang.String DUZ, java.lang.String station) throws java.rmi.RemoteException {
		if (genericSoap_PortType == null)
			_initGenericSoapProxy();
		return genericSoap_PortType.getNewUserByNameAndDUZ(lastName, firstName, DUZ, station);
	}
	
	

}
