<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page 
  import="org.apache.commons.logging.Log"
  import="org.apache.commons.logging.LogFactory"
  import="gov.va.med.mhv.sm.model.Folder"
  import="gov.va.med.mhv.sm.model.MessagesPage"
  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
  
%>

<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.global_Inbox_messageCount");%>

<%
  Folder folder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);
  MessagesPage messages = folder.getMessages();
  
  if(messages == null){
    log.error("The messages object is not valid");
    return;
  }
  
  int first;
  int last;
  int total;
  
  total = messages.getElementCount();
  first = total == 0 ? 0 : messages.getThisPageFirstElementNumber();
  last = messages.getThisPageLastElementNumber();
  
  
%>


<div class="noMar noPad leftFloat">Messages <strong><esapi:encodeForHTML><%=first %></esapi:encodeForHTML></strong> to <strong><esapi:encodeForHTML><%=last%></esapi:encodeForHTML></strong> of <strong><esapi:encodeForHTML><%=total%></esapi:encodeForHTML></strong></div>