
<%@ taglib uri="/struts-tags" prefix="s" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %> 
<%@ page session="true"
    import="gov.va.med.mhv.sm.enumeration.SortOrderEnum"
    import="gov.va.med.mhv.sm.enumeration.MessagesOrderByEnum"
    import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"
    import="gov.va.med.mhv.sm.model.Folder"
    import="gov.va.med.mhv.sm.model.User"
    import="gov.va.med.mhv.sm.model.Clinician"
    import="gov.va.med.mhv.sm.dto.SearchFormDTO"
    import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
    
%>
<%
  Folder activeFolder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);  
  boolean isSentFolder = activeFolder.getId().equals(SystemFolderEnum.SENT.getId());
  boolean isDraftFolder = activeFolder.getId().equals(SystemFolderEnum.DRAFTS.getId());
  boolean isCPRSAlersFolder =  activeFolder.getId().equals(SystemFolderEnum.CPRSPROGRESSALERTS.getId());
  User user = (User)request.getSession().getAttribute("user");
  Clinician c = (Clinician)user;
  SearchFormDTO search = (SearchFormDTO) session.getAttribute(AbstractInboxAction.SEARCH_FORM);
%>


<%!
  private String getSortImage(MessagesOrderByEnum orderBy, Folder f){
	
	String img = "";
	if(f.getOrderBy() == orderBy){
		if(f.getSortOrder() == SortOrderEnum.ASC){
			img = "images/sms/btn_sort_asc.jpg";
		}else{
			img = "images/sms/btn_sort_desc.jpg";
		}
	}else{
		img = "images/sms/btn_sort_default.jpg";
	}
	
    return img;
  }
%>

			
			<tr><td class="rightBlueBorder leftBlueBorder">			
			<% 	
					if(request.getSession().getAttribute("surrogateName")!=null)	
					{									  
						request.getSession().setAttribute("surrogateReminderShown", "yes");
				%>
					<jsp:include page="/tiles/preferences/surrogateBox.jsp"></jsp:include>
			<% } %>	
			<s:if test="%{cprsAlertsCount >=1}">
				<jsp:include page="/tiles/inbox/cprsAlerts.jsp"></jsp:include>
			</s:if>
			
			<form name="messageForm" action="moveMessages.action" id="messageForm" method="POST">
				<div class="sm_inbox_buttons">
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center">											
					<tr><td valign="middle" align="left" width="68%"><jsp:include page="headerButtons.jsp"></jsp:include></td>
						<td valign="bottom" align="right" class="smaller"><jsp:include page="messageCount.jsp"></jsp:include><jsp:include page="pagination.jsp"></jsp:include></td></tr>
					<%-- CR6709 --%>
					<% if( null != search ) { %>
					<tr><td valign="middle" align="left" colspan="2">
					<%if(activeFolder.getName()==SystemFolderEnum.REASSIGN.getName() || activeFolder.getName()==SystemFolderEnum.CPRSPROGRESSALERTS.getName()){%>
							<jsp:include page="searchPaneForReassign.jsp"/>
						<%}else{%>
							<jsp:include page="searchPane.jsp"/>
						<%}%>
					</td></tr>
					<% } %>
				</table></div>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="sm_inbox">
					<tr>
					  <th width="12" class="noBorder">&nbsp;</th>
<%
if (!isSentFolder) {
%>
					  <th width="150" valign="middle" align="left" class="noBorder">
						<div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.FROM.getId()%></esapi:encodeForHTMLAttribute>">From</a></div>
					    <div class="sort-button">
					      <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.FROM.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.FROM, activeFolder) %>" width="14" height="26" 
					         alt="Sort by Sender" align="right" border="0" class="sortBtn"/>
					      </a>
					    </div>
					  </th>
<%
}
%>
					  <th width="150" valign="middle" align="left">
						<div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.TO.getId()%></esapi:encodeForHTMLAttribute>">To</a></div>
					    <div class="sort-button">
					      <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.TO.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.TO, activeFolder) %>" width="14" height="26" 
					         alt="Sort by Recipient" align="right" border="0" class="sortBtn"/>
					      </a>
					    </div>
					  </th>
					  <th  width="150" valign="middle" align="left">
					    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.SUBJECT.getId()%></esapi:encodeForHTMLAttribute>">Subject</a></div>
						<div class="sort-button">
						  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.SUBJECT.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.SUBJECT, activeFolder) %>" width="14" height="26" 
						     alt="Sort by Subject" align="right" border="0" class="sortBtn"/>
						  </a>
						</div>
				      </th>
					  <th width="120" valign="middle" align="left">
					    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.DATE.getId()%></esapi:encodeForHTMLAttribute>">Date</a></div>
						<div class="sort-button">
						  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.DATE.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=(activeFolder.getId() == SystemFolderEnum.DRAFTS.getId()?getSortImage(MessagesOrderByEnum.CREATED_DATE, activeFolder):getSortImage(MessagesOrderByEnum.DATE, activeFolder)) %>" width="14" height="26" 
						     alt="Sort by Date" align="right" border="0" class="sortBtn"/>
						  </a>
						</div>
				      </th>
					  <%
						if(isCPRSAlersFolder){
					  %>	
					   <th  width="120" valign="middle" align="left">
					    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.CPRSALERTS_DATE.getId()%></esapi:encodeForHTMLAttribute>">CPRS Alert Date</a></div>
						<div class="sort-button">
						  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.CPRSALERTS_DATE.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.CPRSALERTS_DATE, activeFolder) %>" width="14" height="26" 
						     alt="Sort by Subject" align="right" border="0" class="sortBtn"/>
						  </a>
						</div>
				      </th>
					 <%} 
					  %>
					  
<%
if (!isSentFolder && !isDraftFolder) {
%>
					  <th width="120" valign="middle" align="left">
					    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.ASSIGNED.getId()%></esapi:encodeForHTMLAttribute>">Assigned</a></div>
						<div class="sort-button">
						  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.ASSIGNED.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.ASSIGNED, activeFolder) %>" width="14" height="26" 
						     alt="Sort by Assigned" align="right" border="0" class="sortBtn"/>
						   </a>
						 </div>
					  </th>
<%} %>					  
<%
if (!isSentFolder && !isDraftFolder) {
%>
					 					  
					  <th width="66" valign="middle" align="left">
					    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.STATUS.getId()%></esapi:encodeForHTMLAttribute>">Status</a></div>
						<div class="sort-button">
						  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.STATUS.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.STATUS, activeFolder) %>" width="14" height="26" 
						     alt="Sort by Status" align="right" border="0" class="sortBtn"/>
						  </a>
						</div>
				      </th>
				   
<%} %>				

<% if(isSentFolder){%>
	   <th width="120" valign="middle" align="left">
	    <div class="column-label"><a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.READ_RECEIPT.getId()%></esapi:encodeForHTMLAttribute>">Read Receipt</a></div>
		<div class="sort-button">
		  <a href="sort.action?column=<esapi:encodeForHTMLAttribute><%=MessagesOrderByEnum.READ_RECEIPT.getId()%></esapi:encodeForHTMLAttribute>"><img src="<%=getSortImage(MessagesOrderByEnum.READ_RECEIPT, activeFolder) %>" width="14" height="26" 
		     alt="Sort by Status" align="right" border="0" class="sortBtn"/>
		  </a>
		</div>
     </th>
<% }%>
				</tr>
					<jsp:include page="/tiles/inbox/messages_clinician.jsp"></jsp:include>
					<tr><td width="18"><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="120" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="200" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="78" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="92" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="66" height="1" alt="" border="0" /></td><td><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td>
					<%if(isCPRSAlersFolder){%>
					<td><img src="images/spacer.gif" width="1" height="1" alt="" border="0" /></td>
					<%}%>
					</tr>
				</table></form></td></tr>
				</form>