<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page language="java" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@page  session="true" 
		  import="java.util.Collection"	
		  import="java.util.TreeSet"
		  import="org.apache.commons.logging.Log"
		  import="org.apache.commons.logging.LogFactory"
		  import="gov.va.med.mhv.sm.model.TriageGroup"
		  import="gov.va.med.mhv.sm.model.DistributionGroup"
		  import="gov.va.med.mhv.sm.model.Patient"
		  import="gov.va.med.mhv.sm.model.NewMessage"
		  import="gov.va.med.mhv.sm.model.User"
		  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
		  import="gov.va.med.mhv.sm.model.Clinician"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.PatientDemographics"
		  import="gov.va.med.mhv.sm.wsclient.queriessvc.Address"
		  import="org.apache.commons.lang.StringUtils"
		  import="gov.va.med.mhv.sm.util.DateUtils"
%>
<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.addRecipientBox_clinician");%>

<%-- Has Adding a Recipient been cancelled? --%>
<%-- THESE STYLES MAY NEED TO BE UPDATED DEPENDING ON BUILD OUTPUT --%>

<style media="aural" type="text/css">
	.bea-portal-window-content-grey{display:none;}
</style>
<!--[if lte IE 6]>
<style>
	#darkBox { position:absolute;width:1440px;height:1000px;margin:0px;top:0px;left:0px;bottom:0px;right:0px;float:left; z-index:1;background-image:url(images/blackPix50p.gif);background-repeat:repeat;}
	#lightBox {top:20%;left:250px;margin:0px;z-index:2;}
	#lbOut {background-image:none;background-color:#fff;}
	.sm_table SELECT {display:block;visibility:hidden;}
</style>
<![endif]-->
<div id="darkBox"><div id="lightBox"><img src="images/sms/img_lightBoxTop.gif" width="500" height="12" alt="Light Box" border="0" /><div id="lightBox-Outer">
	<h2>Select a Recipient</h2>
	<div id="lightBox-Tabular">
<%-- Section below sets up active tabs and which tabs to display --%>
<%
Integer currentTabValue=0;
String active1="";
String active2="";
String active3="";
String active4="";

String tab1="Patients";
String tab2="Clinicians and Staff";
String tab3="Triage Staff";
String tab4="Distribution Group";

String currentTab=request.getParameter("tab");

try {
	currentTabValue=Integer.valueOf(currentTab);
}catch (Exception e) {
	currentTabValue=1;
}

String tab1link="<a href=\"send.action?pwin=addrec&tab=1\">"+tab1+"</a>";
String tab2link="<a href=\"send.action?pwin=addrec&tab=2\">"+tab2+"</a>";
String tab3link="<a href=\"send.action?pwin=addrec&tab=3\">"+tab3+"</a>";
String tab4link="<a href=\"send.action?pwin=addrec&tab=4\">"+tab4+"</a>";

switch(currentTabValue) {
	case 1:
		active1="-active";
		tab1link=tab1;
		break;
	case 2:
		active2="-active";
		tab2link=tab2;
		break;
	case 3:
		active3="-active";
		tab3link=tab3;
		break;
	case 4:
		active4="-active";
		tab4link=tab4;
		break;
}
User user = (User)request.getSession().getAttribute("user");
NewMessage nm = (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
Patient recipient = (Patient) request.getSession().getAttribute("recipient");
PatientDemographics patientDemographics = (PatientDemographics) request.getSession().getAttribute("recipientDemographics");
Address patientAddress = (patientDemographics==null || patientDemographics.getHomeAddress()==null)?null:patientDemographics.getHomeAddress().getAddress(); 
Collection<Patient> patients = (Collection<Patient>) request.getSession().getAttribute("patients") ;
Clinician recipient1 = (Clinician)request.getSession().getAttribute("recipient1");
String recipient1Facility = (String) request.getSession().getAttribute("recipient1Facility");
if (recipient1Facility==null) recipient1Facility="";
gov.va.med.mhv.sm.wsclient.queriessvc.User recipient1Demographics =
    (gov.va.med.mhv.sm.wsclient.queriessvc.User) request.getSession().getAttribute("recipient1Demographics");
Collection<Clinician> clinicians = (Collection<Clinician>) request.getSession().getAttribute("clinicians") ;
String firstName = (String)request.getSession().getAttribute("firstName");
if (firstName==null) firstName="";
String lastName = (String)request.getSession().getAttribute("lastName");
if (lastName==null) lastName="";
String nssn = (String)request.getSession().getAttribute("nssn");
if (nssn==null) nssn="";
%>
<%-- START TABS --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-Table">
			<tr><td width="90"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active1);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab1link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="120"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active2);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab2link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
<%-- START Tab to be Deactivated for now --%>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="100"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active3);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab3link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td></tr>
					</table></td>
<%-- END Tab to be Deactivated for now --%>
<%-- START Tab to be Deactivated for now --%>
				<td width="3"><img src="images/spacer.gif" width="3" height="24" alt="" border="0" /></td>
				<td width="120"><table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="tab-item<% out.print(active4);%>">
						<tr><td class="tab-item-left" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
							<td class="tab-item-center" valign="bottom" align="center"><% out.print(tab4link);%></td>
							<td class="tab-item-right" width="6"><img src="images/spacer.gif" width="6" height="24" alt="" border="0" /></td>
						</tr>
					</table></td>
<%-- END Tab to be Deactivated for now --%>
				<td>&nbsp;</td>
			</tr>
		</table>
<%-- END TABS --%>
<% switch(currentTabValue) {
	case 1: %>
<%-- START PATIENT SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
		<!-- STEP ONE -->
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Patient</strong></p>
				    <p>To search, you must either enter a Last Name, 'First Letter of Last Name + Last 4 of SSN', or Both.</p>
					<form action="AddRecipient.action" name="frmSearchPatient" id="frmSearchPatient" method="post">
					  <s:hidden name="pwin" value="addrec"/>
					  <s:hidden name="tab" value="1"/>
					  <s:hidden name="body"/>
					  <s:hidden name="subject"/>
					  <s:hidden name="triageGroupId"/>
					  <s:hidden name="messageCategoryTypeId"/>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="30%" valign="bottom" align="left" class="blueTH" id="firstNameLabel">First Name:</th>
								<th width="30%" valign="bottom" align="left" class="blueTH" id="lastNameLabel">Last Name:</th>
								<th width="60%" valign="bottom" align="left" class="blueTH" id="nssnLabel">First Letter of Last Name + Last 4 of SSN:</th>
								<td rowspan="2">&nbsp;</td></tr>								
								<tr><td valign="top" align="left"><input type="text" name="firstName" aria-labelledby="firstNameLabel" id="firstName" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>" size="20" /></td>
								<td valign="top" align="left"><input type="text" name="lastName" aria-labelledby="lastNameLabel" id="lastName" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>" size="20" /></td>
								<td valign="top" align="left"><input type="text" name="nssn" aria-labelledby="nssnLabel" id="nssn" value="<esapi:encodeForHTMLAttribute><%=nssn%></esapi:encodeForHTMLAttribute>" size="10" /></td></tr>
							<tr><td colspan="4">&nbsp;</td></tr>
							<tr>
							  <td colspan="4" valign="bottom" align="center">
							    <input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="search" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;
							    <input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/>
							  </td>
							</tr>
						</table>
					</form></td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if(patients != null)
	{
%>		
			<tr>
				<td class="lightBox-TableBottom">
					<form action="AddRecipient.action" name="frmAddPatient" id="frmAddPatient" method="post">
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="messageCategoryTypeId"/>
					    <s:hidden name="pwin" value="addrec"/>
					    <s:hidden name="tab" value="1"/>
						<table width="95%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Select Recipient</th>
								<td>&nbsp;</td>
								<th scope="column" valign="bottom" align="left">Selected Recipient</th></tr>
							<tr><td valign="top" align="left" width="40%"><select name="recipient" id="recipient" size="12">
<% 			
		for(Patient patient: patients )
		{	
			String userNssn="";
			if(patient.getNssn()!=null) userNssn=patient.getNssn();
			
%>										
								<option value="<%=patient.getId() %>"><esapi:encodeForHTML><%=patient.getName()%></esapi:encodeForHTML>(SSN:<esapi:encodeForHTML><%=userNssn%></esapi:encodeForHTML>)</option>
<%	
		}
%>
								</select></td>
								<td valign="top" align="center" width="20%">
								  <input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="select" value="Select" style="margin:0px;" title="Select"/>
								</td>
								<td valign="top" align="left" width="40%">
									<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
<% 
	}
%>										
<%-- STEP 3 --%>

<%-- ONLY SHOW BELOW WHEN RECIPIENT IS SELECTED --%>
<% 
	if(recipient != null)
	{
%>
										<tr><td><input size="30" type="text"  value="<esapi:encodeForHTMLAttribute><%=recipient.getName()%></esapi:encodeForHTMLAttribute>" name="#" id="#" class="textCell" readonly="readonly"/><br />&nbsp;</td></tr>
										<tr><th valign="bottom" align="left">Recipient Information</th></tr>
										<tr>
											<td class="sm_recipientInfo"><p>Name:&nbsp;<esapi:encodeForHTML><%=recipient.getName()%></esapi:encodeForHTML><br />
												NSSN:&nbsp;<esapi:encodeForHTML><%=((User)recipient).getNssn()%></esapi:encodeForHTML><br/>
												DOB:&nbsp;<esapi:encodeForHTML><%=DateUtils.getEnglishDate(recipient.getDob())%></esapi:encodeForHTML>
												</p>
													
<%			
String patientAddressLine1 = patientAddress==null ? "N/A." : patientAddress.getAddressLine1();
if (patientAddressLine1 == null || patientAddressLine1.equals("")) patientAddressLine1 = "N/A";
String patientAddressLine2 = patientAddress==null ? "N/A." : patientAddress.getAddressLine2();
if (patientAddressLine2 == null || patientAddressLine2.equals("")) patientAddressLine2 = "N/A";
String patientCity = patientAddress==null ? "N/A." : patientAddress.getCity();
if (patientCity == null || patientCity.equals("")) patientCity = "N/A";
String patientState = patientAddress==null ? "N/A." : patientAddress.getState();
if (patientState == null || patientState.equals("")) patientState = "N/A";
String patientZipCode = patientAddress==null ? "N/A." : patientAddress.getZipCode();

/*****Format for display of Zipcodes - CR#4789***********/
if(patientZipCode != null && patientZipCode.length() > 5 && !StringUtils.contains(patientZipCode,"-") ){
	patientZipCode = patientZipCode.substring(0,5)+"-"+patientZipCode.substring(5,patientZipCode.length());	
}
/******End Format for display of Zipcodes - CR#4789***********/
if (patientZipCode == null || patientZipCode.equals("")) patientZipCode = "N/A";
String patientHomePhone = patientDemographics==null ? "N/A." : patientDemographics.getHomePhone();
if (patientHomePhone == null || patientHomePhone.equals("")) patientHomePhone = "N/A";
%>
												<p>Street 1:&nbsp;<esapi:encodeForHTML><%=patientAddressLine1%></esapi:encodeForHTML>
												<br />Street 2:&nbsp;<esapi:encodeForHTML><%=patientAddressLine2%></esapi:encodeForHTML>
												<br />City:&nbsp;<esapi:encodeForHTML><%=patientCity%></esapi:encodeForHTML>
												<br />St:&nbsp;<esapi:encodeForHTML><%=patientState%></esapi:encodeForHTML> &nbsp;&nbsp;&nbsp;ZIP:&nbsp;<esapi:encodeForHTML><%=patientZipCode%></esapi:encodeForHTML>
												<br />Phone:&nbsp;<esapi:encodeForHTML><%=patientHomePhone%></esapi:encodeForHTML>
												<p>SM Account Status:&nbsp;<%if(recipient.isActive()){%>Active<%}else{%><font color="red">Deactivated</font><%}%>
												<br />SM Last Login:&nbsp;<esapi:encodeForHTML><%=DateUtils.getEnglishDate(recipient.getLastLogin())%></esapi:encodeForHTML> ET
												
												</td></tr>
												
<%
	}
%>
<%if (request.getSession().getAttribute("recipient")!=null) { %>

  <tr>
    <td align="center" valign="bottom"><br />
      <input type="submit" class="blueSubmitBtn" alt="Add Recipient" border="0" name="add" value="Add" style="margin:0px;" title="Add Recipient"/>&nbsp;&nbsp;
      <input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/>
    </td>
  </tr>
<%} %>

<%-- ONLY SHOW ABOVE WHEN RECIPIENT IS SELECTED  --%>
									</table></td></tr>
						</table></form></td></tr>
		</table>
<%-- END PATIENT SELECTION --%>
<%		break;



	case 2: %>
<%-- START CLINICIAN/STAFF SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
<%-- STEP ONE --%>
			<tr>
				<td class="lightBox-TableTop"><p><strong>Search for Clinician or Staff Member</strong></p>
					<form action="AddRecipient.action" name="frmAddPatient" id="frmAddPatient" method="post">
					    <s:hidden name="pwin" value="addrec"/>
					    <s:hidden name="tab" value="2"/>		
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="messageCategoryTypeId"/>
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th width="30%" valign="bottom" align="left" class="blueTH">First Name:</th>
								<th width="35%" valign="bottom" align="left" class="blueTH">Last Name:</th>
								<td rowspan="2">&nbsp;</td></tr>
							<tr><td valign="top" align="left"><input type="text" name="firstName" id="firstName" value="<esapi:encodeForHTMLAttribute><%=firstName%></esapi:encodeForHTMLAttribute>" size="20" /></td>
								<td valign="top" align="left"><input type="text" name="lastName" id="lastName" value="<esapi:encodeForHTMLAttribute><%=lastName%></esapi:encodeForHTMLAttribute>" size="20" /></td></tr>
							<tr><td colspan="3">&nbsp;</td></tr>
							<tr><td colspan="3" valign="middle" align="center"><input type="submit" class="blueSubmitBtn" alt="Search" border="0" name="search" value="Search" style="margin:0px;" title="Search"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
						</table>
					</form></td></tr>
<%-- STEP TWO --%>
<%-- DO NOT DISPLAY THIS ROW UNTIL SEARCH PERFORMED --%>
<% 	
	if(clinicians != null)
	{
%>		
			<tr>
				<td class="lightBox-TableBottom">
					<form action="AddRecipient.action" name="frmSearchPatient" id="frmSearchPatient" method="post">
					  <s:hidden name="pwin" value="addrec"/>
					  <s:hidden name="tab" value="2"/>
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="messageCategoryTypeId"/>					  
						<table width="95%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><th scope="column" valign="bottom" align="left">Select Recipient</th>
								<td>&nbsp;</td>
								<th scope="column" valign="bottom" align="left">Selected Recipient</th></tr>							
							<tr><td valign="top" align="left" width="40%"><select name="recipient1" id="recipient1" size="12">
						<%	
							for (Clinician clinician : clinicians)
							{	
								if(!clinician.getId().equals(user.getId())){%>
										
										<option value="<%=clinician.getId()%>"><esapi:encodeForHTML><%=clinician.getName()%></esapi:encodeForHTML></option>
						<%  
							} }
						%>				
										</select></td>
								<td valign="top" align="center" width="20%"><input type="submit" class="blueSubmitBtn" alt="Select" border="0" name="select" value="Select" border="0" style="margin:0px;" title="Select"/></td>
								<td valign="top" align="left" width="40%">
									<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">										
<%
	}
%>	
<%-- STEP THREE --%>
<%-- ONLY SHOW BELOW WHEN RECIPIENT IS SELECTED --%>
<%
	if(recipient1 != null)
	{	
%>
										<tr><td><input size="30" type="text"  value="<esapi:encodeForHTMLAttribute><%=recipient1.getName()%></esapi:encodeForHTMLAttribute>" name="#" id="#" class="textCell" /><br />&nbsp;</td></tr>
										<tr><th valign="bottom" align="left">Recipient Information</th></tr>
										<tr>
											<td class="sm_recipientInfo"><p>Name:&nbsp;<esapi:encodeForHTML><%=recipient1.getName()%></esapi:encodeForHTML><br />
												<p>Facility:&nbsp;<esapi:encodeForHTML><%=recipient1Facility%></esapi:encodeForHTML><br />
<%
if (recipient1Demographics == null) {
   log.error("There are no VistA user demographics in the session.");
%>
												Department:&nbsp;N/A</p>
												<p>Phone:&nbsp;N/A</p>
<%
} else {
  String recipient1Department = recipient1Demographics.getDepartment();
  if (recipient1Department == null || recipient1Department.equals("")) recipient1Department = "N/A";
  String recipient1Phone = recipient1Demographics.getPhone();
  if (recipient1Phone == null || recipient1Phone.equals("")) recipient1Phone = "N/A";
%>
												Department:&nbsp;<esapi:encodeForHTML><%=recipient1Department%></esapi:encodeForHTML></p>
												<p>Phone:&nbsp;<esapi:encodeForHTML><%=recipient1Phone%></esapi:encodeForHTML></p>
												<br />SM Active Status:&nbsp;<esapi:encodeForHTML><%=recipient.getStatus().getDescription()%></esapi:encodeForHTML>
												<br />SM Last Login:&nbsp;<esapi:encodeForHTML><%=recipient.getLastLogin()%></esapi:encodeForHTML>
<%
}
%>
												</td></tr>
										<tr><td align="center"><br /><input type="submit" class="blueSubmitBtn" alt="Add Recipient" border="0" name="add" value="Add" style="margin:0px;" title="Add Recipient"/>&nbsp;&nbsp;<input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
<% 
	}
%>
<%-- ONLY SHOW ABOVE WHEN RECIPIENT IS SELECTED --%>
									</table></td></tr>
						</table></form></td></tr>
		</table>
<%-- END CLINICIAN/STAFF SELECTION --%>
<%	
		break;
	
	
	
	
	case 3: %>
<%-- START TRIAGE GROUP SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
			<tr>
				<td class="lightBox-TableTop"><p>&nbsp;<br /><strong>Select Triage Group:</strong>
					<form action="AddRecipient.action" name="3" id="3" method="post">
					  <s:hidden name="pwin" value="addrec"/>
					  <s:hidden name="tab" value="3"/>
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="messageCategoryTypeId"/>					  
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><td valign="top" align="left"><select name="TriageGroup">
							<% 
							for(TriageGroup tg :user.getGroups())
							{	
							%>
								<option value="<%=tg.getId()%>"><esapi:encodeForHTML><%=tg.getName()%></esapi:encodeForHTML></option>
							<% 
							}	
							%>	
							</select></td>
								<td valign="top" align="left" width="85"><input type="submit" class="blueSubmitBtn" alt="Add Group" name="add" value="Add" style="margin:0px;" title="Add Group"/>&nbsp;&nbsp;</td>
								<td valign="top" align="left" width="70"><input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/></td></tr>
						</table>
					</form>
					<img src="images/spacer.gif" width="1" height="150" alt="" border="0" /></td></tr>
		</table>
<%-- END TRIAGE GROUP SELECTION --%>
<%	
		break;
		
	case 4: %>
<%-- START DISTRIBUTION GROUP SELECTION --%>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="lightBox-Table">
			<tr>
				<td class="lightBox-TableTop"><p/>&nbsp;<br /><strong>Select Distribution Group:</strong>
					<form action="AddRecipient.action" name="4" id="4" method="post">
					  <s:hidden name="pwin" value="addrec"/>
					  <s:hidden name="tab" value="4"/>
					    <s:hidden name="body"/>
					    <s:hidden name="subject"/>
					    <s:hidden name="triageGroupId"/>
					    <s:hidden name="messageCategoryTypeId"/>					  
						<table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
							<tr><td valign="top" align="left"><select name="DistributionGroup">
							<% 
							for(DistributionGroup dg : ((Clinician)user).getDistGroups())
							{
								
							%>
								<option value="<%=dg.getId()%>">
								<esapi:encodeForHTML><%=dg.getName()%></esapi:encodeForHTML>
								<%if(dg.isPublicGroup()){%> 
									*(<esapi:encodeForHTML><%=dg.getOwner().getName()%></esapi:encodeForHTML>)
								<%}%>
								</option>
							<% 
							}	
							%>
							</select></td>
								<td valign="top" align="left" width="85"><input type="submit" class="blueSubmitBtn"  alt="Add Group" border="0" name="add" value="Add" style="margin:0px;" title="Add Group"/>&nbsp;&nbsp;</td>
								<td valign="top" align="left" width="70"><input type="submit" class="blueSubmitBtn" alt="Cancel" border="0" name="cancel" value="Cancel" style="margin:0px;" title="Cancel"/>&nbsp;&nbsp;</td>
								</tr>
								<tr><td>*(<i>Owner</i>) Shared Distribution Group</td></tr>
						</table>
					</form>
					<img src="images/spacer.gif" width="1" height="150" alt="" border="0" /></td></tr>
		</table>
<%-- END DISTRIBUTION GROUP SELECTION --%>
<%		break;
}
%>
</div></div></div></div>