<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page session="true" 
		import="java.util.List"	
		import="gov.va.med.mhv.sm.model.TriageGroup"
		import="gov.va.med.mhv.sm.model.Patient"
		import="gov.va.med.mhv.sm.model.NewMessage"
		import="gov.va.med.mhv.sm.model.User"
		import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
		import="gov.va.med.mhv.sm.web.utils.ut"
		import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum;
%>

<% 
	NewMessage nm = (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
	boolean recipientsAdded =(nm.getTo() != null);
	User user = (User)request.getSession().getAttribute(AbstractInboxAction.CURRENT_USER);
	boolean recipientsCcAdded =(nm.getCc() != null);
%>

<script type="text/javascript" language="javascript" src="js/tooltip.js"></script>
<link rel="stylesheet" type="text/css" href="css/tooltip.css" />

<script language="javascript">
function addForwardRecipient(){
	document.getElementById("pwin").value= "addForwardrec";
	document.forwardFormMessage.submit();   
}


</script>

<tr><td>
<s:hidden name="pwin" />
<s:actionerror cssStyle="color:#990000;font-weight:bold;"/>
<s:fielderror cssStyle="color:#990000;font-weight:bold;"/>
<table width="95%" cellpadding="0" cellspacing="5" border="0" align="center">
			<tr><th scope="row" width="80">From:&nbsp;</th>
				<td>&nbsp;<strong><s:label name="user.name" /></strong></td>
				<td rowspan="4" valign="top" align="right" width="40%">&nbsp;</td></tr>
			<tr><th scope="row" style="white-space: nowrap;"><label for="triageGroupId">Triage Group:</label>&nbsp;</th>
				<td>&nbsp;
				
					<% if(user.getGroups().size() > 1){ %>		
								
								  <s:select
								    name="triageGroupId"
								    id="triageGroupId"
								    list="user.groups"
				        			listKey="id"
				        			listValue="name"
				        			value="triageGroupId"
				        			required="true" />  
					<%} else if(user.getGroups().size() == 1){ %>
							<input type="hidden" name="triageGroupId" id="triageGroupId" value="<esapi:encodeForHTMLAttribute><%=user.getGroups().get(0).getId()%></esapi:encodeForHTMLAttribute>"/>
				        		<strong><esapi:encodeForHTML><%=user.getGroups().get(0).getName()%></esapi:encodeForHTML></strong>
				    <%}else{ %>        			
						None available        			
				    <%} %>		
				  
				</td>
			</tr>
			<tr><th scope="row">To:&nbsp;</th>
					<td valign="middle" align="left">
					<%-- Have Recipients been Added? (need to build logic) --%>
					<% if(recipientsAdded) { %>
					<%-- Display Recipients --%>
						<% 
							   String lastFourSSN = "";
							   if(nm.getTo().getParticipantType().equals(gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum.PATIENT)){
							   lastFourSSN = ut.getPatientLastFourSSN(session,nm.getTo().getId());
					 	 }%>  
						<esapi:encodeForHTML><%=nm.getTo().getName()%></esapi:encodeForHTML>
						<%=lastFourSSN%>
					<% } else { %>
					&nbsp;<a id="addrecipient" href="javascript:void(addForwardRecipient());">Search for a recipient</a>
					<% } %></td>
			</tr>

			<tr><th scope="row">Subject:&nbsp;</th>
				<td valign="middle" align="left">
				<!-- CR6598 -->
				<label for="messageCategoryTypeId"><img id="messageCategoryTypeLabel" src="images/spacer.gif" alt="Message Category Type" name="messageCategoryTypeLabel" width="1" height="1" border="0" align="left" /></label>
			    <s:select
				    name="messageCategoryTypeId"
				    id="messageCategoryTypeId"
				    list="messageCategoryTypes"
        			listKey="id"
        			listValue="name"
        			value="messageCategoryTypeId"
        			title="Appointment: Choose this to ask about a future or existing appointment.  Medication: Choose this to renew a medication or ask a question about medication.  Test: Choose this to ask about a test result or about a future test or procedure.  Other: Choose this for all other non-urgent issues"
        			onmouseover="tooltip.show('messageCategoryTypeId','<b>Appointment:</b> Choose this to ask about a future or existing appointment<br><b>Medication:</b> Choose this to renew a medication or ask a question about medication<br><b>Test:</b> Choose this to ask about a test result or about a future test or procedure<br><b>Other:</b> Choose this for all other non-urgent issues', 500);"
					onmouseout="tooltip.hide();"/>
        		<script type="text/javascript">
					function listChanged(evt){
						var selectObj = document.getElementById("messageCategoryTypeId");
						var idx = selectObj.selectedIndex; 
	 					var which = selectObj.options[idx].text;
	 					var length = selectObj.length;
	 					
	 					var subjEl = document.getElementById("subject");
	 					
	 					var i=0;
						for (i=0;i<length;i++) {
						  if( subjEl.value == selectObj.options[i].text + " Inquiry" || subjEl.value == "") {
						    subjEl.value=which+" Inquiry";
						    break;
						  }
	 					}
	                }
					document.getElementById("messageCategoryTypeId").onchange=listChanged;
				</script>
        		<!-- CR6598 -->
				<label for="subject"><img id="subjectLabel" src="images/spacer.gif" alt="Subject" width="1" height="1" border="0" align="left" /></label>
        		<s:textfield id="subject" name="subject" size="100" maxlength="512" cssClass="sm_subjectLine" cssStyle="width:325px"/></td></tr>
</table>
</td></tr>