<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@page session="true" 
		import="java.util.List"	
		import="java.util.Map"
		import="gov.va.med.mhv.sm.model.TriageGroup"
		import="gov.va.med.mhv.sm.model.Patient"
		import="gov.va.med.mhv.sm.model.NewMessage"
		import="gov.va.med.mhv.sm.model.User"
		import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
		import="gov.va.med.mhv.sm.web.utils.ut"
		import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum"
	    import="gov.va.med.mhv.sm.util.AttachmentUtils"
%>

<% 
	NewMessage nm = (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
	boolean recipientsAdded =(nm.getTo() != null);
	User user = (User)request.getSession().getAttribute(AbstractInboxAction.CURRENT_USER);
	boolean recipientsCcAdded =(nm.getCc() != null);
%>

<script type="text/javascript" language="javascript" src="js/tooltip.js"></script>
<link rel="stylesheet" type="text/css" href="css/tooltip.css" />

<script language="javascript">
function addrecipient(){
	document.getElementById("pwin").value= "addrec";
	document.frmMessage.submit();   
}

function addCcrecipient(){
	document.getElementById("pwin").value= "addrecCcCln";
	document.frmMessage.submit();   
}


</script>

<tr><td>
<s:hidden name="pwin" />
<table width="95%" cellpadding="0" cellspacing="5" border="0" align="center">
			<tr><th scope="row" width="80">From:&nbsp;</th>
				<td>&nbsp;<strong><s:label name="user.name" /></strong></td>
				<td rowspan="4" valign="top" align="right" width="40%">&nbsp;</td></tr>
			<tr><th scope="row" style="white-space: nowrap;"><label for="triageGroupId">Triage Group:</label>&nbsp;</th>
				<td>&nbsp;
					<% if(user.getGroups().size() > 1){ %>		
								
								  <s:select
								    name="triageGroupId"
								    id="triageGroupId"
								    list="user.groups"
				        			listKey="id"
				        			listValue="name"
				        			value="triageGroupId"
				        			required="true" />  
					<%} else if(user.getGroups().size() == 1){ %>
							<input type="hidden" name="triageGroupId" id="triageGroupId" value="<esapi:encodeForHTMLAttribute><%=user.getGroups().get(0).getId()%></esapi:encodeForHTMLAttribute>"/>
				        		<strong><esapi:encodeForHTML><%=user.getGroups().get(0).getName()%></esapi:encodeForHTML></strong>
				    <%}else{ %>        			
						None available        			
				    <%} %>		
				  
				</td>
			</tr>
			<tr><th scope="row">To:&nbsp;</th>
					<td valign="middle" align="left" nowrap>
					<%-- Have Recipients been Added? (need to build logic) --%>
					<% if(recipientsAdded) { %>
					<%-- Display Recipients --%>
						<% 
							   String lastFourSSN = "";
							   if(nm.getTo().getParticipantType().equals(gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum.PATIENT)){
							   lastFourSSN = ut.getPatientLastFourSSN(session,nm.getTo().getId());
					 	 }%>  
						<esapi:encodeForHTML><%=nm.getTo().getName()%></esapi:encodeForHTML>
						<%=lastFourSSN%>
					<% } else { %>
					&nbsp;<a id="addrecipient" href="javascript:void(addrecipient());">Search for a recipient</a>
					<% } %></td>
			</tr>

			<tr><th scope="row">Cc:&nbsp;</th>
					<td valign="middle" align="left" nowrap>
					<%-- Have CC Recipients been Added? (need to build logic) --%>
					<% if(recipientsCcAdded) { %>
					<%-- Display CC Recipients --%>
						<% 
							   String lastFourSSN = "";
						       if(nm.getCc().getParticipantType().equals(gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum.PATIENT)){
							   lastFourSSN = ut.getPatientLastFourSSN(session,nm.getTo().getId());
					 	 }%>  
						<esapi:encodeForHTML><%=nm.getCc().getName()%></esapi:encodeForHTML>
						<%=lastFourSSN%>
					<% } else { %>
					&nbsp;<a id="addCcrecipient" href="javascript:void(addCcrecipient());">Search for a CC recipient</a>
					<% } %></td>
			</tr>

			<tr><th scope="row">Subject:&nbsp;</th>
				<td valign="middle" align="left">
				<!-- CR6598 -->
				<label for="messageCategoryTypeId"><img id="messageCategoryTypeLabel" src="images/spacer.gif" alt="Message Category Type" name="messageCategoryTypeLabel" width="1" height="1" border="0" align="left" /></label>
			    <s:select
				    name="messageCategoryTypeId"
				    id="messageCategoryTypeId"
				    list="messageCategoryTypes"
				    onchange="listChanged(this.value)"
        			listKey="id"
        			listValue="name"
        			value="messageCategoryTypeId"
        			onmouseover="tooltip.show('messageCategoryTypeId','<b>Appointment:</b> Choose this to ask about a future or existing appointment<br><b>Medication:</b> Choose this to renew a medication or ask a question about medication<br><b>Test:</b> Choose this to ask about a test result or about a future test or procedure<br><b>General:</b> Choose this for all other non-urgent issues<br><b>Education:</b> Choose this when sending education materials', 500);"
					onmouseout="tooltip.hide();"/>
        		<script type="text/javascript">
					function listChanged(evt){
						/*var selectObj = document.getElementById("messageCategoryTypeId");
						var idx = selectObj.selectedIndex; 
	 					var which = selectObj.options[idx].text;
	 					var length = selectObj.length;
	 					//document.getElementById("subject").value=which+" Inquiry";
	 					document.frmMessage.subject.value=which+" Inquiry";

	 					//var subjEl = document.getElementById("subject");
	 					/*var subjEl = document.frmMessage.subject;	 					
	 					var i=0;
						for (i=0;i<length;i++) {
						  if( subjEl.value == selectObj.options[i].text + " Inquiry" || subjEl.value == "") {
						    subjEl.value=which+" Inquiry";
						    break;
						  }
	 					}*/
						var selectObj = document.frmMessage.messageCategoryTypeId;
						var idx = selectObj.selectedIndex; 
	 					var which = selectObj.options[idx].text;
	 					if(idx==4){
	 						document.frmMessage.subject.value="Patient Education Materials";
	 					}else{
	 						document.frmMessage.subject.value=which+" Inquiry";
	 					}
	                }
					//document.getElementById("messageCategoryTypeId").onchange=listChanged;
				</script>
        		<!-- CR6598 -->
				<label for="subject"><img id="subjectLabel" src="images/spacer.gif" alt="Subject" width="1" height="1" border="0" align="left" /></label>
				<s:textfield id="subject" name="subject" size="100" maxlength="512" cssClass="sm_subjectLine" cssStyle="width:325px" /></td></tr>

				<tr><th scope="row" valign="top">Attach File&nbsp;</label></th>
				<td valign="middle" align="left">
					<%
						    if(nm.getAttachments()!=null){
							Map<Long, String> map = nm.getAttachments();
							for(Map.Entry<Long,String> entry : map.entrySet()) {
  								Long attachmentKey = entry.getKey();
  								String attachmentName = entry.getValue();
						%>		
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<esapi:encodeForHTML><%=AttachmentUtils.getFirstPartOfString(attachmentName)%></esapi:encodeForHTML>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:void(#)" onclick="javascript:removeAttachment('<%=attachmentKey%>');">Remove</a>
							</br>
						<%}}%>
						<%
							int allowedCount = 1; 
							if(request.getAttribute("allowedCount")!=null)
								allowedCount = Integer.parseInt(((String)request.getAttribute("allowedCount")));
							 
							if(nm.getAttachments()==null || nm.getAttachments().size()!=allowedCount){
						%>
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<a href="javascript:void(#)" onclick="javascript:void(attachFile());">Attach a file</a> &nbsp;&nbsp;<a href="${pageContext.request.contextPath}/help.action?content=help/instructionsToAttachAFile.html" target="_smHelp">Instructions to attach a file</a>
						<%}%>
				</td></tr>
				
</table>
</td></tr>