<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true" 
  import="java.util.List"
  import="gov.va.med.mhv.sm.model.Patient"
  import="gov.va.med.mhv.sm.model.TriageGroup"
  import="gov.va.med.mhv.sm.model.NewMessage"
  import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
  import="gov.va.med.mhv.sm.util.AttachmentUtils"
  import="java.util.Map"
  import="java.util.TreeMap"
%>
<script type="text/javascript" language="javascript" src="js/tooltip.js"></script>
<link rel="stylesheet" type="text/css" href="css/tooltip.css" />
<% 
	NewMessage nm = (NewMessage)request.getSession().getAttribute(AbstractInboxAction.NEW_MESSAGE);
%>
<tr><td>
<s:hidden name="pwin" />
<table width="95%" cellpadding="0" cellspacing="0" border="0" align="center">
			<tr><th scope="row" width="100">From:&nbsp;</th>
				<td>&nbsp;<strong><s:label name="user.name"/></strong></td>
				<td rowspan="3" valign="top" align="right" width="40%"><jsp:include page="disclaimer.jsp"></jsp:include></td></tr>
			<tr><th scope="row">To:&nbsp;</th>
				<td valign="middle" align="left">
				<label for="triageGroupId"><img id="triageGroupIdLabel" src="images/spacer.gif" alt="Triage Group" width="1" height="1" border="0" align="left" /></label>
				  <s:select
				    name="triageGroupId"
				    id="triageGroupId"
				    list="user.userAssociatedGroups"
        			listKey="id"
        			listValue="name"
        			value="triageGroupId"
					/>  
				</td>
		    </tr>
			<tr><th scope="row">Subject:&nbsp;</th>
				<td valign="middle" align="left">
				<!-- CR6598 -->
				<label for="messageCategoryTypeId"><img id="messageCategoryTypeLabel" src="images/spacer.gif" alt="Message Category Type" width="1" height="1" border="0" align="left" /></label>
			    <s:select
				    name="messageCategoryTypeId"
				    id="messageCategoryTypeId"
				    list="messageCategoryTypes"
				    onchange="listChanged(this.value)"
        			listKey="id"
        			listValue="name"
        			value="messageCategoryTypeId"
        			onmouseover="tooltip.show('messageCategoryTypeId','<b>Appointment:</b> Choose this to ask about a future or existing appointment<br><b>Medication:</b> Choose this to renew a medication or ask a question about medication<br><b>Test:</b> Choose this to ask about a test result or about a future test or procedure<br><b>General:</b> Choose this for all other non-urgent issues<br><b>Education:</b> Choose this when sending education materials', 500);"
        			onmouseout="tooltip.hide();"/>
        		<script type="text/javascript">
					function listChanged(evt){
						/*var selectObj = document.getElementById("messageCategoryTypeId");
						var idx = selectObj.selectedIndex; 
	 					var which = selectObj.options[idx].text;
	 					var length = selectObj.length;
	 					//alert("I am an alert box!!!");
	 					//document.getElementById("subject").value=which+" Inquiry";
	 					document.frmMessage.subject.value=which+" Inquiry";
	 					
	 					//var subjEl = document.getElementById("subject");
	 					/*var subjEl = document.frmMessage.subject;
	 					var i=0;
						for (i=0;i<length;i++) {
						  if( subjEl.value == selectObj.options[i].text + " Inquiry" || subjEl.value == "") {
						    subjEl.value=which+" Inquiry";
						    break;
						  }
	 					}*/
	 					var selectObj = document.frmMessage.messageCategoryTypeId;
						var idx = selectObj.selectedIndex; 
	 					var which = selectObj.options[idx].text;
	 					if(idx==4){
	 						document.frmMessage.subject.value="Patient Education Materials";
	 					}else{
	 						document.frmMessage.subject.value=which+" Inquiry";
	 					}
	                }
					//document.getElementById("messageCategoryTypeId").onchange=listChanged;
				</script>
        		<!-- CR6598 -->
				<label for="subject"><img id="subjectLabel" src="images/spacer.gif" alt="Subject" width="1" height="1" border="0" align="left" /></label>
        		<s:textfield id="subject" name="subject" size="100" maxlength="512" cssClass="sm_subjectLine" cssStyle="width:325px"/></td></tr>
				<!-- File Attachment Switch check for Patient -->
				<s:if test="%{patientAttachmentSwichStatus == 'on'}"> 
					<s:if test="%{patientAllowedToAttachFile == 'YES'}">
					<tr><th scope="row" valign="top">Attach File&nbsp;</label></th>
					<td valign="middle" align="left">
						<%
						    if(nm.getAttachments()!=null){
							Map<Long, String> map = nm.getAttachments();
							for(Map.Entry<Long,String> entry : map.entrySet()) {
  								Long attachmentKey = entry.getKey();
  								String attachmentName = entry.getValue();
						%>		
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<esapi:encodeForHTML><%=AttachmentUtils.getFirstPartOfString(attachmentName)%></esapi:encodeForHTML>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:void(#)" onclick="javascript:removeAttachment('<%=attachmentKey%>');">Remove</a>
							</br>
						<%}}%>
						<%
							int allowedCount = 1; 
							if(request.getAttribute("allowedCount")!=null)
								allowedCount = Integer.parseInt(((String)request.getAttribute("allowedCount")));
							 
							if(nm.getAttachments()==null || nm.getAttachments().size()!=allowedCount){
						%>
							&nbsp;<img src='images/attachment.gif' border="0" alt='attachment picture'/>&nbsp;
							<a href="javascript:void(#)" onclick="javascript:void(attachFile());">Attach a file</a> &nbsp;&nbsp;<a href="${pageContext.request.contextPath}/help.action?content=help/instructionsToAttachAFile.html" target="_smHelp">Instructions to attach a file</a>
						<%}%>
					</td></tr>
					</s:if>						
				</s:if>
</table>
</td></tr>