
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
	import="gov.va.med.mhv.sm.model.TiuNotePreview"
	import="gov.va.med.mhv.sm.model.Message"
	import="java.util.Iterator"
	import="gov.va.med.mhv.sm.util.DateUtils"
%>
<%@page language="java" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<script language="JavaScript" src="js/checkbox.js"></script>
<link rel="stylesheet" media="all" href="css/checkbox.css" type="text/css" />

<% 
	TiuNotePreview preview = (TiuNotePreview)session.getAttribute("notePreview");
	String checkBoxSelectMessage = (String)session.getAttribute("CHECKBOX_ERROR");

%>
<form name="#" action="SaveMessageAsTIU.action" method="POST">
<s:actionerror cssStyle="color:#990000;font-weight:bold;"/>
<%
	if(checkBoxSelectMessage !=null){%>
		<p><font color="red"><b>Please select at least one message to Save as CPRS Progress Note.</b></font></p>
<% 
	session.setAttribute("CHECKBOX_ERROR",null);
	}
%>
<s:fielderror cssStyle="color:#990000;font-weight:bold;"/>
<table width="100%" cellpadding="0" cellspacing="10" border="0" class="sm_midPane sm_topBorder">
					<tr><td width="1000">

<% 
  if(preview == null){
	  return;
  }
	 if (preview.isAddendum() && !preview.isFailedProgressNote()) {
%>		 
					<h4>Append Message to an Existing CPRS Progress Note</h4> 
<%
	 } else {
%>		 
	 				<h4>Create CPRS Progress Note</h4>
<%
	 }
%>
					<table width="100%" cellpadding="0" cellspacing="0" border="0">
						<tr><th scope="column" align="left">Patient Name:</th>
							<th scope="column" align="left">Facility:</th>
							<th scope="column" align="left">Date:</th></tr>
						<tr><td><esapi:encodeForHTML><%=preview.getPatient().getName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=preview.getFacilityName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=DateUtils.getEnglishDateTime(preview.getCreatedDate())%></esapi:encodeForHTML></td>
						</tr>
					</table>
	
<%
	if(preview.isAddendum() && !preview.isFailedProgressNote()){
%>		
					<p><strong>Message Content to Append to CPRS Progress Note:</strong></p>
<%
	} else {
%>		
					<p><strong>Message Content to Save as a CPRS Progress Note:</strong></p> 
<% 
	}

%>		
<table width="100%" cellpadding="0" cellspacing="1" border="0">
<tr>
	<td>
	<%
		if(preview.getProposedMessages()!=null && preview.getProposedMessages().size() > 1){
	%>
		<input type="checkbox" name="selectedMessages" id="selectedMessages" value="All" onClick="selectMessages(this)">&nbsp;&nbsp;<b>Select all message threads</b>
	<%}%>						
	</td>
</tr>
<tr><td><hr></td></tr>
</table>	
  <%-- Add style locally to force wrapping of very long lines
	   Not wrapping long text will push the action buttons of the screen, 
	   which could make the user believe the note had already been saved.
    --%>				
 <style>
	pre 
	{
 			white-space: pre-wrap;       /* css-3 */
 			white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 			white-space: -pre-wrap;      /* Opera 4-6 */
 			white-space: -o-pre-wrap;    /* Opera 7 */
 			word-wrap: break-word;       /* Internet Explorer 5.5+ */
	}
</style>			
<pre>	
<span style="font-family:courier;">
<%=preview.getProposedNote()%>
</span>
</pre>
  
<%
    if(preview.isAddendum()){
%>      	
<%if(request.getAttribute("TIU_ERRORS") == null){ %>			
        </td></tr>
			
        		<tr>
				<% if(preview.getClinicName().equalsIgnoreCase("SECURE MESSAGING")) {%>
				<td align="left">
					<font color="red">
					<b>A SM Clinic has not been associated with your Triage Group.</b>
					</font>
				</td>
				</tr>
				<tr>
				<%}%>
				<td align="left">
					Message thread(s) will be linked to SM Clinic:<b><esapi:encodeForHTML><%=preview.getClinicName()%></esapi:encodeForHTML></b> with CPRS Progress Note Title:<b><esapi:encodeForHTML><%=preview.getCprsTitle()%></esapi:encodeForHTML>.</b>
				</td>
				</tr>
						<tr><td valign="middle" align="left">
				
						<input type="submit" name="append" id="append" value="Add to CPRS Progress Note" style="" class="sm_input_button" title="Add to CPRS Progress Note"/>&nbsp;
				<%} %>  
					<%if(preview.isFailedProgressNote()){%>
						<input type="submit" name="save" id="save" value="Save as CPRS Progress Note" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>&nbsp;		
					<%} %>
						<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;&nbsp;
<%
	} else {	
%>
	<%if(request.getAttribute("TIU_ERRORS") == null){ %>

				<tr>
				<% if(preview.getClinicName().equalsIgnoreCase("SECURE MESSAGING")) {%>
				<td align="left">
					<font color="red">
					<b>A SM Clinic has not been associated with your Triage Group.</b>
					</font>
				</td>
				</tr>
				<tr>
				<%}%>
				<td align="left">
					Message thread(s) will be linked to SM Clinic:<b><esapi:encodeForHTML><%=preview.getClinicName()%></esapi:encodeForHTML></b> with CPRS Progress Note Title:<b><esapi:encodeForHTML><%=preview.getCprsTitle()%></esapi:encodeForHTML>.</b>
				</td>
				</tr>
								
				<tr>
				<td valign="middle" align="left">
							
				<input type="submit" name="save" id="save" value="Save as CPRS Progress Note" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>&nbsp;

		<%} %>		
				<% 
				if(preview.isFailedProgressNote()){%>
					<input type="submit" name="save" id="save" value="Save as CPRS Progress Note" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>&nbsp;
				<%}%>			
				<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;&nbsp;
<% 
	}
%>


</td></tr> 
</table></form>