<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
	import="gov.va.med.mhv.sm.model.TiuNotePreview"
	import="gov.va.med.mhv.sm.model.Message"
	import="java.util.Iterator"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="java.util.List"
	import="java.util.Arrays"
	import="gov.va.med.mhv.sm.web.smActions.SMCPRSNotesWorkloadAction"
	import="org.apache.commons.lang.StringEscapeUtils"
    import="gov.va.med.mhv.sm.util.HyperlinkWrapper"		
%>
<%@page language="java" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<script language="JavaScript" src="js/checkbox.js"></script>
<link rel="stylesheet" media="all" href="css/checkbox.css" type="text/css" />
<% 
	TiuNotePreview preview = (TiuNotePreview)session.getAttribute("notePreview");
	String checkBoxSelectMessage = (String)session.getAttribute("CHECKBOX_ERROR");
	String selectAllChecked ="";
	String[] selectedMessages = null;
	if(session.getAttribute(SMCPRSNotesWorkloadAction.SESSION_SELECTED_MESSAGES_IN_THREAD)!=null){
		selectedMessages = (String[])session.getAttribute(SMCPRSNotesWorkloadAction.SESSION_SELECTED_MESSAGES_IN_THREAD);
	}
	
    List<String> selectedIds = null;	
	if(selectedMessages!=null)
	{
		try
		{
			selectedIds = Arrays.asList(selectedMessages);	
			if(selectedMessages[0]!=null && selectedMessages[0].equalsIgnoreCase("All")){
				selectAllChecked = "checked";
			}
		}catch(Exception e1){}
	}	
	
%>
<form name="#" action="SaveMessageAsTIU.action" method="POST">
 <s:actionerror cssStyle="color:#990000;font-weight:bold;"/>
<%
	if(checkBoxSelectMessage !=null){%>
		<p><font color="red"><b>Please select at least one message to Save as CPRS Progress Note.</b></font></p>
<% 
	session.setAttribute("CHECKBOX_ERROR",null);
	}
%>
<s:fielderror cssStyle="color:#990000;font-weight:bold;"/>
<table width="100%" cellpadding="0" cellspacing="10" border="0" class="sm_midPane sm_topBorder">
					<tr><td width="1000">

<% 
  if(preview == null){
	  return;
  }
	 if (preview.isAddendum() && !preview.isFailedProgressNote()) {
%>		 
					<h4>Append Message to an Existing CPRS Progress Note</h4> 
<%
	 } else {
%>		 
	 				<h4>Create CPRS Progress Note</h4>
<%
	 }
%>
					<table width="100%" cellpadding="0" cellspacing="0" border="0">
						<tr><th scope="column" align="left">Patient Name:</th>
							<th scope="column" align="left">Facility:</th>
							<th scope="column" align="left">Date:</th></tr>
						<tr><td><esapi:encodeForHTML><%=preview.getPatient().getName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=preview.getFacilityName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=DateUtils.getEnglishDateTime(preview.getCreatedDate())%></esapi:encodeForHTML></td>
						</tr>
					</table>
</p>	
<%
	if(preview.isAddendum() && !preview.isFailedProgressNote()){
%>		
					<p><strong>Message Content to Append to CPRS Progress Note:</strong></p>
<%
	} else {
%>		
					<p><strong>Message Content to Save as a CPRS Progress Note:</strong></p> 
<% 
	}
%>
<table width="100%" cellpadding="0" cellspacing="1" border="0">
<tr>
	<td>
	<%
		if(preview.getProposedMessages()!=null && preview.getProposedMessages().size() > 1){
	%>
		<input type="checkbox" name="selectedMessages" id="selectedMessages" value="All" onClick="selectMessages(this)" <%=selectAllChecked%>>&nbsp;&nbsp;<b>Select all message threads</b>
	<%}%>							
	</td>
</tr>
<tr><td><hr></td></tr>
</table>

  <%-- Add style locally to force wrapping of very long lines
	   Not wrapping long text will push the action buttons of the screen, 
	   which could make the user believe the note had already been saved.
    --%>				
 <style>
	pre 
	{
			font-family:courier;
 			white-space: pre-wrap;       /* css-3 */
 			white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 			white-space: -pre-wrap;      /* Opera 4-6 */
 			white-space: -o-pre-wrap;    /* Opera 7 */
 			word-wrap: break-word;       /* Internet Explorer 5.5+ */
	}
</style>			
<span style="font-family:courier;">
<table width="100%" cellpadding="0" cellspacing="1" border="0">
<%
		
		String inputType="checkbox";
		
	for(Message m : preview.getProposedMessages()){
		if(m.getSentDate()!=null){
		String selected="";
		if(selectedIds!=null && selectedIds.contains(m.getId().toString()))
		{
			selected="checked";
		}
		if(preview.getProposedMessages().size()==1)
		{
			selected="checked";
			inputType="hidden";
		}
		%>
		<tr><td><input type="<%=inputType%>" align="left" name="selectedMessages" id="selectedMessages" <%=selected%> value="<%=m.getId()%>">------Original Message------------------------
		</td></tr>
		<tr><td>Sent:  <esapi:encodeForHTML><%=DateUtils.getEnglishDateTime(m.getSentDate())%></esapi:encodeForHTML></td></tr>
		<tr><td>From:  <esapi:encodeForHTML><%= m.getSenderName()%></esapi:encodeForHTML></td></tr>
		<tr><td>To:  <esapi:encodeForHTML><%=m.getRecipientName()%></esapi:encodeForHTML></td></tr>
		<tr><td>Subject:<esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(m.getThread().getSubject())%></esapi:encodeForHTML></td></tr>
		<%if(m.isAttachment()){
		   String attachmentNames = SMCPRSNotesWorkloadAction.getAttachmentNames(m);	
		%>
		<tr><td>Attachments: <esapi:encodeForHTML><%out.print(attachmentNames);%></esapi:encodeForHTML></td></tr>
		<%}%>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td><pre>
		<%=HyperlinkWrapper.encodeHtmlAndEnableHyperlinks(StringEscapeUtils.unescapeHtml(m.getBody()))%>
		</pre></td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
	<%}}
%>
</table>
</span>

<%
    if(preview.isAddendum()){
%>      	
<%if(request.getAttribute("TIU_ERRORS") == null){ %>			
        </td></tr>
			
        		<tr>
				<% if(preview.getClinicName().equalsIgnoreCase("SECURE MESSAGING")) {%>
				<td align="left">
					<font color="red">
					<b>A SM Clinic has not been associated with your Triage Group.</b>
					</font>
				</td>
				</tr>
				<tr>
				<%}%>
				<td align="left">
					Message thread(s) will be linked to SM Clinic:<b><esapi:encodeForHTML><%=preview.getClinicName()%></esapi:encodeForHTML></b> with CPRS Progress Note Title:<b><esapi:encodeForHTML><%=preview.getCprsTitle()%></esapi:encodeForHTML>.</b>
				</td>
				</tr>
						<tr><td valign="middle" align="left">
				
						<input type="submit" name="append" id="append" value="Save without Workload Credit or Increment of Time" style="" class="sm_input_button" title="Add to CPRS Progress Note"/>&nbsp;
				<%} %>  
 
				<%if(preview.isFailedProgressNote()){%>
					<input type="submit" name="append" id="append" value="Save without Workload Credit or Increment of Time" style="" class="sm_input_button" title="Add to CPRS Progress Note"/>&nbsp;		
				<%} %>
				
					<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;&nbsp;						
<%
	} else {	
%>
	<%if(request.getAttribute("TIU_ERRORS") == null){ %>

				<tr>
				<% if(preview.getClinicName().equalsIgnoreCase("SECURE MESSAGING")) {%>
				<td align="left">
					<font color="red">
					<b>No SM Clinic is associated with your Triage Group.</b></br>
					<b>Select a Clinic for this message and notify the SM point of contact to create a default association. <input type="submit" name="changeClinic" id="changeClinic" value="Select Clinic" style="" class="sm_input_button" title="Change Clinic"/></b>
					</font>
				</td>
				</tr>
				<tr>
				<%}else{%>
				<td align="left">
					Message thread(s) will be linked to SM Clinic:<b><esapi:encodeForHTML><%=preview.getClinicName()%></esapi:encodeForHTML></b> with CPRS Progress Note Title:<b><esapi:encodeForHTML><%=preview.getCprsTitle()%></esapi:encodeForHTML>. 
					
				</b>
				</td>
				</tr>
				<tr>
				<td align="left">
					<input type="submit" name="changeClinic" id="changeClinic" value="Change Clinic" style="" class="sm_input_button" title="Change Clinic"/>If you want the workload to be credited to a different Secure Messaging Clinic
				</td>
				</tr>
				<%}%>
				
								
				<tr>
				<td valign="middle" align="left">
				<% if(preview.getClinicName().equalsIgnoreCase("SECURE MESSAGING")) {%>
					<input type="submit" name="save" id="save" value="Save without Workload Credit or Increment of Time" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>&nbsp;
					<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>
				<%}else{%>
					<input type="submit" name="workload" id="workload" value="Save as Workload Credit" style="" class="sm_input_button" title="Save as Workload Credit"/>&nbsp;			
					<input type="submit" name="historical" id="historical" value="Save as Increment of Time" style="" class="sm_input_button" title="Save as Increment of Time"/>&nbsp;
					<input type="submit" name="save" id="save" value="Save without Workload Credit or Increment of Time" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>
					<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;<a href="${pageContext.request.contextPath}/help.action?content=help/clinicianWorkload.html" target="_smHelp">What do these options mean?</a>
				<%}}%>		
				
<% 
				if(preview.isFailedProgressNote()){%>
					<input type="submit" name="save" id="save" value="Save without Workload Credit or Increment of Time" style="" class="sm_input_button" title="Save as CPRS Progress Note"/>
					<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>
				<%}
	}
%>


</td></tr> 
</table></form>