<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
	import="gov.va.med.mhv.sm.model.TiuNotePreview"
	import="gov.va.med.mhv.sm.model.Message"
	import="java.util.Iterator"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="java.util.List"
	import="java.util.Arrays"
	import="gov.va.med.mhv.sm.web.smActions.SMCPRSNotesWorkloadAction"
	import="org.apache.commons.lang.StringEscapeUtils"
	import="gov.va.med.mhv.sm.util.HyperlinkWrapper"	
%>
<%@page language="java" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>

<script language="JavaScript" src="js/checkbox.js"></script>
<link rel="stylesheet" media="all" href="css/checkbox.css" type="text/css" />
<% 
	TiuNotePreview preview = (TiuNotePreview)session.getAttribute("notePreview");
	String checkBoxSelectMessage = (String)session.getAttribute("CHECKBOX_ERROR");
	
	String[] selectedMessages = null;
	String selectAllChecked ="";
	if(session.getAttribute(SMCPRSNotesWorkloadAction.SESSION_SELECTED_MESSAGES_IN_THREAD)!=null){
		selectedMessages = (String[])session.getAttribute(SMCPRSNotesWorkloadAction.SESSION_SELECTED_MESSAGES_IN_THREAD);
	}
	
    List<String> selectedIds = null;	
	if(selectedMessages!=null)
	{
		try
		{
			selectedIds = Arrays.asList(selectedMessages);	
			if(selectedMessages[0]!=null && selectedMessages[0].equalsIgnoreCase("All")){
				selectAllChecked = "checked";
			}
		}catch(Exception e1){}
	}	
	
%>
<form name="#" action="SaveMessageAsTIU.action" method="POST">
<s:actionerror cssStyle="color: red;font-weight:bold;"/>
<%
	if(checkBoxSelectMessage !=null){%>
		<p><font color="red"><b>Please select atleast one message to Save as CPRS Progress Note</b></font></p>
<% 
	session.setAttribute("CHECKBOX_ERROR",null);
	}
%>
<!--<s:fielderror cssStyle="color: red;font-weight:bold;"/>-->
<table width="100%" cellpadding="0" cellspacing="10" border="0" class="sm_midPane sm_topBorder">
					<tr><td width="1000">

<% 
  if(preview == null){
	  return;
  }
	 if (preview.isAddendum()) {
%>		 
					<h4>Append Message to an Existing CPRS Progress Note</h4> 
<%
	 } else {
%>		 
	 				<h4>Create CPRS Progress Note</h4>
<%
	 }
%>
					<table width="100%" cellpadding="0" cellspacing="0" border="0">
						<tr><th scope="column" align="left">Patient Name:</th>
							<th scope="column" align="left">Facility:</th>
							<th scope="column" align="left">Date:</th></tr>
						<tr><td><esapi:encodeForHTML><%=preview.getPatient().getName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=preview.getFacilityName()%></esapi:encodeForHTML></td>
							<td><esapi:encodeForHTML><%=DateUtils.getEnglishDateTime(preview.getCreatedDate())%></esapi:encodeForHTML></td></tr>
					</table>
					
</p>		
<%
	if(preview.isAddendum()){
%>		
					<p><strong>Message Content to Append to CPRS Progress Note:</strong></p>
<%
	} else {
%>		
					<p><strong>Message Content to Save as a CPRS Progress Note:</strong></p> 
<% 
	}
%>
<table width="100%" cellpadding="0" cellspacing="1" border="0">
<tr>
	<td>
	<%
		if(preview.getProposedMessages()!=null && preview.getProposedMessages().size() > 1){
	%>
		<input type="checkbox" name="selectedMessages" id="selectedMessages" value="All" onClick="selectMessages(this)" <%=selectAllChecked%>>&nbsp;&nbsp;<b>Select all message threads</b>
	<%}%>						
	</td>
</tr>
<tr><td><hr></td></tr>
</table>		
  <%-- Add style locally to force wrapping of very long lines
	   Not wrapping long text will push the action buttons of the screen, 
	   which could make the user believe the note had already been saved.
    --%>				
 <style>
	pre 
	{
			font-family:courier;
			white-space: pre-wrap;       /* css-3 */
 			white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 			white-space: -pre-wrap;      /* Opera 4-6 */
 			white-space: -o-pre-wrap;    /* Opera 7 */
 			word-wrap: break-word;       /* Internet Explorer 5.5+ */
	}
</style>			
<span style="font-family:courier;">
<table width="100%" cellpadding="0" cellspacing="1" border="0">
<%
		
		String inputType="checkbox";
		
	for(Message m : preview.getProposedMessages()){
		String selected="";
		if(selectedIds!=null && selectedIds.contains(m.getId().toString()))
		{
			selected="checked";
		}
		if(preview.getProposedMessages().size()==1)
		{
			selected="checked";
			inputType="hidden";
		}
		%>
		<tr><td><input type="<%=inputType%>" name="selectedMessages" id="selectedMessages"  <%=selected%> value="<%=m.getId()%>">------Original Message------------------------</td></tr>
		<tr><td>Sent:  <esapi:encodeForHTML><%=DateUtils.getEnglishDateTime(m.getSentDate())%></esapi:encodeForHTML></td></tr>
		<tr><td>From:  <esapi:encodeForHTML><%= m.getSenderName()%></esapi:encodeForHTML></td></tr>
		<tr><td>To:  <esapi:encodeForHTML><%=m.getRecipientName()%></esapi:encodeForHTML></td></tr>
		<tr><td>Subject:<esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(m.getThread().getSubject())%></esapi:encodeForHTML></td></tr>
		<%if(m.isAttachment()){
		   String attachmentNames = SMCPRSNotesWorkloadAction.getAttachmentNames(m);	
		%>
		<tr><td>Attachments: <esapi:encodeForHTML><%out.print(attachmentNames);%></esapi:encodeForHTML>
		<%}%>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td><pre>
		<%=HyperlinkWrapper.encodeHtmlAndEnableHyperlinks(StringEscapeUtils.unescapeHtml(m.getBody()))%>
		</pre></td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
		<tr><td>&nbsp;&nbsp;</td></tr>
	<%}
%>
</table>
</span>
  
<%
    if(preview.isAddendum()){
%>      	
<%if(request.getAttribute("TIU_ERRORS") == null){ %>			
        </td></tr>
						<tr><td valign="middle" align="left">
				
						<input type="submit" name="append" id="append" value="Add to CPRS Progress Note" style="" class="sm_input_button" title="Add to CPRS Progress Note"/>&nbsp;
				<%} %>  
						<input type="submit" name="cancel" id="cancel" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;&nbsp;
<%
	} else {	
%>
	<%if(request.getAttribute("TIU_ERRORS") == null){ %>
			<s:fielderror cssStyle="color: red;font-weight:bold;">
          		<s:param>clinicError</s:param>
			</s:fielderror>
			<span class="required">*</span> Indicates Required Information
			<table>
				<tr>
				<th align="left">Select SM Clinic<span class="required">*</span></th>
				<th align="left">Select CPRS Progress Note Title<span class="required">*</span></th>
				</tr>
				<tr>
					<td  align="left">
						<label for="clinicIen" class="mhv-hidden-label">Select a SM Clinic</label>
						<s:select id="clinicIen" name="clinicIen" list="providerClinics"  headerKey="-1" headerValue="Select a SM Clinic" value="defaultClinic" />
					</td>
					<td align="left">
						<label for="noteTitle" class="mhv-hidden-label">Select a CPRS Progress Note Title</label>
						<s:select id="noteTitle" name="noteTitle" list="cprsTitles"  headerKey="-1" headerValue="Select a CPRS Progress Note Title"  value="defaultTitle" />
					</td>

				</tr>
				<tr>
				</tr>
				</table>
				<tr>
				<td valign="middle" align="left">
							
				<input type="submit" name="selectClinicAndTitle" id="selectClinicAndTitle" value="Select" style="" class="sm_input_button" title="Select"/>&nbsp;

		<%} %>		
				<input type="submit" name="cancelClinicAndTitle" id="cancelClinicAndTitle" value="Cancel" style="" class="sm_input_button" title="Cancel"/>&nbsp;&nbsp;
<% 
	}
%>


</td></tr> 
</table></form>