<!-- START PREFERENCES SURROGATE MESSAGE FORWARDING -->
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page  session="true" 
	import="java.util.List"	
	import="gov.va.med.mhv.sm.model.TriageGroup"
	import="gov.va.med.mhv.sm.model.User"
	import="gov.va.med.mhv.sm.model.Clinician"
	import="gov.va.med.mhv.sm.model.MailParticipant"
	import="gov.va.med.mhv.sm.web.smActions.Preferences"
	import="gov.va.med.mhv.sm.web.form.StaffOrTriageVO"
	import="gov.va.med.mhv.sm.web.form.AssignSurrogates"
%>
<script language="JavaScript" src="js/calendar_us.js"></script>
<link rel="stylesheet" href="css/calendar.css">
<%
  User user = (User)request.getSession().getAttribute("user");
  Clinician c = (Clinician)user;
%>		

<script language="JavaScript">
  function showhidefields(cbEl, time1El, time2El,index)
  {
    if (!cbEl.checked)
    {
	  document.getElementById(time1El).style.visibility = "visible";
	  document.getElementById(time2El).style.visibility = "visible";
    }
    else
    {
	  document.getElementById(time1El).options[index].text="12:00 AM";
	  document.getElementById(time1El).options[index].selected=true;

	  document.getElementById(time2El).options[index].text="11:59 PM";
	  document.getElementById(time2El).options[index].selected=true;
      
	  document.getElementById(time1El).style.visibility = "hidden";
	  document.getElementById(time2El).style.visibility = "hidden";
    }
  }
  
  function clearfields(staffEl, date1El, time1El, date2El, time2El,index)
  {
		document.getElementById(staffEl).value = "<%=Preferences.SURROGATE_DEFAULT_VALUE%>";
		document.getElementById(time1El).options[index].text="12:00 AM";
		document.getElementById(time1El).options[index].selected=true;
		document.getElementById(time2El).options[index].text="11:59 PM";
		document.getElementById(time2El).options[index].selected=true;
		
		var now = new Date();
		var curr_date = now.getDate();
		var curr_month = now.getMonth();
		curr_month++;
		var curr_year = now.getFullYear();
		var todayStr = curr_month+"/"+curr_date+"/"+curr_year;
		
		document.getElementById(date1El).value = todayStr;
		document.getElementById(date2El).value = todayStr;
  }
  
  function selectOption(el, val) {
    var el = document.getElementById(el);
	for (i=0; i <= el.options.length - 1;i++)
	{
		if(el.options[i].value == val || el.options[i].text == val) {
  	  	  el.options[i].selected = true;
		  break;
		}
	}
  }
  
  function jumpToAnchor() {
  	window.location.hash = "Surrogate_Message_Forwarding";
  }
</script>
<a name="Surrogate_Message_Forwarding"></a>
<form id="frmAssignSurrogates" name="assignSurrogatesForm" action="assignSurrogates.action" method="POST">	
<s:token/>
<table width="1050" cellpadding="0" cellspacing="0" border="0" class="prefBoxLong">
  <tbody class="prefBoxMidTopLong">
  <tr>
    <td><img src="images/sms/pref_box_top_long.jpg" width="1050" height="7" alt="Preference Top Box" border="0" /></td>
  </tr>
  <tr><td valign="top" align="left">
      <h4>Surrogate Message Forwarding</h4>      
      <s:fielderror cssStyle="color:#990000;font-weight:bold;">
          <s:param>assignSurrogatesForm</s:param>
      </s:fielderror>
      <p class="noMar">Forward any messages that get assigned to you to another Clinician who uses Secure Messaging or a Triage Group.</p>
	</td></tr>
	<tr><td>&nbsp;</td></tr>
	<tr><td>
		<table cellpadding="0" cellspacing="0" border="0">
			<tbody><tr><td width="250">Surrogate (Staff/Triage Group)
			</td>
			<td>From Date
			</td>
			<td>To Date
			</td>
			<td>All day
			</td>
			</tr>
<% 
List<StaffOrTriageVO> staff = (List<StaffOrTriageVO>)request.getAttribute(Preferences.STAFFANDTRIAGE);
staff.add(0, new StaffOrTriageVO(Preferences.SURROGATE_DEFAULT_VALUE, Preferences.SURROGATE_DEFAULT_VALUE));
List<AssignSurrogates> surrogates = (List<AssignSurrogates>)request.getAttribute(Preferences.SURROGATES);

int i = 0;
for(AssignSurrogates s:surrogates) {%>
			<tr>
				<td>
				<label for="staffOrTriage<%=i %>">
					<img id="staffOrTriage<%=i %>Label" width="1" border="0" height="1" align="left" alt="Select Staff or Triage Group" src="images/spacer.gif">
				</label>
				<select id="staffOrTriage<%=i %>" name="assignSurrogates[<%=i %>].id">
				<% for(StaffOrTriageVO st:staff) {%>
				      <option value="<%=st.getId() %>" <%= s.getStaffOrTriageValue().equals(st.getId())?"selected":"" %>><esapi:encodeForHTML><%=st.getName()%></esapi:encodeForHTML> </option>
				<% }%>
				</select></td>
				<td>
				<label for="startDate<%=i %>">
					<img id="startDate<%=i %>Label" width="1" border="0" height="1" align="left" alt="Select Start Date" src="images/spacer.gif">
				</label>
				<input id="startDate<%=i %>" name="assignSurrogates[<%=i %>].startDate" type="text" size="10" value="<esapi:encodeForHTMLAttribute><%=s.getStartDate()%></esapi:encodeForHTMLAttribute>"/><script language="JavaScript">
					new tcal ({'formname': 'assignSurrogatesForm','controlname': 'startDate<%=i %>'});
		 		</script>
				<label for="startTime<%=i %>">
					<img id="startTime<%=i %>Label" width="1" border="0" height="1" align="left" alt="Select Start Time" src="images/spacer.gif">
				</label>
				<select id="startTime<%=i %>" name="assignSurrogates[<%=i %>].startTime" value="<esapi:encodeForHTMLAttribute><%=s.getStartTime()%></esapi:encodeForHTMLAttribute>"><jsp:include page="../global/timeSelect.jsp"></jsp:include></select></td>
				<td>
				<label for="endDate<%=i %>">
					<img id="endDate<%=i %>Label" width="1" border="0" height="1" align="left" alt="Select End Date" src="images/spacer.gif">
				</label>				
				<input id="endDate<%=i %>" name="assignSurrogates[<%=i %>].endDate" type="text" size="10" value="<esapi:encodeForHTMLAttribute><%=s.getEndDate()%></esapi:encodeForHTMLAttribute>"/><script language="JavaScript">
					new tcal ({'formname': 'assignSurrogatesForm','controlname': 'endDate<%=i %>'});
		 		</script>
				<label for="endTime<%=i %>">
					<img id="endTime<%=i %>Label" width="1" border="0" height="1" align="left" alt="Select End Time" src="images/spacer.gif">
				</label>
				<select id="endTime<%=i %>" name="assignSurrogates[<%=i %>].endTime" value="<esapi:encodeForHTMLAttribute><%=s.getEndTime()%></esapi:encodeForHTMLAttribute>"><jsp:include page="../global/timeSelect.jsp"></jsp:include></select></td>
				<td align="center">
				<label for="allday<%=i %>">
					<img id="allday<%=i %>Label" width="1" border="0" height="1" align="left" alt="All Day?" src="images/spacer.gif">
				</label>				
				<input id="allday<%=i %>" name="assignSurrogates[<%=i %>].allDay" type="checkbox" onclick="showhidefields(allday<%=i %>, 'startTime<%=i %>', 'endTime<%=i %>',<%=i%>)"></td>
				<td><a title="clear" href="javascript: clearfields('staffOrTriage<%=i %>','startDate<%=i %>','startTime<%=i %>','endDate<%=i %>','endTime<%=i %>',<%=i%>);">clear</a></td>
			</tr>
			<% if(s.getAllDayBool()) { %> 
			   <script language="JavaScript"> document.getElementById('allday<%=i%>').click(); </script>
			<% } else { %>
			   <script language="JavaScript"> selectOption('startTime<%=i %>','<esapi:encodeForJavaScript><%=s.getStartTime()%></esapi:encodeForJavaScript>'); selectOption('endTime<%=i %>','<esapi:encodeForJavaScript><%=s.getEndTime()%></esapi:encodeForJavaScript>');</script>
			<% } %>
<%i++;
 } %>
			</tbody>
		</table>
	</td>
  </tr>
  <tr>
  	<td align="right">
		<input type="submit" id="apply" name="apply" value="Apply" class="sm_input_button"/> &nbsp;&nbsp;
  	</td>
  </tr>
  <tr><td><img src="images/sms/pref_box_btm_long.jpg" width="1050" height="7" alt="Preference Bottom Box" border="0" /></td></tr>
  </tbody>
</table>
</form>

<% if(request.getAttribute("apply") != null) { %> <script language="JavaScript"> jumpToAnchor(); </script> <% } %>

 <!-- END PREFERENCES SURROGATE MESSAGE FORWARDING -->

