<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page
	import="gov.va.med.mhv.sm.web.utils.ut"
	import="gov.va.med.mhv.sm.model.Folder"
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.model.Annotation"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="gov.va.med.mhv.sm.web.smActions.ReadMessage"
	import="java.util.Collections"
	import="java.util.List"
	import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"	
	import="gov.va.med.mhv.sm.enumeration.ClinicianStatusEnum"
	import="org.owasp.esapi.ESAPI"
%>

<%
  gov.va.med.mhv.sm.web.utils.ut U=new gov.va.med.mhv.sm.web.utils.ut();
  String currFolder = ((Folder)request.getSession().getAttribute("currentFolder")).getName();

  Message currentMessage = (Message)request.getSession().getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
  List<Annotation> l = currentMessage.getThread().getAnnotations();
%>
<script language="JavaScript" src="js/calendar_us.js"></script>
<link rel="stylesheet" href="css/calendar.css">

<script language="javascript">
<s:property value="surrogateArray"/>

function onchangeAssignTo(){
    idx = document.getElementById("assignee").selectedIndex;
    document.getElementById("surrogateDiv").innerHTML = surrogateArray[idx];
    document.getElementById("surrogateEnabled").value = surrogateArray[idx];
}

function reassign()
{
   document.AssignStatusAnotForm.action="reassign.action";
   document.AssignStatusAnotForm.submit();
}

function messageStatusChange()
{
	
    statusId = document.AssignStatusAnotForm.MessageStatusID.value;
	if(statusId==20)
	{
		document.getElementById("sm_messageReminder").style.visibility="visible";
	}
	else
	{
		document.getElementById("sm_messageReminder").style.visibility="hidden";
	}
    
}

function showReminderDate(flag){
	if(flag=='Yes'){
		document.getElementById("sm_messageReminderDate").style.visibility="visible";
	}
	else
	{	
		document.getElementById("sm_messageReminderDate").style.visibility="hidden";
	}
}



</script>




<table width="100%" cellpadding="0" cellspacing="0" border="0" class="sm_assignForm">
    <tr>
      <td>
      <strong>Internal Healthcare Team Communications</strong>
      <hr/>
      </td>
    </tr>
	<tr>
		<td>
			<form name="AssignStatusAnotForm" action="AssignStatusAnot.action" id="AssignStatusAnotForm" method="POST">
			<div id="sm_assignTo">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<th scope="column" valign="bottom" align="left">Assign to:</th>
					</tr>
					<tr>
					  <td valign="top" align="left">
					    <s:if test="%{reassign}">
					    <s:if test="%{sentFolder!=true}">
					    	<%if(!currFolder.equals("Reassign")){%> 
                          		<%=U.getHTMLforMessageAssignedToCombo(request.getSession()) %>
                          	<%}%>	
                          <%-- surrogate --%>
                          <br/><s:label id="surrogateDiv" name="surrogate" /><br/>
                          <input type="hidden" id="surrogateEnabled" name="surrogateEnabled"/>
                         </s:if>  
					    </s:if>
					    <s:else>
					      <%-- the assignment is done so show the name, surrogate and reassign link --%>
					        <esapi:encodeForHTML><%=currentMessage.getAssignedTo().getLastName()+", "+currentMessage.getAssignedTo().getFirstName()%></esapi:encodeForHTML>
					      <%-- surrogate --%>
                          <br/><s:label id="surrogateDiv" name="surrogate" />
                          
                          <%
						   if(currentMessage.getStatus().equals(ClinicianStatusEnum.INPROCESS)){
						  %>
                          <s:if test="%{sentFolder!=true}">
                            <%if(!currFolder.equals("Reassign")){%> 
                            	<br/><a href="#" onclick="javascript:reassign()">Reassign Within Your Team</a>
                            <%}%>
                          </s:if>
                          <%}%>
					    </s:else>
					    
				      </td>
					</tr>
				</table>
			</div>
			<div id="sm_messageStatus">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<th scope="column" valign="bottom" align="left">Message Status:</th>
					</tr>
					<tr>
					  <td valign="top" align="left">
					    <s:if test="%{statusSelect}">
					      <%=U.getHTMLforMessageStatusCombo(request.getSession())%>
					    </s:if>
					    <s:else>
					      <esapi:encodeForHTML><%=currentMessage.getStatus().getStatus()%></esapi:encodeForHTML>
					      	<%if(!currFolder.equals("Reassign") && !currFolder.equals("Completed")){%>
					        	<a href="<s:url action="status"/>">Change Status?</a>
					      	<%}%>  
					    </s:else>
				      </td>
					</tr>
					<tr>
						<th scope="column" valign="bottom" align="left">Previous Comments(<%=l.size() %>)</th>
					</tr>					
				</table>
			</div>
				
			<div id="sm_messageReminder" style="visibility:hidden">
					<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<th scope="column" valign="bottom" align="left">Set Message Reminder:</th>
							
					</tr>
					<tr>	
						<td><input type="radio" id="reminder" name="reminder" value="Yes" onclick="showReminderDate('Yes')">Yes &nbsp;
							<input type="radio" id="reminder" name="reminder" value="No" checked onclick="showReminderDate('No')"> No
						</td>
					</tr>	
					</table>
				<div id="sm_messageReminderDate" style="visibility:hidden">
					<table>
						<th><label for="reminderDate">Reminder Date</label></th>
						<tr>
						<td> <input	id="reminderDate" name="reminderDate" type="text" size="10" value=""/>
						<script language="JavaScript"> new tcal ({'formname': 'AssignStatusAnotForm','controlname': 'reminderDate'});</script>
					    </td>
					    </tr>
					 </table>
				</div>
			</div>
			<%if(!currFolder.equals("Reassign")){%>
			<div id="sm_enterComment">
				<table width="100%" cellpadding="0" cellspacing="5" border="0">
					
					<tr>
						<th scope="column" valign="bottom" align="left" id="enterAComment">Enter a Comment:</th>
					</tr>
					
					<tr>
						<td valign="top" align="center">
				         	<% 
								
								String annotationText = (String)session.getAttribute("MessageAnnotation");
								if(annotationText == null || annotationText =="") annotationText="";
							%>
							<textarea name="MessageAnnotation" rows="4" aria-labelledby="enterAComment"><esapi:encodeForHTML><%=annotationText%></esapi:encodeForHTML></textarea>
						</td>
					</tr>
					
				</table>
			</div>
			<div id="sm_commentSubmit">
			<input type="submit" name="AssignStatusAnotFormSubmit" value="Submit" class="sm_input_button" title="Submit"/>
			</div>
			<%}%>
			</form>
		</td>
	</tr>
	<tr>
	  <td>
	    <strong>THIS INFORMATION IS NOT INCLUDED IN MESSAGES SENT TO PATIENT</strong>
	  </td>
	</tr>
</table>
