<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<div class="sm_message_buttons">

<%@ page session="true"
    import="java.util.List"
    import="gov.va.med.mhv.sm.model.Clinician"
    import="gov.va.med.mhv.sm.model.Message"
    import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
    import="gov.va.med.mhv.sm.enumeration.ClinicianStatusEnum"
    import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"    
    import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum"    
    import="gov.va.med.mhv.sm.model.Folder"
%>

<%  
  Clinician user = (Clinician)session.getAttribute(AbstractInboxAction.CURRENT_USER);
  Message m = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
  Folder curFolder=(Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);
  List<Folder> folders=user.getMailbox().getUserFolders(); 
  
%>
<%
  if(m.isActive() && m.getStatus() != ClinicianStatusEnum.COMPLETE){
  	if(!(curFolder.getName()).equals(SystemFolderEnum.REASSIGN.getName()) && !(curFolder.getName()).equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName()))
  	{
%>
<form name="1" action="reply.action" method="POST" style="float:left;">
<input type="submit" border="0" name="smReply" value="Reply" title="Reply" class="sm_input_button"/>
&nbsp;</form>
<%
  }}
if((curFolder.getName()).equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName())){
%>
	<form name="3" action="SaveMessageAsTIU.action" method="POST" style="float:left;">
		<input type="submit" alt="Save as CPRS Progress Note" border="0" name="smSaveTIU" value="Save as CPRS Progress Note" title="Save as CPRS Progress Note" class="sm_input_button"/>&nbsp;
	</form>
<%
}
if((curFolder.getName()).equals(SystemFolderEnum.SENT.getName())){
		if(m.isActive() && m.getRecipientType().equals(ParticipantTypeEnum.PATIENT)){
%>

	<form name="3" action="SaveMessageAsTIU.action" method="POST" style="float:left;">
		<input type="submit" alt="Save as CPRS Progress Note" border="0" name="smSaveTIU" value="Save as CPRS Progress Note" title="Save as CPRS Progress Note" class="sm_input_button"/>&nbsp;
	</form>
<%}
	if(m.getRecipientType().equals(ParticipantTypeEnum.PATIENT) || m.getRecipientType().equals(ParticipantTypeEnum.DISTRIBUTION_GROUP) ){%>
		
		<form name="viewMessageStatusForm" id="viewMessageStatusForm" action="viewMessageStatus.action" target="_smMessageStatus" method="POST" style="float:left;">
			<input type="submit" id="messageStatusSubmit" name="messageStatusSubmit" value="View Message Status" class="sm_input_button" title="View Message Status"/>
		</form> 
		
		<s:if test="%{messageRecallStatus!='Recalled'}"> 
			<form name="4" action="ReadMessage.action" method="POST" style="float:left;">
				<input type="submit" alt="Recall Message" border="0" name="smRecallMessage" value="Recall Message" title="Recall Message" class="sm_input_button"/>
				<input type="hidden" name="messageId" value="<esapi:encodeForHTMLAttribute><%=m.getId()%></esapi:encodeForHTMLAttribute>"/>
				<input type="hidden" name="pwin" value="recall"/>
			</form>
		</s:if>	

	<%}

}%>



<form name="moveMsgForm" id="moveMsgForm" action="moveMyMessage.action" method="POST" style="float:left;">
  	<%
    	if(!((curFolder.getName()).equals(SystemFolderEnum.ESCALATED.getName()) || (curFolder.getName()).equals(SystemFolderEnum.COMPLETED.getName())|| 
    	(curFolder.getName()).equals(SystemFolderEnum.DRAFTS.getName()) || (curFolder.getName()).equals(SystemFolderEnum.SENT.getName()) 
		|| (curFolder.getName()).equals(SystemFolderEnum.REMINDER.getName()) || (curFolder.getName()).equals(SystemFolderEnum.REASSIGN.getName())
		|| (curFolder.getName()).equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName())
		)){
  	%>
	<label for="msgFolderSelect">
		<img id="moveMsgFolderLabel" width="1" border="0" height="1" align="left" alt="Move Message to Folder" src="images/spacer.gif">
	</label>
	<select name="moveMsgFolder" id="msgFolderSelect">
  		<option value="MoveSelectedto" selected>Move Selected to ...</option>
  		<% if(!((curFolder.getName()).equals(SystemFolderEnum.INBOX.getName()))){%>
  	 	<option value="<%=SystemFolderEnum.INBOX.getId()%>"><esapi:encodeForHTML><%=SystemFolderEnum.INBOX.getName()%></esapi:encodeForHTML></option>
  		<%}%>

  		<% if( folders != null){
  			for(Folder f: folders){  
  				if(!((curFolder.getName()).equals(f.getName()))){%>
  				<option value="<%=f.getId()%>"><esapi:encodeForHTML><%=f.getName()%></esapi:encodeForHTML></option>
  		<%		}
  			}
  		}%>	
    	</select>
    	<input type="submit" id="msgSubmit" name="msgSubmit" value="Move" class="sm_input_button" title="Move"/>
	<% } %>
 </form>
  
  <% // As per the CR 4863, we need to comment the code for checking the user is provider, as per CR, all the triage member can able to save the message to CPRS %>
 <% //if(user.isProvider()){
	
	// The following checking m.getSenderType() equals "PATIENT", then show the 'Save as CPRS Progress Note' else don't show. refer CR-4127.
	if((m.getSenderType().equals(ParticipantTypeEnum.PATIENT)) && !(curFolder.getName().equals(SystemFolderEnum.REASSIGN.getName())) && !(curFolder.getName().equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName()))) { 
	%>
<form name="3" action="SaveMessageAsTIU.action" method="POST" style="float:left;"><input type="submit" alt="Save as CPRS Progress Note" border="0" name="smSaveTIU" value="Save as CPRS Progress Note" title="Save as CPRS Progress Note" class="sm_input_button"/>&nbsp;</form>
<% if(curFolder.getName().equals(SystemFolderEnum.COMPLETED.getName())){%>
<form name="3" action="completedReAssignment.action" method="POST" style="float:left;"><input type="submit" alt="Reassign Message" border="0" name="smReAssign" value="Reassign Message" title="Reassign Message" class="sm_input_button"/>&nbsp;</form>
<%}}%> 

<%
	if(curFolder.getName().equals(SystemFolderEnum.INBOX.getName()))
	{
		if(m.getSenderType().equals(ParticipantTypeEnum.PATIENT)){ %>
			<form name="3" action="completeMessage.action" method="POST" style="float:left;"><input type="submit" alt="Complete Message" border="0" name="completeMessage" value="Complete Message" title="Complete Message" class="sm_input_button"/>&nbsp;</form>
		<%}else{%>
	<form name="3" action="completeMessage.action" method="POST" style="float:left;"><input type="submit" alt="Complete Message" border="0" name="providerCompleteMessageSubmit" value="Complete Message" title="Complete Message" class="sm_input_button"/>&nbsp;</form>
<%}}%>

<% if(!(curFolder.getName()).equals(SystemFolderEnum.CPRSPROGRESSALERTS.getName())){%>
<form name="printMsgForm" id="printMsgForm" action="${pageContext.request.contextPath}/printMessage.action" target="_smPrint" method="POST" style="float:left;">
  		<input type="submit" id="printSubmit" name="printSubmit" value="Print Message" class="sm_input_button" title="Print Message"/>
</form> 
<%}%>
<% if((curFolder.getName()).equals(SystemFolderEnum.REASSIGN.getName())){%>
<form name="messageHistoryForm" id="messageHistoryForm" action="reAssignMessageHistoryTabular.action" target="_smReAssignHistory" method="POST" style="float:left;">

    	<input type="submit" id="messageHistorySubmit" name="messageHistorySubmit" value="Message History" class="sm_input_button" title="Message History"/>
</form> 
<%}%>

<%
  	if(curFolder.getName().equals(SystemFolderEnum.INBOX.getName()) || curFolder.getName().equals(SystemFolderEnum.ESCALATED.getName()) || !curFolder.isSystemFolder())
	{
		if(m.getSenderType().equals(ParticipantTypeEnum.PATIENT)){
	%>
		<form name="6" action="reAssignMessageWithInTriage.action" method="POST" style="float:left;"><input type="submit" alt="Reassign Message" border="0" name="reassignMessage" value="Reassign Message" title="Reassign Message" class="sm_input_button"/>&nbsp;</form>
	
<% }}%>

<form name="closeMsgForm" id="closeMsgForm" action="closeMessage.action" method="POST" style="float:right;">
	<input type="submit" id="msgSubmit" name="msgSubmit" value="Close" class="sm_input_button" title="Close"/>
</form>
</div>