<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<script language="javascript">
function acceptPDF(){
	 var pdfCnt=document.getElementById("pdfCnt").value;
	 for(i=1;i<=pdfCnt;i++){
	 	var enableElement="enableDownloadLink"+i;
	 	document.getElementById(enableElement).style.display="inline";
	 	var disableElement="disableDownloadLink"+i;
	 	document.getElementById(disableElement).style.display="none";
	 }
	 document.getElementById("accept").disabled=true;
	 document.getElementById("accept").className="";
	 document.getElementById("decline").disabled=true;
	 document.getElementById("decline").className="";
}

function declinePDF(){
 	document.getElementById("accept").disabled=true;
	 document.getElementById("accept").className="";
	 document.getElementById("decline").disabled=true;
	 document.getElementById("decline").className="";
}

</script>

<%@ page session="true"
	import="java.util.Map"
	import="org.apache.commons.logging.Log"
  	import="org.apache.commons.logging.LogFactory"
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.model.Folder"
	import="gov.va.med.mhv.sm.model.Addressee"
	import="gov.va.med.mhv.sm.model.MessagesPage"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
	import="gov.va.med.mhv.sm.enumeration.ParticipantTypeEnum"
	import="gov.va.med.mhv.sm.enumeration.UserTypeEnum"
	import="gov.va.med.mhv.sm.web.smActions.ReadMessage"
	import="gov.va.med.mhv.sm.model.User"
	import="org.apache.commons.lang.StringEscapeUtils"
%>
<%!private static Log log =LogFactory.getLog("jsp.gov.va.med.mhv.sm.readMessage.messageHeader");%>
<%
	Message msg = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE); 
	String sentDate = DateUtils.getEnglishDateTime(msg.getSentDate());
	Folder currentFolder = (Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);	
	MessagesPage messages = currentFolder.getMessages();	

	User user = (User)session.getAttribute(AbstractInboxAction.CURRENT_USER);
	boolean hasPrev = false;
	boolean hasNext = false;
	int count = currentFolder.getCount();
	int msgLastIndex = 0;
%>

<%	try{
		Addressee a;
		try{
		msgLastIndex = (count%(messages.getPageSize())) - 1;
		
		if(messages.hasNextPage()){
			hasNext = true;
		}else{
	  		a = messages.getElements().get(msgLastIndex);
	  		if((msg.getId()).equals(a.getMessage().getId())){
			  hasNext = false;
			}else{
			  hasNext = true;
			}
	  	
		}
		}catch(Exception e1){
			
		}
		
		if(messages.hasPreviousPage()){
			hasPrev = true;
		}else{
	  		a = messages.getElements().get(0);
	  		if((msg.getId()).equals(a.getMessage().getId())){
			  hasPrev = false;
			}else{
			  hasPrev = true;
			}	  	
		}		
	
	}catch(Exception e){log.error("Error occured in Read Message Pagination"+e);}
%>

<%	String pipe = "";
	if(hasPrev && hasNext){
	  pipe = "|";
	}
%>
<%
  gov.va.med.mhv.sm.web.utils.ut U=new gov.va.med.mhv.sm.web.utils.ut();
%>  


				<tr><td valign="top" align="left">
				<div class="sm_prevNext_buttons">
					<table cellpadding="0" cellspacing="0" border="0">
					<%if(hasPrev){%>
						<tr><td valign="middle" align="right"><a href="ReadMessagePrev.action?messageId=<esapi:encodeForHTMLAttribute><%=msg.getId()%></esapi:encodeForHTMLAttribute>"><img src="images/btn_prevMsg.gif" width="13" height="12" alt="Previous Message" border="0" /></a></td>
						<td valign="middle" align="left">&nbsp;<a href="ReadMessagePrev.action?messageId=<esapi:encodeForHTMLAttribute><%=msg.getId()%></esapi:encodeForHTMLAttribute>">Previous Message</a></td>
					<%}%>
						<td valign="middle" align="center">&nbsp;&nbsp;<esapi:encodeForHTML><%=pipe%></esapi:encodeForHTML>&nbsp;&nbsp;</td>
					<%if(hasNext){%>
						<td valign="middle" align="right"><a href="ReadMessageNext.action?messageId=<esapi:encodeForHTMLAttribute><%=msg.getId()%></esapi:encodeForHTMLAttribute>">Next Message</a>&nbsp;</td>
						<td valign="middle" align="left"><a href="ReadMessageNext.action?messageId=<esapi:encodeForHTMLAttribute><%=msg.getId()%></esapi:encodeForHTMLAttribute>"><img src="images/btn_nextMsg.gif" width="13" height="12" alt="Next Message" border="0" /></a>
					<%}%>
						</td></tr></table>
						</div>
				<table cellpadding="0" cellspacing="0" border="0" class="sm_addressMessage">
					<tr><th scope="row" width="100">Sent:</th>
						<td align="left"><esapi:encodeForHTML><%=sentDate%></esapi:encodeForHTML></td></tr>
					<tr><th scope="row">From:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getSenderName()%></esapi:encodeForHTML>  
						<% 
								if(msg.getSenderType().equals(ParticipantTypeEnum.PATIENT))
								{	
						%>
							    	  <%=U.getPatientLastFourSSN(session,msg.getSenderId())%>
						<%
								}
						%>
						</td></tr>
					<tr><th scope="row">To:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getRecipientName()%></esapi:encodeForHTML></td></tr>
					<%if(user.getUserType().equals(UserTypeEnum.CLINICIAN)){%>
						<s:if test="%{ccRecipient !=null && ccRecipient !=''}">
							<tr><th scope="row">Cc:</th>
								<td align="left" ><s:property value="ccRecipient"/></td></tr>
						</s:if>
					<%}%>
					<tr><th scope="row" nowrap>Message ID#:</th>
						<td align="left"><esapi:encodeForHTML><%=msg.getId()%></esapi:encodeForHTML></td></tr>
					<tr><th scope="row" valign="top">Subject:</th>
						<td align="left">
				<!-- CR6598 -->
			    <s:select
				    name="messageCategoryTypeId"
				    id="messageCategoryTypeId"
				    list="messageCategoryTypes"
        			listKey="id"
        			listValue="name"
        			value="messageCategoryTypeId"
        			disabled="true"/>
        			<esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(msg.getThread().getSubject())%></esapi:encodeForHTML></br>
						<%
							boolean pdfFlag=false;
							int pdfCnt=1;
							if(session.getAttribute(ReadMessage.ATTACHMENT_NAMES)!=null){
								Map attachmentNames = (Map)session.getAttribute(ReadMessage.ATTACHMENT_NAMES);
								int i=1;
								if(attachmentNames.size()!=0){
									Map<Long, String> map = attachmentNames;
									for(Map.Entry<Long,String> entry : map.entrySet()) {
  										Long attachmentKey = entry.getKey();
  										String attachmentName = entry.getValue();
										//System.out.println(attachmentKey + " => " + attachmentName);
										%>
										<img src='images/attachment.gif' border="0" alt="attachment">
										<%
										if(attachmentName.toLowerCase().indexOf("pdf")!=-1 && user.getUserType()==UserTypeEnum.PATIENT){ pdfFlag=true; %>
											<div id="disableDownloadLink<%=pdfCnt%>" style="display:inline;"><esapi:encodeForHTML><%=attachmentName%></esapi:encodeForHTML></div>
											<div id="enableDownloadLink<%=pdfCnt%>" style="display:none;"><a href="javascript:void(#)" onClick="location.href='downloadFile.action?messageRef=<%=i%>'"><esapi:encodeForHTML><%=attachmentName%></esapi:encodeForHTML></a></div>
											<%pdfCnt++;%>
											</br>	
										<%}else{%>
											<a href="javascript:void(#)" onClick="location.href='downloadFile.action?messageRef=<%=i%>'"><esapi:encodeForHTML><%=attachmentName%></esapi:encodeForHTML></a></br>
								<%}i++;}}}%>
									<input type="hidden" id="pdfCnt" value="<%=(--pdfCnt)%>" />
						</td></tr>
						<%if(pdfFlag){%>
						<tr>
						<td colspan="2"><strong><font color="red">
						Please be aware: Anytime you open/download a PDF file you create a temporary file on the computer you are using. Information in this file can be visible to other users on this computer.</font></strong>
						</br>
						<input type="button" border="0" id="accept" name="accept" value="Agree" title="Agree" onClick="javascript:acceptPDF()" class="sm_input_button"/>&nbsp;&nbsp;
						<input type="button" border="0" id="decline" name="decline" value="Decline" title="Decline" onClick="javascript:declinePDF()" class="sm_input_button"/>
						</td>
						</tr>
						<%}%>
				</table></td></tr>