<!--  RESULTS -->
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<%@ page session="true"
	import="gov.va.med.mhv.sm.model.Message"
	import="gov.va.med.mhv.sm.util.DateUtils"
	import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
	import="org.apache.commons.lang.StringEscapeUtils"   		
%>
<link rel="stylesheet" media="all" href="css/sms_reassign.css" type="text/css" />
<link rel="stylesheet" media="all" href="css/sms_styles.css" type="text/css" />
<link rel="stylesheet" media="print" href="css/sms_styles_print.css" type"text/css" />
<TABLE border="1" class="sm_reports" style="table-layout: fixed; width: 1500px">

<script type=text/javascript>
   function printFunction() {
         if (navigator.userAgent.toLowerCase().indexOf("mac")!=-1 && navigator.userAgent.toLowerCase().indexOf("msie")!=-1) {
                alert("Please use the File -> Print menu option from your browser's tool bar.")
         } else {
                window.print();
         }
}
 
 function closeWindow() {
                window.open('','_self','');
                window.close();
}
</script>

<div id="printButtons" class="sms-align-right noPrint">
           <p align="right" class="smaller utilLinks"><a href="javascript:printFunction()" class="sm_input_button">Print</a>
           <a href="javascript:closeWindow()" class="sm_input_button">Done</a></p>
</div>

<span>This report was generated on <s:date name="%{new java.util.Date()}" format="MM/dd/yyyy hh:mm a"/></span>
<hr />
<h2>Message History</h2>
<%
	Message msg = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
	String sentDate = DateUtils.getEnglishDateTime(msg.getSentDate());
	%>
<span>
		<strong>Sent: </strong><esapi:encodeForHTML><%=sentDate%></esapi:encodeForHTML><br>
        <strong>From: </strong><esapi:encodeForHTML><%=msg.getSenderName()%></esapi:encodeForHTML> <s:property value="patientSSNAndDob"/><br>
		<strong>To: </strong><esapi:encodeForHTML><%=msg.getRecipientName()%></esapi:encodeForHTML><br>
        <strong>Message ID#: </strong> <esapi:encodeForHTML><%=msg.getId()%></esapi:encodeForHTML><br>
        <strong>Subject: </strong><esapi:encodeForHTML><%=StringEscapeUtils.unescapeHtml(msg.getThread().getSubject())%></esapi:encodeForHTML>
</span>
<hr />
  <colgroup>
       <col span="1" width="100px">
       <col span="1" width="200px">
       <col span="1" width="200px">
       <col span="1" width="200px">
       <col span="1" width="80px">
       <col span="1" width="125px">
       <col span="1" width="125px">
       <col span="1" width="125px">
    </colgroup>
	<TR nowrap>
    	<TH>Date</TH>
        <TH>Action</TH> 
        <TH nowrap>Triage Group</TH> 
        <TH nowrap>Reassigned Triage Group</TH> 
        <TH nowrap>Message Status</TH>
        <TH nowrap>Assigned By</TH> 
        <TH nowrap>Assigned To</TH> 
        <TH nowrap>Completed By</TH>
	</TR>
<s:iterator value="ReAssignMessageHistoryList">
	<TR>
    	<TD><s:date name="createdDate" format="MM/dd/yyyy HH:mm"/></TD>
        <TD align="left"><s:property value="reAssignAction.name" /></TD> 
		<TD align="left"><s:property value="triageGroupName" /></TD> 
        <TD style="word-wrap: break-word" align="left"><s:property value="reAssignedTriageGroupName" /></TD>
        <TD style="word-wrap: break-word"><s:if test="%{reAssignAction.id != 12 && reAssignAction.id !=13 }"><s:property value="reAssignedStatus" /></s:if></TD> 
        <TD style="word-wrap: break-word"><s:property value="assignedBy" /></TD>
		<TD style="word-wrap: break-word">
		
		<s:if test="%{assignedTo !=null && assignedTo !=''}">
			<s:if test="%{assignedTo.indexOf('Surrogate')!=-1}">
				<s:set name="clinician" value="%{assignedTo.substring(0,assignedTo.indexOf('Surrogate'))}" />
				<s:property value="%{clinician}"/><br>Surrogate Enabled: 
					<s:set name="surrogate" value="%{assignedTo.substring(assignedTo.indexOf(':')+1,assignedTo.length())}" />
				<s:property value="%{surrogate}"/>
			</s:if>
			<s:else>
				<s:property value="assignedTo" />
			</s:else>
		</s:if>	
		</TD>			
		<TD style="word-wrap: break-word"><s:property value="completedBy" /></TD>
	</TR>
</s:iterator>
</TABLE>
