<!-- START ASSIGN BOX -->
<%-- THESE STYLES MAY NEED TO BE UPDATED DEPENDING ON BUILD OUTPUT --%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<%@ taglib uri="/WEB-INF/esapi.tld" prefix="esapi" %>
<script language="JavaScript" src="js/calendar_us.js"></script>
<link rel="stylesheet" href="css/calendar.css">

<%@ page
    import="gov.va.med.mhv.sm.model.Clinician"
    import="gov.va.med.mhv.sm.model.Message"
    import="gov.va.med.mhv.sm.model.Folder"
    import="gov.va.med.mhv.sm.enumeration.SystemFolderEnum"
    import="gov.va.med.mhv.sm.enumeration.ClinicianStatusEnum"
    import="gov.va.med.mhv.sm.web.smActions.AbstractInboxAction"
	import="gov.va.med.mhv.sm.web.utils.ut"
	import="java.util.*"
%>
<%
   gov.va.med.mhv.sm.web.utils.ut utility=new gov.va.med.mhv.sm.web.utils.ut();
%>


<style media="aural" type="text/css">
	.bea-portal-window-content-grey{display:none;}
</style>
<!--[if lte IE 6]>
<style>
	#darkBox { position:absolute;width:1440px;height:1000px;margin:0px;top:0px;left:0px;bottom:0px;right:0px;float:left; z-index:1;background-image:url(images/blackPix50p.gif);background-repeat:repeat;}
	#lightBox {top:20%;left:250px;margin:0px;}
	#lbOut {background-image:none;background-color:#fff;}
	.sm_table SELECT {display:block;visibility:hidden;}
</style>
<![endif]-->

<%
  Clinician user = (Clinician)session.getAttribute(AbstractInboxAction.CURRENT_USER);
  Message message = (Message)session.getAttribute(AbstractInboxAction.CURRENT_MESSAGE);
  Folder folder = (Folder)session.getAttribute(AbstractInboxAction.CURRENT_FOLDER);

%>


<script language="javascript">

<s:property value="surrogateArray"/>

var currentUserId=<s:property value="user.id"/>;


function onchangeAssignTo(){
    idx = document.getElementById("assignee").selectedIndex;
    document.getElementById("surrogateDiv").innerHTML = surrogateArray[idx];
    document.getElementById("surrogateEnabled").value=surrogateArray[idx];
    selectedId = document.getElementById("assignee").options[document.getElementById("assignee").selectedIndex].value;

    var disableDiv = true;
    if(currentUserId == selectedId)
        disableDiv = false;
    
    document.getElementById("completeDiv").disabled = disableDiv;
    document.getElementById("completeRadioNo").disabled = disableDiv;   
    document.getElementById("completeRadioYes").disabled = disableDiv;
    
    if(currentUserId != selectedId){
		document.getElementById("completeRadioYes").checked = false;
    	document.getElementById("completeRadioNo").checked = true;
		messageStatusChange();
    } else{
    	document.getElementById("completeRadioYes").checked = true;
    	document.getElementById("completeRadioNo").checked = false;
		messageStatusChange()
    }     

    
}

function showReminder(flag){
	if(flag=='show'){
		 idx = document.getElementById("assignee").selectedIndex;
		 selectedId = document.getElementById("assignee").options[document.getElementById("assignee").selectedIndex].value;
		 if(currentUserId==selectedId){
			document.getElementById("sm_messageReminder").style.visibility="visible";	
			document.getElementById("completeRadioYes").checked = true;
			document.getElementById("completeRadioNo").checked = false;
		 }else{
		 	 document.getElementById("completeRadioYes").checked = false;
			 document.getElementById("completeRadioNo").checked = true;
		 }
	}
	else{
		document.getElementById("sm_messageReminder").style.visibility="hidden";
		//document.getElementById("sm_messageReminder").style.display="none";
	}	
} 

 
function messageStatusChange()
{
    if(document.getElementById("completeRadioYes").checked)
	{
		document.getElementById("sm_messageReminder").style.visibility="visible";
	}
	else
	{
		document.getElementById("reminderNo").checked=true;
		document.getElementById("sm_messageReminder").style.visibility="hidden";
		showReminderDate('No');
	}
}

function showReminderDate(flag){
	if(flag=='Yes'){
		document.getElementById("reminderDate").value = document.getElementById("currentDate").value;
		document.getElementById("sm_messageReminderDate").style.visibility="visible";
	}
	else
	{	
		document.getElementById("sm_messageReminderDate").style.visibility="hidden";
	}
}

</script>




<div id="darkBox">
  <div id="lightBox">
    <img src="images/sms/img_lightBoxTop.gif" width="500" height="12" alt="Light Box Top" border="0" />
    <div id="lightBox-Outer">
      <h2>Finish Message Options</h2>
      <div id="lightBox-Standard">
        <form name="fmrAssignMessage" id="fmrAssignMessage" action="completeReply.action" method="POST">
        
          
          <div>
          <s:if test="completeReply.assignedState == 0">
            You have replied to a message that has not been assigned. This message 
            has been automatically assigned to you. You may choose to assign it to 
            a different member of your triage team, or leave it assigned to you.
          </s:if>
          <s:elseif test="completeReply.assignedState == 1">
            You have replied to a message that has already been assigned. You may 
            choose to assign it to a different member of your triage team, or leave 
            it assigned to you.
          </s:elseif>
          <s:else>
            You have replied to a message that has already been assigned. You may
            choose to assign it to a different member of your triage team, or leave
            it assigned to the current user.
          </s:else>
          <p>
            <label for="assignTo">Assign To:</label>&nbsp;
            <s:property value="assignedToSelect" escape="false"/><br/>
            <s:label id="surrogateDiv" name="surrogate" />
          </p>
          </div>
          
          <s:if test="%{completeReply.completeable}">
            <div id="completeDiv">
              <p>
                Would you like to change the status of this message to Complete?<br />
                <s:radio id="completeRadio" name="completeReply.completeMsg" list="completeReply.yesno" onclick="messageStatusChange()" />
             </p>
          </s:if>
          <s:else>
            <div id="completeDiv" disabled="true">
            <p>
                Would you like to change the status of this message to Complete?<br />
                <s:radio id="completeRadio" name="completeReply.completeMsg" list="completeReply.yesno" disabled="true" onclick="messageStatusChange()"  />
             </p>
          </s:else>
          </div>
           <div>
         <s:if test="%{currentMessage.getSenderType().getId() == 1 || currentMessage.getRecipientType().getId() == 1}">   
          	<p>
            	Save Message as a CPRS Progress Note?<br />
            	<s:radio name="completeReply.saveAsTiu" list="completeReply.yesno" />
          	</p>
           </s:if>
			  
			<%if(folder.getId().equals(SystemFolderEnum.DRAFTS.getId())){%>
             <p>
                <!--  Save Message as a CPRS Progress Note?<br />
                	<s:radio name="completeReply.saveAsTiu" list="completeReply.yesno" />
                -->
                 </p>
               <%}%>
             
          	</div>
          	
          	<div id="sm_messageReminder" style="visibility:hidden">
					
					<table width="100%" cellpadding="0" cellspacing="5" border="0">
					<tr>
						<th scope="column" valign="bottom" align="left">Would you like to Set Reminder for this Message?</th>
							
					</tr>
					<tr>	
						<td><input type="radio" id="reminderYes" name="reminder" value="Yes" onclick="showReminderDate('Yes')">Yes &nbsp;
							<input type="radio" id="reminderNo" name="reminder" value="No" checked onclick="showReminderDate('No')"> No
						</td>
					</tr>	
					</table>
					<div id="sm_messageReminderDate" style="visibility:hidden">
					<table>
						<th>Reminder Date</th>
						<tr>
						<%
							java.util.Calendar current = java.util.Calendar.getInstance();
							int month = current.get(java.util.Calendar.MONTH)+1;
							String currentDate = month+"/"+current.get(java.util.Calendar.DATE)+"/"+current.get(Calendar.YEAR);
						%>
						<td> <input	name="reminderDate" id="reminderDate" type="text" size="10" value="<esapi:encodeForHTMLAttribute><%=currentDate%></esapi:encodeForHTMLAttribute>" readonly/>
						<input type="hidden" id="currentDate" value="<esapi:encodeForHTMLAttribute><%=currentDate%></esapi:encodeForHTMLAttribute>" />
						<script language="JavaScript"> new tcal ({'formname': 'fmrAssignMessage','controlname': 'reminderDate'});</script>
					    </td>
					    </tr>
					 </table>
			</div>
			</div>
			<%
				//System.out.println("Assigned To..."+currentMessage.getAssignedTo());
				//System.out.println("Current User..."+user.getId());
				//if(message.getAssignedTo().getId().equals(user.getId())){
					out.println("<script>showReminder('show');</script>");
				//}
			%>
			<br><br>
			<div>
			<p>
            Enter any comments below for the Healthcare Team (not included in messages sent to patient)
          </p>
          <p align="center">
            <s:textarea rows="6" cols="40" name="completeReply.comment" />
          </p>
		  </div>
          <p align="center">
            <input type="submit" id="submit" name="SumbitButton" value="Done" class="sm_input_button"  style="margin:0px;" title="Done" />&nbsp;
            <input type="submit" id="CancelButton" name="CancelButton" value="Cancel" class="sm_input_button"  style="margin:0px;" title="Cancel"/>
          </p>
		  
          <s:hidden name="newMessage.body" value="%{newMessage.body}"></s:hidden>
          <s:hidden name="replyMessageId" value="%{completeReply.replyMessageId}"></s:hidden>
          <input type="hidden" id="surrogateEnabled" name="surrogateEnabled"/>
        </form>
      </div>
    </div>
  </div>
</div>
<!-- END ASSIGN BOX -->
